package android.car.media;

import android.media.AudioDeviceAttributes;
import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import java.util.ArrayList;
import java.util.List;

public interface ICarAudio extends IInterface {

    public static class Default implements ICarAudio {
        public IBinder asBinder() {
            return null;
        }

        @Override // android.car.media.ICarAudio
        public boolean clearZoneIdForUid(int i) throws RemoteException {
            return false;
        }

        @Override // android.car.media.ICarAudio
        public CarAudioPatchHandle createAudioPatch(String str, int i, int i2) throws RemoteException {
            return null;
        }

        @Override // android.car.media.ICarAudio
        public int getActiveAudioFocusUsage(int i) throws RemoteException {
            return 0;
        }

        @Override // android.car.media.ICarAudio
        public int[] getAudioZoneIds() throws RemoteException {
            return null;
        }

        @Override // android.car.media.ICarAudio
        public int getBMTFilterValue(int i, int i2) throws RemoteException {
            return 0;
        }

        @Override // android.car.media.ICarAudio
        public int getBalanceTowardRight() throws RemoteException {
            return 0;
        }

        @Override // android.car.media.ICarAudio
        public int getCustomPeqCenterFreq(int i, int i2) throws RemoteException {
            return 0;
        }

        @Override // android.car.media.ICarAudio
        public int getCustomPeqLevel(int i, int i2) throws RemoteException {
            return 0;
        }

        @Override // android.car.media.ICarAudio
        public boolean getCustomSettingEnable(int i, int i2) throws RemoteException {
            return false;
        }

        @Override // android.car.media.ICarAudio
        public int getCustomSettingValue(int i, int i2) throws RemoteException {
            return 0;
        }

        @Override // android.car.media.ICarAudio
        public int getEcnrMode() throws RemoteException {
            return 0;
        }

        @Override // android.car.media.ICarAudio
        public String[] getExternalSources() throws RemoteException {
            return null;
        }

        @Override // android.car.media.ICarAudio
        public int getExternalSpeakersVolume() throws RemoteException {
            return 0;
        }

        @Override // android.car.media.ICarAudio
        public int getFadeTowardFront() throws RemoteException {
            return 0;
        }

        @Override // android.car.media.ICarAudio
        public int getGroupMaxVolume(int i, int i2) throws RemoteException {
            return 0;
        }

        @Override // android.car.media.ICarAudio
        public int getGroupMinVolume(int i, int i2) throws RemoteException {
            return 0;
        }

        @Override // android.car.media.ICarAudio
        public int getGroupVolume(int i, int i2) throws RemoteException {
            return 0;
        }

        @Override // android.car.media.ICarAudio
        public List<AudioDeviceAttributes> getInputDevicesForZoneId(int i) throws RemoteException {
            return null;
        }

        @Override // android.car.media.ICarAudio
        public String getOutputDeviceAddressForUsage(int i, int i2) throws RemoteException {
            return null;
        }

        @Override // android.car.media.ICarAudio
        public int[] getUsagesForVolumeGroupId(int i, int i2) throws RemoteException {
            return null;
        }

        @Override // android.car.media.ICarAudio
        public int getVolumeGroupCount(int i) throws RemoteException {
            return 0;
        }

        @Override // android.car.media.ICarAudio
        public int getVolumeGroupIdForUsage(int i, int i2) throws RemoteException {
            return 0;
        }

        @Override // android.car.media.ICarAudio
        public int getZoneIdForUid(int i) throws RemoteException {
            return 0;
        }

        @Override // android.car.media.ICarAudio
        public boolean isCustomSettingSupport(int i, int i2) throws RemoteException {
            return false;
        }

        @Override // android.car.media.ICarAudio
        public boolean isDynamicRoutingEnabled() throws RemoteException {
            return false;
        }

        @Override // android.car.media.ICarAudio
        public boolean isGroupMute(int i, int i2) throws RemoteException {
            return false;
        }

        @Override // android.car.media.ICarAudio
        public boolean isGroupMuteByPower(int i, int i2) throws RemoteException {
            return false;
        }

        @Override // android.car.media.ICarAudio
        public boolean isGroupSupportMute(int i, int i2) throws RemoteException {
            return false;
        }

        @Override // android.car.media.ICarAudio
        public void registerAudioFocusCallback(int i, IBinder iBinder) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void registerCustomSettingCallback(int i, IBinder iBinder) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void registerExtVolumeCallback(IBinder iBinder) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void registerVolumeCallback(IBinder iBinder) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void releaseAudioPatch(CarAudioPatchHandle carAudioPatchHandle) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void setBMTFilterValue(int i, int i2, int i3) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void setBalanceTowardRight(float f) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void setCustomPeqLevel(int i, int i2, int i3) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void setCustomSettingEnable(int i, int i2, boolean z) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void setCustomSettingValue(int i, int i2, int i3) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void setDigKeyVolumeLimit(boolean z) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void setEcnrConfiguration(int i, int i2) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void setEcnrMode(int i) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public boolean setExternalSpeakersVolume(int i) throws RemoteException {
            return false;
        }

        @Override // android.car.media.ICarAudio
        public void setFadeTowardFront(float f) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void setGroupMute(int i, int i2, boolean z, int i3) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void setGroupMuteByPower(int i, int i2, boolean z) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void setGroupVolume(int i, int i2, int i3, int i4) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void setKTVMode(int i) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void setOccMode(int i) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void setPsdEarPhoneVolume(int i) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void setPsdEarPhoneVolumeMute(boolean z) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public boolean setZoneIdForUid(int i, int i2) throws RemoteException {
            return false;
        }

        @Override // android.car.media.ICarAudio
        public void unregisterAudioFocusCallback(int i, IBinder iBinder) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void unregisterCustomSettingCallback(int i, IBinder iBinder) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void unregisterExtVolumeCallback(IBinder iBinder) throws RemoteException {
        }

        @Override // android.car.media.ICarAudio
        public void unregisterVolumeCallback(IBinder iBinder) throws RemoteException {
        }
    }

    boolean clearZoneIdForUid(int i) throws RemoteException;

    CarAudioPatchHandle createAudioPatch(String str, int i, int i2) throws RemoteException;

    int getActiveAudioFocusUsage(int i) throws RemoteException;

    int[] getAudioZoneIds() throws RemoteException;

    int getBMTFilterValue(int i, int i2) throws RemoteException;

    int getBalanceTowardRight() throws RemoteException;

    int getCustomPeqCenterFreq(int i, int i2) throws RemoteException;

    int getCustomPeqLevel(int i, int i2) throws RemoteException;

    boolean getCustomSettingEnable(int i, int i2) throws RemoteException;

    int getCustomSettingValue(int i, int i2) throws RemoteException;

    int getEcnrMode() throws RemoteException;

    String[] getExternalSources() throws RemoteException;

    int getExternalSpeakersVolume() throws RemoteException;

    int getFadeTowardFront() throws RemoteException;

    int getGroupMaxVolume(int i, int i2) throws RemoteException;

    int getGroupMinVolume(int i, int i2) throws RemoteException;

    int getGroupVolume(int i, int i2) throws RemoteException;

    List<AudioDeviceAttributes> getInputDevicesForZoneId(int i) throws RemoteException;

    String getOutputDeviceAddressForUsage(int i, int i2) throws RemoteException;

    int[] getUsagesForVolumeGroupId(int i, int i2) throws RemoteException;

    int getVolumeGroupCount(int i) throws RemoteException;

    int getVolumeGroupIdForUsage(int i, int i2) throws RemoteException;

    int getZoneIdForUid(int i) throws RemoteException;

    boolean isCustomSettingSupport(int i, int i2) throws RemoteException;

    boolean isDynamicRoutingEnabled() throws RemoteException;

    boolean isGroupMute(int i, int i2) throws RemoteException;

    boolean isGroupMuteByPower(int i, int i2) throws RemoteException;

    boolean isGroupSupportMute(int i, int i2) throws RemoteException;

    void registerAudioFocusCallback(int i, IBinder iBinder) throws RemoteException;

    void registerCustomSettingCallback(int i, IBinder iBinder) throws RemoteException;

    void registerExtVolumeCallback(IBinder iBinder) throws RemoteException;

    void registerVolumeCallback(IBinder iBinder) throws RemoteException;

    void releaseAudioPatch(CarAudioPatchHandle carAudioPatchHandle) throws RemoteException;

    void setBMTFilterValue(int i, int i2, int i3) throws RemoteException;

    void setBalanceTowardRight(float f) throws RemoteException;

    void setCustomPeqLevel(int i, int i2, int i3) throws RemoteException;

    void setCustomSettingEnable(int i, int i2, boolean z) throws RemoteException;

    void setCustomSettingValue(int i, int i2, int i3) throws RemoteException;

    void setDigKeyVolumeLimit(boolean z) throws RemoteException;

    void setEcnrConfiguration(int i, int i2) throws RemoteException;

    void setEcnrMode(int i) throws RemoteException;

    boolean setExternalSpeakersVolume(int i) throws RemoteException;

    void setFadeTowardFront(float f) throws RemoteException;

    void setGroupMute(int i, int i2, boolean z, int i3) throws RemoteException;

    void setGroupMuteByPower(int i, int i2, boolean z) throws RemoteException;

    void setGroupVolume(int i, int i2, int i3, int i4) throws RemoteException;

    void setKTVMode(int i) throws RemoteException;

    void setOccMode(int i) throws RemoteException;

    void setPsdEarPhoneVolume(int i) throws RemoteException;

    void setPsdEarPhoneVolumeMute(boolean z) throws RemoteException;

    boolean setZoneIdForUid(int i, int i2) throws RemoteException;

    void unregisterAudioFocusCallback(int i, IBinder iBinder) throws RemoteException;

    void unregisterCustomSettingCallback(int i, IBinder iBinder) throws RemoteException;

    void unregisterExtVolumeCallback(IBinder iBinder) throws RemoteException;

    void unregisterVolumeCallback(IBinder iBinder) throws RemoteException;

    public static abstract class Stub extends Binder implements ICarAudio {
        private static final String DESCRIPTOR = "android.car.media.ICarAudio";
        static final int TRANSACTION_clearZoneIdForUid = 40;
        static final int TRANSACTION_createAudioPatch = 32;
        static final int TRANSACTION_getActiveAudioFocusUsage = 30;
        static final int TRANSACTION_getAudioZoneIds = 37;
        static final int TRANSACTION_getBMTFilterValue = 24;
        static final int TRANSACTION_getBalanceTowardRight = 12;
        static final int TRANSACTION_getCustomPeqCenterFreq = 22;
        static final int TRANSACTION_getCustomPeqLevel = 21;
        static final int TRANSACTION_getCustomSettingEnable = 17;
        static final int TRANSACTION_getCustomSettingValue = 19;
        static final int TRANSACTION_getEcnrMode = 28;
        static final int TRANSACTION_getExternalSources = 31;
        static final int TRANSACTION_getExternalSpeakersVolume = 51;
        static final int TRANSACTION_getFadeTowardFront = 11;
        static final int TRANSACTION_getGroupMaxVolume = 3;
        static final int TRANSACTION_getGroupMinVolume = 4;
        static final int TRANSACTION_getGroupVolume = 5;
        static final int TRANSACTION_getInputDevicesForZoneId = 42;
        static final int TRANSACTION_getOutputDeviceAddressForUsage = 41;
        static final int TRANSACTION_getUsagesForVolumeGroupId = 36;
        static final int TRANSACTION_getVolumeGroupCount = 34;
        static final int TRANSACTION_getVolumeGroupIdForUsage = 35;
        static final int TRANSACTION_getZoneIdForUid = 38;
        static final int TRANSACTION_isCustomSettingSupport = 15;
        static final int TRANSACTION_isDynamicRoutingEnabled = 1;
        static final int TRANSACTION_isGroupMute = 9;
        static final int TRANSACTION_isGroupMuteByPower = 6;
        static final int TRANSACTION_isGroupSupportMute = 10;
        static final int TRANSACTION_registerAudioFocusCallback = 47;
        static final int TRANSACTION_registerCustomSettingCallback = 49;
        static final int TRANSACTION_registerExtVolumeCallback = 45;
        static final int TRANSACTION_registerVolumeCallback = 43;
        static final int TRANSACTION_releaseAudioPatch = 33;
        static final int TRANSACTION_setBMTFilterValue = 23;
        static final int TRANSACTION_setBalanceTowardRight = 14;
        static final int TRANSACTION_setCustomPeqLevel = 20;
        static final int TRANSACTION_setCustomSettingEnable = 16;
        static final int TRANSACTION_setCustomSettingValue = 18;
        static final int TRANSACTION_setDigKeyVolumeLimit = 29;
        static final int TRANSACTION_setEcnrConfiguration = 26;
        static final int TRANSACTION_setEcnrMode = 27;
        static final int TRANSACTION_setExternalSpeakersVolume = 52;
        static final int TRANSACTION_setFadeTowardFront = 13;
        static final int TRANSACTION_setGroupMute = 8;
        static final int TRANSACTION_setGroupMuteByPower = 7;
        static final int TRANSACTION_setGroupVolume = 2;
        static final int TRANSACTION_setKTVMode = 25;
        static final int TRANSACTION_setOccMode = 53;
        static final int TRANSACTION_setPsdEarPhoneVolume = 54;
        static final int TRANSACTION_setPsdEarPhoneVolumeMute = 55;
        static final int TRANSACTION_setZoneIdForUid = 39;
        static final int TRANSACTION_unregisterAudioFocusCallback = 48;
        static final int TRANSACTION_unregisterCustomSettingCallback = 50;
        static final int TRANSACTION_unregisterExtVolumeCallback = 46;
        static final int TRANSACTION_unregisterVolumeCallback = 44;

        public IBinder asBinder() {
            return this;
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ICarAudio asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ICarAudio)) {
                return new Proxy(iBinder);
            }
            return (ICarAudio) queryLocalInterface;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                boolean z = false;
                switch (i) {
                    case 1:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean isDynamicRoutingEnabled = isDynamicRoutingEnabled();
                        parcel2.writeNoException();
                        parcel2.writeInt(isDynamicRoutingEnabled ? 1 : 0);
                        return true;
                    case 2:
                        parcel.enforceInterface(DESCRIPTOR);
                        setGroupVolume(parcel.readInt(), parcel.readInt(), parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 3:
                        parcel.enforceInterface(DESCRIPTOR);
                        int groupMaxVolume = getGroupMaxVolume(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(groupMaxVolume);
                        return true;
                    case 4:
                        parcel.enforceInterface(DESCRIPTOR);
                        int groupMinVolume = getGroupMinVolume(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(groupMinVolume);
                        return true;
                    case 5:
                        parcel.enforceInterface(DESCRIPTOR);
                        int groupVolume = getGroupVolume(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(groupVolume);
                        return true;
                    case 6:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean isGroupMuteByPower = isGroupMuteByPower(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(isGroupMuteByPower ? 1 : 0);
                        return true;
                    case 7:
                        parcel.enforceInterface(DESCRIPTOR);
                        int readInt = parcel.readInt();
                        int readInt2 = parcel.readInt();
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        setGroupMuteByPower(readInt, readInt2, z);
                        parcel2.writeNoException();
                        return true;
                    case 8:
                        parcel.enforceInterface(DESCRIPTOR);
                        int readInt3 = parcel.readInt();
                        int readInt4 = parcel.readInt();
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        setGroupMute(readInt3, readInt4, z, parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 9:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean isGroupMute = isGroupMute(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(isGroupMute ? 1 : 0);
                        return true;
                    case 10:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean isGroupSupportMute = isGroupSupportMute(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(isGroupSupportMute ? 1 : 0);
                        return true;
                    case 11:
                        parcel.enforceInterface(DESCRIPTOR);
                        int fadeTowardFront = getFadeTowardFront();
                        parcel2.writeNoException();
                        parcel2.writeInt(fadeTowardFront);
                        return true;
                    case 12:
                        parcel.enforceInterface(DESCRIPTOR);
                        int balanceTowardRight = getBalanceTowardRight();
                        parcel2.writeNoException();
                        parcel2.writeInt(balanceTowardRight);
                        return true;
                    case 13:
                        parcel.enforceInterface(DESCRIPTOR);
                        setFadeTowardFront(parcel.readFloat());
                        parcel2.writeNoException();
                        return true;
                    case 14:
                        parcel.enforceInterface(DESCRIPTOR);
                        setBalanceTowardRight(parcel.readFloat());
                        parcel2.writeNoException();
                        return true;
                    case 15:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean isCustomSettingSupport = isCustomSettingSupport(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(isCustomSettingSupport ? 1 : 0);
                        return true;
                    case 16:
                        parcel.enforceInterface(DESCRIPTOR);
                        int readInt5 = parcel.readInt();
                        int readInt6 = parcel.readInt();
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        setCustomSettingEnable(readInt5, readInt6, z);
                        parcel2.writeNoException();
                        return true;
                    case 17:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean customSettingEnable = getCustomSettingEnable(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(customSettingEnable ? 1 : 0);
                        return true;
                    case 18:
                        parcel.enforceInterface(DESCRIPTOR);
                        setCustomSettingValue(parcel.readInt(), parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 19:
                        parcel.enforceInterface(DESCRIPTOR);
                        int customSettingValue = getCustomSettingValue(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(customSettingValue);
                        return true;
                    case 20:
                        parcel.enforceInterface(DESCRIPTOR);
                        setCustomPeqLevel(parcel.readInt(), parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 21:
                        parcel.enforceInterface(DESCRIPTOR);
                        int customPeqLevel = getCustomPeqLevel(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(customPeqLevel);
                        return true;
                    case 22:
                        parcel.enforceInterface(DESCRIPTOR);
                        int customPeqCenterFreq = getCustomPeqCenterFreq(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(customPeqCenterFreq);
                        return true;
                    case 23:
                        parcel.enforceInterface(DESCRIPTOR);
                        setBMTFilterValue(parcel.readInt(), parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 24:
                        parcel.enforceInterface(DESCRIPTOR);
                        int bMTFilterValue = getBMTFilterValue(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(bMTFilterValue);
                        return true;
                    case 25:
                        parcel.enforceInterface(DESCRIPTOR);
                        setKTVMode(parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 26:
                        parcel.enforceInterface(DESCRIPTOR);
                        setEcnrConfiguration(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 27:
                        parcel.enforceInterface(DESCRIPTOR);
                        setEcnrMode(parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 28:
                        parcel.enforceInterface(DESCRIPTOR);
                        int ecnrMode = getEcnrMode();
                        parcel2.writeNoException();
                        parcel2.writeInt(ecnrMode);
                        return true;
                    case 29:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        setDigKeyVolumeLimit(z);
                        parcel2.writeNoException();
                        return true;
                    case 30:
                        parcel.enforceInterface(DESCRIPTOR);
                        int activeAudioFocusUsage = getActiveAudioFocusUsage(parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(activeAudioFocusUsage);
                        return true;
                    case 31:
                        parcel.enforceInterface(DESCRIPTOR);
                        String[] externalSources = getExternalSources();
                        parcel2.writeNoException();
                        parcel2.writeStringArray(externalSources);
                        return true;
                    case 32:
                        parcel.enforceInterface(DESCRIPTOR);
                        CarAudioPatchHandle createAudioPatch = createAudioPatch(parcel.readString(), parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        if (createAudioPatch != null) {
                            parcel2.writeInt(1);
                            createAudioPatch.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 33:
                        parcel.enforceInterface(DESCRIPTOR);
                        releaseAudioPatch(parcel.readInt() != 0 ? CarAudioPatchHandle.CREATOR.createFromParcel(parcel) : null);
                        parcel2.writeNoException();
                        return true;
                    case 34:
                        parcel.enforceInterface(DESCRIPTOR);
                        int volumeGroupCount = getVolumeGroupCount(parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(volumeGroupCount);
                        return true;
                    case 35:
                        parcel.enforceInterface(DESCRIPTOR);
                        int volumeGroupIdForUsage = getVolumeGroupIdForUsage(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(volumeGroupIdForUsage);
                        return true;
                    case 36:
                        parcel.enforceInterface(DESCRIPTOR);
                        int[] usagesForVolumeGroupId = getUsagesForVolumeGroupId(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeIntArray(usagesForVolumeGroupId);
                        return true;
                    case 37:
                        parcel.enforceInterface(DESCRIPTOR);
                        int[] audioZoneIds = getAudioZoneIds();
                        parcel2.writeNoException();
                        parcel2.writeIntArray(audioZoneIds);
                        return true;
                    case 38:
                        parcel.enforceInterface(DESCRIPTOR);
                        int zoneIdForUid = getZoneIdForUid(parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(zoneIdForUid);
                        return true;
                    case 39:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean zoneIdForUid2 = setZoneIdForUid(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(zoneIdForUid2 ? 1 : 0);
                        return true;
                    case 40:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean clearZoneIdForUid = clearZoneIdForUid(parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(clearZoneIdForUid ? 1 : 0);
                        return true;
                    case 41:
                        parcel.enforceInterface(DESCRIPTOR);
                        String outputDeviceAddressForUsage = getOutputDeviceAddressForUsage(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeString(outputDeviceAddressForUsage);
                        return true;
                    case 42:
                        parcel.enforceInterface(DESCRIPTOR);
                        List<AudioDeviceAttributes> inputDevicesForZoneId = getInputDevicesForZoneId(parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeTypedList(inputDevicesForZoneId);
                        return true;
                    case 43:
                        parcel.enforceInterface(DESCRIPTOR);
                        registerVolumeCallback(parcel.readStrongBinder());
                        parcel2.writeNoException();
                        return true;
                    case 44:
                        parcel.enforceInterface(DESCRIPTOR);
                        unregisterVolumeCallback(parcel.readStrongBinder());
                        parcel2.writeNoException();
                        return true;
                    case 45:
                        parcel.enforceInterface(DESCRIPTOR);
                        registerExtVolumeCallback(parcel.readStrongBinder());
                        parcel2.writeNoException();
                        return true;
                    case 46:
                        parcel.enforceInterface(DESCRIPTOR);
                        unregisterExtVolumeCallback(parcel.readStrongBinder());
                        parcel2.writeNoException();
                        return true;
                    case 47:
                        parcel.enforceInterface(DESCRIPTOR);
                        registerAudioFocusCallback(parcel.readInt(), parcel.readStrongBinder());
                        parcel2.writeNoException();
                        return true;
                    case 48:
                        parcel.enforceInterface(DESCRIPTOR);
                        unregisterAudioFocusCallback(parcel.readInt(), parcel.readStrongBinder());
                        parcel2.writeNoException();
                        return true;
                    case 49:
                        parcel.enforceInterface(DESCRIPTOR);
                        registerCustomSettingCallback(parcel.readInt(), parcel.readStrongBinder());
                        parcel2.writeNoException();
                        return true;
                    case 50:
                        parcel.enforceInterface(DESCRIPTOR);
                        unregisterCustomSettingCallback(parcel.readInt(), parcel.readStrongBinder());
                        parcel2.writeNoException();
                        return true;
                    case 51:
                        parcel.enforceInterface(DESCRIPTOR);
                        int externalSpeakersVolume = getExternalSpeakersVolume();
                        parcel2.writeNoException();
                        parcel2.writeInt(externalSpeakersVolume);
                        return true;
                    case 52:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean externalSpeakersVolume2 = setExternalSpeakersVolume(parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(externalSpeakersVolume2 ? 1 : 0);
                        return true;
                    case 53:
                        parcel.enforceInterface(DESCRIPTOR);
                        setOccMode(parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 54:
                        parcel.enforceInterface(DESCRIPTOR);
                        setPsdEarPhoneVolume(parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 55:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        setPsdEarPhoneVolumeMute(z);
                        parcel2.writeNoException();
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }

        /* access modifiers changed from: private */
        public static class Proxy implements ICarAudio {
            public static ICarAudio sDefaultImpl;
            private IBinder mRemote;

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // android.car.media.ICarAudio
            public boolean isDynamicRoutingEnabled() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isDynamicRoutingEnabled();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void setGroupVolume(int i, int i2, int i3, int i4) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    obtain.writeInt(i3);
                    obtain.writeInt(i4);
                    if (this.mRemote.transact(2, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setGroupVolume(i, i2, i3, i4);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public int getGroupMaxVolume(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    if (!this.mRemote.transact(3, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getGroupMaxVolume(i, i2);
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public int getGroupMinVolume(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    if (!this.mRemote.transact(4, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getGroupMinVolume(i, i2);
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public int getGroupVolume(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    if (!this.mRemote.transact(5, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getGroupVolume(i, i2);
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public boolean isGroupMuteByPower(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    boolean z = false;
                    if (!this.mRemote.transact(6, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isGroupMuteByPower(i, i2);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void setGroupMuteByPower(int i, int i2, boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    obtain.writeInt(z ? 1 : 0);
                    if (this.mRemote.transact(7, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setGroupMuteByPower(i, i2, z);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void setGroupMute(int i, int i2, boolean z, int i3) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    obtain.writeInt(z ? 1 : 0);
                    obtain.writeInt(i3);
                    if (this.mRemote.transact(8, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setGroupMute(i, i2, z, i3);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public boolean isGroupMute(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    boolean z = false;
                    if (!this.mRemote.transact(9, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isGroupMute(i, i2);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public boolean isGroupSupportMute(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    boolean z = false;
                    if (!this.mRemote.transact(10, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isGroupSupportMute(i, i2);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public int getFadeTowardFront() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(11, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getFadeTowardFront();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public int getBalanceTowardRight() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(12, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getBalanceTowardRight();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void setFadeTowardFront(float f) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeFloat(f);
                    if (this.mRemote.transact(13, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setFadeTowardFront(f);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void setBalanceTowardRight(float f) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeFloat(f);
                    if (this.mRemote.transact(14, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setBalanceTowardRight(f);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public boolean isCustomSettingSupport(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    boolean z = false;
                    if (!this.mRemote.transact(15, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isCustomSettingSupport(i, i2);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void setCustomSettingEnable(int i, int i2, boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    obtain.writeInt(z ? 1 : 0);
                    if (this.mRemote.transact(16, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setCustomSettingEnable(i, i2, z);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public boolean getCustomSettingEnable(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    boolean z = false;
                    if (!this.mRemote.transact(17, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getCustomSettingEnable(i, i2);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void setCustomSettingValue(int i, int i2, int i3) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    obtain.writeInt(i3);
                    if (this.mRemote.transact(18, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setCustomSettingValue(i, i2, i3);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public int getCustomSettingValue(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    if (!this.mRemote.transact(19, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getCustomSettingValue(i, i2);
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void setCustomPeqLevel(int i, int i2, int i3) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    obtain.writeInt(i3);
                    if (this.mRemote.transact(20, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setCustomPeqLevel(i, i2, i3);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public int getCustomPeqLevel(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    if (!this.mRemote.transact(21, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getCustomPeqLevel(i, i2);
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public int getCustomPeqCenterFreq(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    if (!this.mRemote.transact(22, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getCustomPeqCenterFreq(i, i2);
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void setBMTFilterValue(int i, int i2, int i3) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    obtain.writeInt(i3);
                    if (this.mRemote.transact(23, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setBMTFilterValue(i, i2, i3);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public int getBMTFilterValue(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    if (!this.mRemote.transact(24, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getBMTFilterValue(i, i2);
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void setKTVMode(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(25, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setKTVMode(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void setEcnrConfiguration(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    if (this.mRemote.transact(26, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setEcnrConfiguration(i, i2);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void setEcnrMode(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(27, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setEcnrMode(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public int getEcnrMode() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(28, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getEcnrMode();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void setDigKeyVolumeLimit(boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(z ? 1 : 0);
                    if (this.mRemote.transact(29, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setDigKeyVolumeLimit(z);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public int getActiveAudioFocusUsage(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (!this.mRemote.transact(30, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getActiveAudioFocusUsage(i);
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public String[] getExternalSources() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(31, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getExternalSources();
                    }
                    obtain2.readException();
                    String[] createStringArray = obtain2.createStringArray();
                    obtain2.recycle();
                    obtain.recycle();
                    return createStringArray;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public CarAudioPatchHandle createAudioPatch(String str, int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    if (!this.mRemote.transact(32, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().createAudioPatch(str, i, i2);
                    }
                    obtain2.readException();
                    CarAudioPatchHandle createFromParcel = obtain2.readInt() != 0 ? CarAudioPatchHandle.CREATOR.createFromParcel(obtain2) : null;
                    obtain2.recycle();
                    obtain.recycle();
                    return createFromParcel;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void releaseAudioPatch(CarAudioPatchHandle carAudioPatchHandle) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (carAudioPatchHandle != null) {
                        obtain.writeInt(1);
                        carAudioPatchHandle.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(33, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().releaseAudioPatch(carAudioPatchHandle);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public int getVolumeGroupCount(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (!this.mRemote.transact(34, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getVolumeGroupCount(i);
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public int getVolumeGroupIdForUsage(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    if (!this.mRemote.transact(35, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getVolumeGroupIdForUsage(i, i2);
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public int[] getUsagesForVolumeGroupId(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    if (!this.mRemote.transact(36, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getUsagesForVolumeGroupId(i, i2);
                    }
                    obtain2.readException();
                    int[] createIntArray = obtain2.createIntArray();
                    obtain2.recycle();
                    obtain.recycle();
                    return createIntArray;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public int[] getAudioZoneIds() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(37, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getAudioZoneIds();
                    }
                    obtain2.readException();
                    int[] createIntArray = obtain2.createIntArray();
                    obtain2.recycle();
                    obtain.recycle();
                    return createIntArray;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public int getZoneIdForUid(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (!this.mRemote.transact(38, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getZoneIdForUid(i);
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public boolean setZoneIdForUid(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    boolean z = false;
                    if (!this.mRemote.transact(39, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().setZoneIdForUid(i, i2);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public boolean clearZoneIdForUid(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    boolean z = false;
                    if (!this.mRemote.transact(40, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().clearZoneIdForUid(i);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public String getOutputDeviceAddressForUsage(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    if (!this.mRemote.transact(41, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getOutputDeviceAddressForUsage(i, i2);
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public List<AudioDeviceAttributes> getInputDevicesForZoneId(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (!this.mRemote.transact(42, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getInputDevicesForZoneId(i);
                    }
                    obtain2.readException();
                    ArrayList createTypedArrayList = obtain2.createTypedArrayList(AudioDeviceAttributes.CREATOR);
                    obtain2.recycle();
                    obtain.recycle();
                    return createTypedArrayList;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void registerVolumeCallback(IBinder iBinder) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iBinder);
                    if (this.mRemote.transact(43, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().registerVolumeCallback(iBinder);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void unregisterVolumeCallback(IBinder iBinder) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iBinder);
                    if (this.mRemote.transact(44, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().unregisterVolumeCallback(iBinder);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void registerExtVolumeCallback(IBinder iBinder) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iBinder);
                    if (this.mRemote.transact(45, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().registerExtVolumeCallback(iBinder);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void unregisterExtVolumeCallback(IBinder iBinder) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iBinder);
                    if (this.mRemote.transact(46, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().unregisterExtVolumeCallback(iBinder);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void registerAudioFocusCallback(int i, IBinder iBinder) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeStrongBinder(iBinder);
                    if (this.mRemote.transact(47, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().registerAudioFocusCallback(i, iBinder);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void unregisterAudioFocusCallback(int i, IBinder iBinder) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeStrongBinder(iBinder);
                    if (this.mRemote.transact(48, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().unregisterAudioFocusCallback(i, iBinder);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void registerCustomSettingCallback(int i, IBinder iBinder) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeStrongBinder(iBinder);
                    if (this.mRemote.transact(49, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().registerCustomSettingCallback(i, iBinder);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void unregisterCustomSettingCallback(int i, IBinder iBinder) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeStrongBinder(iBinder);
                    if (this.mRemote.transact(50, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().unregisterCustomSettingCallback(i, iBinder);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public int getExternalSpeakersVolume() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(51, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getExternalSpeakersVolume();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public boolean setExternalSpeakersVolume(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    boolean z = false;
                    if (!this.mRemote.transact(52, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().setExternalSpeakersVolume(i);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void setOccMode(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(53, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setOccMode(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void setPsdEarPhoneVolume(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(54, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setPsdEarPhoneVolume(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.media.ICarAudio
            public void setPsdEarPhoneVolumeMute(boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(z ? 1 : 0);
                    if (this.mRemote.transact(55, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setPsdEarPhoneVolumeMute(z);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public static boolean setDefaultImpl(ICarAudio iCarAudio) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iCarAudio == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iCarAudio;
                return true;
            }
        }

        public static ICarAudio getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }
    }
}
