package android.car.occupantawareness;

import android.os.Parcel;
import android.os.Parcelable;

public final class Point3D implements Parcelable {
    public static final Parcelable.Creator<Point3D> CREATOR = new Parcelable.Creator<Point3D>() {
        /* class android.car.occupantawareness.Point3D.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public Point3D createFromParcel(Parcel parcel) {
            return new Point3D(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public Point3D[] newArray(int i) {
            return new Point3D[i];
        }
    };
    public final double x;
    public final double y;
    public final double z;

    public int describeContents() {
        return 0;
    }

    public Point3D(double d, double d2, double d3) {
        this.x = d;
        this.y = d2;
        this.z = d3;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeDouble(this.x);
        parcel.writeDouble(this.y);
        parcel.writeDouble(this.z);
    }

    public String toString() {
        return String.format("%f, %f, %f", Double.valueOf(this.x), Double.valueOf(this.y), Double.valueOf(this.z));
    }

    private Point3D(Parcel parcel) {
        this.x = parcel.readDouble();
        this.y = parcel.readDouble();
        this.z = parcel.readDouble();
    }
}
