package android.car.settings;

import android.os.Parcel;
import android.os.Parcelable;
import java.util.Objects;

@Deprecated
public final class SpeedBumpConfiguration implements Parcelable {
    public static final Parcelable.Creator<SpeedBumpConfiguration> CREATOR = new Parcelable.Creator<SpeedBumpConfiguration>() {
        /* class android.car.settings.SpeedBumpConfiguration.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public SpeedBumpConfiguration createFromParcel(Parcel parcel) {
            return new SpeedBumpConfiguration(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public SpeedBumpConfiguration[] newArray(int i) {
            return new SpeedBumpConfiguration[i];
        }
    };
    private final double mAcquiredPermitsPerSecond;
    private final double mMaxPermitPool;
    private final long mPermitFillDelay;

    public int describeContents() {
        return 0;
    }

    public SpeedBumpConfiguration(double d, double d2, long j) {
        this.mAcquiredPermitsPerSecond = d;
        this.mMaxPermitPool = d2;
        this.mPermitFillDelay = j;
    }

    public double getAcquiredPermitsPerSecond() {
        return this.mAcquiredPermitsPerSecond;
    }

    public double getMaxPermitPool() {
        return this.mMaxPermitPool;
    }

    public long getPermitFillDelay() {
        return this.mPermitFillDelay;
    }

    public String toString() {
        return String.format("[acquired_permits_per_second: %f, max_permit_pool: %f, permit_fill_delay: %d]", Double.valueOf(this.mAcquiredPermitsPerSecond), Double.valueOf(this.mMaxPermitPool), Long.valueOf(this.mPermitFillDelay));
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof SpeedBumpConfiguration)) {
            return false;
        }
        SpeedBumpConfiguration speedBumpConfiguration = (SpeedBumpConfiguration) obj;
        return this.mAcquiredPermitsPerSecond == speedBumpConfiguration.getAcquiredPermitsPerSecond() && this.mMaxPermitPool == speedBumpConfiguration.getMaxPermitPool() && this.mPermitFillDelay == speedBumpConfiguration.getPermitFillDelay();
    }

    public int hashCode() {
        return Objects.hash(Double.valueOf(this.mAcquiredPermitsPerSecond), Double.valueOf(this.mMaxPermitPool), Long.valueOf(this.mPermitFillDelay));
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeDouble(this.mAcquiredPermitsPerSecond);
        parcel.writeDouble(this.mMaxPermitPool);
        parcel.writeLong(this.mPermitFillDelay);
    }

    private SpeedBumpConfiguration(Parcel parcel) {
        this.mAcquiredPermitsPerSecond = parcel.readDouble();
        this.mMaxPermitPool = parcel.readDouble();
        this.mPermitFillDelay = parcel.readLong();
    }
}
