package com.geely.carlink.app;

import android.app.Application;
import android.util.Log;
import com.geely.carlink.constant.Const;

public class HmiApp extends Application {
    private static HmiApp instance;
    private final String TAG = (Const.GLOBAL_TAG + getClass().getSimpleName());
    private int currentDisplayId = 0;

    public static HmiApp getInstance() {
        return instance;
    }

    public void onCreate() {
        super.onCreate();
        Log.d(this.TAG, "HmiApp onCreate ==version1.0.20230617G(75)");
        instance = this;
    }

    public void setDisplayId(int i) {
        this.currentDisplayId = i;
    }

    public int getDisplayId() {
        return this.currentDisplayId;
    }
}
