package com.geely.carlink.handler.navi;

import android.content.Context;

public class NaviHandler implements INaviHandler {
    private final INaviHandler naviHandler = getProxyHandler();

    private INaviHandler getProxyHandler() {
        return new NaviHandlerImpl();
    }

    @Override // com.geely.carlink.ext.IHandler
    public void init(Context context) {
        this.naviHandler.init(context);
    }

    @Override // com.geely.carlink.ext.IHandler
    public void deInit() {
        this.naviHandler.deInit();
    }

    @Override // com.geely.carlink.handler.navi.INaviHandler
    public void cancelNavi() {
        this.naviHandler.cancelNavi();
    }
}
