package com.geely.carlink.listener;

import android.os.Message;

public interface ServiceListener {
    void goToHome();

    void onCallStateIdle();

    void onCallStateOffhook();

    void onCallStateRinging();

    void onCastConnected();

    void onCastDisConnected();

    void onConnectFail(int i);

    void onConnectSuccess();

    void onDenied();

    void onDisconnected(Message message);

    void onHeadUnitDeactivate();

    void onPermitted();

    void onPinCodeRefresh(Message message);

    void onProgress(Message message);

    void onResumeProjection();

    void onSDKInitFail(int i);

    void onSDKInitSuccess();

    void onSDKLoading();

    void onSDKServiceDied();

    void setTopApp();

    void startMainActivity();
}
