package com.geely.carlink.model;

import android.os.Parcel;
import android.os.Parcelable;

public class ScreenModel extends BaseModel {
    public static final Parcelable.Creator<ScreenModel> CREATOR = new Parcelable.Creator<ScreenModel>() {
        /* class com.geely.carlink.model.ScreenModel.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public ScreenModel createFromParcel(Parcel parcel) {
            return new ScreenModel(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public ScreenModel[] newArray(int i) {
            return new ScreenModel[i];
        }
    };
    private static final String TAG = "ScreenModel";
    private boolean isScreenOn;

    @Override // com.geely.carlink.model.BaseModel
    public int describeContents() {
        return 0;
    }

    public boolean isScreenOn() {
        return this.isScreenOn;
    }

    public void setScreenOn(boolean z) {
        this.isScreenOn = z;
    }

    @Override // com.geely.carlink.model.BaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeByte(this.isScreenOn ? (byte) 1 : 0);
    }

    @Override // com.geely.carlink.model.BaseModel
    public void readFromParcel(Parcel parcel) {
        super.readFromParcel(parcel);
        this.isScreenOn = parcel.readByte() != 0;
    }

    public ScreenModel(int i) {
        switch (i) {
            case 1048833:
            case 1052674:
                this.isScreenOn = true;
                return;
            case 1048834:
            case 1052673:
                this.isScreenOn = false;
                return;
            default:
                return;
        }
    }

    protected ScreenModel(Parcel parcel) {
        super(parcel);
        this.isScreenOn = parcel.readByte() != 0;
    }
}
