package com.geely.carlink.utils;

import com.geely.carlink.constant.Const;

public class CarLinkConfigUtils {
    private static final Boolean DEFAULT_BLE_SUPPORTED = true;
    private static final String DEFAULT_BT_CLIP = "Unknown";
    private static final String DEFAULT_CAR_BRAND = "Unknown";
    private static final String DEFAULT_CAR_MODEL = "Unknown";
    private static final String DEFAULT_DAY_NIGHT_MODE = "day";
    private static final int DEFAULT_DPI = 240;
    private static final boolean DEFAULT_IGNORE_ANDROID_CAMERA = true;
    private static final String DEFAULT_INPUT_FEATURES = "7";
    private static final String DEFAULT_MODE_ID = "00040900";
    private static final String DEFAULT_PRIMARY_INPUT = "1";
    private static final boolean DEFAULT_RECONNECT_SUPPORTED = true;
    private static final int DEFAULT_SCREEN_HEIGHT = 1080;
    private static final float DEFAULT_SCREEN_SIZE = 10.25f;
    private static final int DEFAULT_SCREEN_WIDTH = 1920;
    private static final String DEFAULT_WIFI_CLIP = "Unknown";
    private static final boolean DEFAULT_WIRED_SUPPORTED = true;
    private static final boolean DEFAULT_WIRELESS_SUPPORTED = true;
    public static final String FAKE_BLUETOOTH_MAC = "66:66:66:66:66:66";
    private static final String KEY_ADV_POWER = "AdvPower";
    private static final String KEY_ANDROID_CAMERA_CUSTOM_DEFINE = "AndroidCameraCustomDefine";
    public static final String KEY_BLE_SUPPORTED = "BleSupported";
    private static final String KEY_BT_CLIP = "BtChip";
    private static final String KEY_CAMERA_DESC = "CameraDesc";
    private static final String KEY_CAMERA_ID = "CameraId";
    private static final String KEY_CAMERA_LOCATION = "CameraLocation";
    private static final String KEY_CAR_BRAND = "CarBrand";
    private static final String KEY_CAR_MODEL = "CarModel";
    private static final String KEY_CODEC_TYPE = "CodecType";
    private static final String KEY_DAY_NIGHT_MODE = "DayNightMode";
    private static final String KEY_DEFAULT_AUDIO_FORMAT = "DefaultAudioFormat";
    private static final String KEY_DEFAULT_BITRATE = "DefaultBitrate";
    private static final String KEY_DPI = "DPI";
    private static final String KEY_FPS = "FPS";
    private static final String KEY_GOP = "GOP";
    private static final String KEY_HARDWARE_INFO = "HardwareInfo";
    private static final String KEY_IGNORE_ANDROID_CAMERA = "IgnoreAndroidCamera";
    private static final String KEY_INITIAL_CONFIG = "InitialConfig";
    private static final String KEY_INPUT_FEATURES = "InputFeatures";
    private static final String KEY_MAX_BITRATE = "MaxBitrate";
    private static final String KEY_MIN_BITRATE = "MinBitrate";
    private static final String KEY_MODEL_ID = "ModelId";
    private static final String KEY_PHYSICS_HEIGHT = "PhysicsHeight";
    private static final String KEY_PHYSICS_WIDTH = "PhysicsWidth";
    private static final String KEY_PRIMARY_INPUT = "PrimaryInput";
    public static final String KEY_RECONNECT = "Reconnect";
    private static final String KEY_SCREEN_HEIGHT = "ScreenHeight";
    private static final String KEY_SCREEN_SIZE = "ScreenSize";
    private static final String KEY_SCREEN_WIDTH = "ScreenWidth";
    private static final String KEY_SUPPORT_5G_CHANNEL = "Support5GChannel";
    private static final String KEY_VIDEO_HEIGHT = "VideoHeight";
    private static final String KEY_VIDEO_WIDTH = "VideoWidth";
    private static final String KEY_WIFI_CLIP = "WifiChip";
    public static final String KEY_WIRED_SUPPORTED = "WiredSupported";
    public static final String KEY_WIRELESS_SUPPORTED = "WirelessSupported";
    private static final String PROPERTIES_PATH = "hicar_config.json";
    private final String TAG = (Const.GLOBAL_TAG + getClass().getSimpleName());
}
