package com.geely.lib.oneosapi.gesture;

import android.os.Parcel;
import android.os.Parcelable;

public class GestureModel implements Parcelable {
    public static final Parcelable.Creator<GestureModel> CREATOR = new Parcelable.Creator<GestureModel>() {
        /* class com.geely.lib.oneosapi.gesture.GestureModel.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public GestureModel createFromParcel(Parcel parcel) {
            return new GestureModel(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public GestureModel[] newArray(int i) {
            return new GestureModel[i];
        }
    };
    private String gesture;

    public GestureModel() {
    }

    public int describeContents() {
        return 0;
    }

    public String getGesture() {
        return this.gesture;
    }

    public void readFromParcel(Parcel parcel) {
        this.gesture = parcel.readString();
    }

    public void setGesture(String str) {
        this.gesture = str;
    }

    public String toString() {
        return "GestureModel{gesture='" + this.gesture + '\'' + '}';
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.gesture);
    }

    public GestureModel(String str) {
        this.gesture = str;
    }

    public GestureModel(Parcel parcel) {
        this.gesture = parcel.readString();
    }
}
