package com.geely.lib.oneosapi.launcher.bean;

import android.content.Intent;
import android.os.Parcel;
import android.os.Parcelable;

public class ShortcutCompat implements Parcelable {
    public static final Parcelable.Creator<ShortcutCompat> CREATOR = new Parcelable.Creator<ShortcutCompat>() {
        /* class com.geely.lib.oneosapi.launcher.bean.ShortcutCompat.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public ShortcutCompat createFromParcel(Parcel parcel) {
            return new ShortcutCompat(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public ShortcutCompat[] newArray(int i) {
            return new ShortcutCompat[i];
        }
    };
    private String shortcutId;
    private Intent shortcutIntent;
    private String shortcutTitle;

    public ShortcutCompat() {
    }

    public int describeContents() {
        return 0;
    }

    public String getShortcutId() {
        return this.shortcutId;
    }

    public Intent getShortcutIntent() {
        return this.shortcutIntent;
    }

    public String getShortcutTitle() {
        return this.shortcutTitle;
    }

    public void setShortcutId(String str) {
        this.shortcutId = str;
    }

    public void setShortcutIntent(Intent intent) {
        this.shortcutIntent = intent;
    }

    public void setShortcutTitle(String str) {
        this.shortcutTitle = str;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.shortcutId);
        parcel.writeString(this.shortcutTitle);
        parcel.writeParcelable(this.shortcutIntent, i);
    }

    public ShortcutCompat(Parcel parcel) {
        this.shortcutId = parcel.readString();
        this.shortcutTitle = parcel.readString();
        this.shortcutIntent = (Intent) parcel.readParcelable(Intent.class.getClassLoader());
    }
}
