package com.geely.lib.oneosapi.navi;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import android.view.MotionEvent;
import android.view.Surface;
import com.geely.lib.oneosapi.navi.INaviCallback;
import com.geely.lib.oneosapi.navi.INaviEventNotify;
import com.geely.lib.oneosapi.navi.INaviInfo;
import com.geely.lib.oneosapi.navi.INaviObserver;
import com.geely.lib.oneosapi.navi.ipc.IApiRequestBaseModelBean;
import com.geely.lib.oneosapi.navi.ipc.IEditFavoriteRequestBean;
import com.geely.lib.oneosapi.navi.ipc.IKeywordSearchRequestBean;
import com.geely.lib.oneosapi.navi.ipc.ILatLngBean;
import com.geely.lib.oneosapi.navi.ipc.IModifyViaPoiRequestBean;
import com.geely.lib.oneosapi.navi.ipc.IRoutePlanRequestBean;
import com.geely.lib.oneosapi.navi.ipc.ISearchAlongWayRequestBean;
import com.geely.lib.oneosapi.navi.ipc.ISearchAroundRequestBean;
import com.geely.lib.oneosapi.navi.ipc.ISetMapFeaturesRunningStateBean;
import com.geely.lib.oneosapi.navi.ipc.IViaRoadRequestBean;
import com.geely.lib.oneosapi.navi.ipc.TransferModel;
import java.util.ArrayList;
import java.util.List;

public interface INaviServer extends IInterface {

    public static class Default implements INaviServer {
        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public boolean addNaviEventNotify(INaviEventNotify iNaviEventNotify) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public boolean addSurface(Surface surface, int i, int i2, int i3) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public boolean addSurfaceWithRoadView(Surface surface, int i, int i2, int i3, int i4, int i5) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public boolean addSurfaceWithRoadViewAndOffset(Surface surface, int i, int i2, int i3, int i4, int i5, int i6, int i7) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void alongTheWaySearch(int i, ISearchAlongWayRequestBean iSearchAlongWayRequestBean) throws RemoteException {
        }

        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void backToMap() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void cancelNavi() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void commonRequest(IApiRequestBaseModelBean iApiRequestBaseModelBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void dispatchTouchEvent(MotionEvent motionEvent) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void downloadOfflineMap(List<String> list) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void editFavoritePois(IEditFavoriteRequestBean iEditFavoriteRequestBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void exitMap() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void getArrivedFrontPoiInfo(String str) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void getFavoritePois(int i) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void getFrequentPois(int i) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void getFrontTraffic(int i) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void getGuideInfo() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void getHighwayExitInfo(int i) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void getHistoryPois(int i) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public String getLocationRoadInfo() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void getMapSupportedFeatures() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public String getPackageName() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void getRemainNopInfo() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void getRoutePlanInfo() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void getRunningMapFeatures() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void getSpeedLimitInfo() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void getTrafficSummaryInfo(String str) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public boolean goCompany() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void goFavorite(int i) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public boolean goHome() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void goOfflineMapDownload() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public TransferModel invokeNaviAPI(TransferModel transferModel) throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public int invokeNaviAPIAsync(TransferModel transferModel, INaviObserver iNaviObserver) throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void launchMap() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public boolean mapIsLaunched() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void mapZoomInOut(int i) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void modifyNaviVia(IModifyViaPoiRequestBean iModifyViaPoiRequestBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public boolean muteNaviAudio() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void naviFullView() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public boolean naviTo(String str) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public boolean naviToByNaviInfo(INaviInfo iNaviInfo) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void openDestinationSearch(IKeywordSearchRequestBean iKeywordSearchRequestBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void register(INaviCallback iNaviCallback) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public boolean registerNaviObserver(INaviObserver iNaviObserver) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public boolean removeNaviEventNotify(INaviEventNotify iNaviEventNotify) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public boolean removedSurface(Surface surface, int i) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void requestGeoDecoder(ILatLngBean iLatLngBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void requestRoutePlanOrNavi(long j, IRoutePlanRequestBean iRoutePlanRequestBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void requestRoutePlanOrNaviViaRoad(long j, IRoutePlanRequestBean iRoutePlanRequestBean, IViaRoadRequestBean iViaRoadRequestBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void rerouting() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void searchAround(long j, int i, ISearchAroundRequestBean iSearchAroundRequestBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void searchByKeyword(long j, int i, IKeywordSearchRequestBean iKeywordSearchRequestBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public boolean searchNearby(String str, double d, double d2) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void searchPoiNearbyBurnout(int i, IKeywordSearchRequestBean iKeywordSearchRequestBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void selectRoute(int i) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void setMapFeaturesRunningState(ISetMapFeaturesRunningStateBean iSetMapFeaturesRunningStateBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void setMapViewMode(int i) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void setReportNaviType(int i) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void setRoutePlanStrategy(int i) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void showMyLocation(boolean z) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void specialPoiNavi(int i, int i2) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public boolean stopNavi() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void switchARNavigation(boolean z) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void switchTraffic(boolean z) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public boolean unmuteNaviAudio() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public void unrRegister(INaviCallback iNaviCallback) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviServer
        public boolean unregisterNaviObserver(INaviObserver iNaviObserver) throws RemoteException {
            return false;
        }
    }

    public static abstract class Stub extends Binder implements INaviServer {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.navi.INaviServer";
        public static final int TRANSACTION_addNaviEventNotify = 66;
        public static final int TRANSACTION_addSurface = 46;
        public static final int TRANSACTION_addSurfaceWithRoadView = 47;
        public static final int TRANSACTION_addSurfaceWithRoadViewAndOffset = 54;
        public static final int TRANSACTION_alongTheWaySearch = 32;
        public static final int TRANSACTION_backToMap = 16;
        public static final int TRANSACTION_cancelNavi = 6;
        public static final int TRANSACTION_commonRequest = 5;
        public static final int TRANSACTION_dispatchTouchEvent = 49;
        public static final int TRANSACTION_downloadOfflineMap = 28;
        public static final int TRANSACTION_editFavoritePois = 38;
        public static final int TRANSACTION_exitMap = 17;
        public static final int TRANSACTION_getArrivedFrontPoiInfo = 43;
        public static final int TRANSACTION_getFavoritePois = 39;
        public static final int TRANSACTION_getFrequentPois = 41;
        public static final int TRANSACTION_getFrontTraffic = 8;
        public static final int TRANSACTION_getGuideInfo = 9;
        public static final int TRANSACTION_getHighwayExitInfo = 10;
        public static final int TRANSACTION_getHistoryPois = 40;
        public static final int TRANSACTION_getLocationRoadInfo = 63;
        public static final int TRANSACTION_getMapSupportedFeatures = 35;
        public static final int TRANSACTION_getPackageName = 45;
        public static final int TRANSACTION_getRemainNopInfo = 53;
        public static final int TRANSACTION_getRoutePlanInfo = 11;
        public static final int TRANSACTION_getRunningMapFeatures = 36;
        public static final int TRANSACTION_getSpeedLimitInfo = 42;
        public static final int TRANSACTION_getTrafficSummaryInfo = 25;
        public static final int TRANSACTION_goCompany = 58;
        public static final int TRANSACTION_goFavorite = 26;
        public static final int TRANSACTION_goHome = 57;
        public static final int TRANSACTION_goOfflineMapDownload = 29;
        public static final int TRANSACTION_invokeNaviAPI = 64;
        public static final int TRANSACTION_invokeNaviAPIAsync = 65;
        public static final int TRANSACTION_launchMap = 15;
        public static final int TRANSACTION_mapIsLaunched = 18;
        public static final int TRANSACTION_mapZoomInOut = 20;
        public static final int TRANSACTION_modifyNaviVia = 14;
        public static final int TRANSACTION_muteNaviAudio = 55;
        public static final int TRANSACTION_naviFullView = 22;
        public static final int TRANSACTION_naviTo = 61;
        public static final int TRANSACTION_naviToByNaviInfo = 62;
        public static final int TRANSACTION_openDestinationSearch = 19;
        public static final int TRANSACTION_register = 3;
        public static final int TRANSACTION_registerNaviObserver = 1;
        public static final int TRANSACTION_removeNaviEventNotify = 67;
        public static final int TRANSACTION_removedSurface = 48;
        public static final int TRANSACTION_requestGeoDecoder = 33;
        public static final int TRANSACTION_requestRoutePlanOrNavi = 13;
        public static final int TRANSACTION_requestRoutePlanOrNaviViaRoad = 52;
        public static final int TRANSACTION_rerouting = 44;
        public static final int TRANSACTION_searchAround = 31;
        public static final int TRANSACTION_searchByKeyword = 30;
        public static final int TRANSACTION_searchNearby = 59;
        public static final int TRANSACTION_searchPoiNearbyBurnout = 51;
        public static final int TRANSACTION_selectRoute = 7;
        public static final int TRANSACTION_setMapFeaturesRunningState = 37;
        public static final int TRANSACTION_setMapViewMode = 21;
        public static final int TRANSACTION_setReportNaviType = 50;
        public static final int TRANSACTION_setRoutePlanStrategy = 34;
        public static final int TRANSACTION_showMyLocation = 24;
        public static final int TRANSACTION_specialPoiNavi = 12;
        public static final int TRANSACTION_stopNavi = 60;
        public static final int TRANSACTION_switchARNavigation = 27;
        public static final int TRANSACTION_switchTraffic = 23;
        public static final int TRANSACTION_unmuteNaviAudio = 56;
        public static final int TRANSACTION_unrRegister = 4;
        public static final int TRANSACTION_unregisterNaviObserver = 2;

        public static class Proxy implements INaviServer {
            public static INaviServer sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public boolean addNaviEventNotify(INaviEventNotify iNaviEventNotify) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iNaviEventNotify != null ? iNaviEventNotify.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(66, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().addNaviEventNotify(iNaviEventNotify);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public boolean addSurface(Surface surface, int i, int i2, int i3) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = true;
                    if (surface != null) {
                        obtain.writeInt(1);
                        surface.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    obtain.writeInt(i3);
                    if (!this.mRemote.transact(46, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().addSurface(surface, i, i2, i3);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() == 0) {
                        z = false;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public boolean addSurfaceWithRoadView(Surface surface, int i, int i2, int i3, int i4, int i5) throws RemoteException {
                Throwable th;
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = true;
                    if (surface != null) {
                        obtain.writeInt(1);
                        surface.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    obtain.writeInt(i3);
                    obtain.writeInt(i4);
                    obtain.writeInt(i5);
                    try {
                        if (this.mRemote.transact(47, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                            obtain2.readException();
                            if (obtain2.readInt() == 0) {
                                z = false;
                            }
                            obtain2.recycle();
                            obtain.recycle();
                            return z;
                        }
                        boolean addSurfaceWithRoadView = Stub.getDefaultImpl().addSurfaceWithRoadView(surface, i, i2, i3, i4, i5);
                        obtain2.recycle();
                        obtain.recycle();
                        return addSurfaceWithRoadView;
                    } catch (Throwable th2) {
                        th = th2;
                        obtain2.recycle();
                        obtain.recycle();
                        throw th;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    obtain2.recycle();
                    obtain.recycle();
                    throw th;
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public boolean addSurfaceWithRoadViewAndOffset(Surface surface, int i, int i2, int i3, int i4, int i5, int i6, int i7) throws RemoteException {
                Throwable th;
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = true;
                    if (surface != null) {
                        obtain.writeInt(1);
                        surface.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    obtain.writeInt(i3);
                    obtain.writeInt(i4);
                    obtain.writeInt(i5);
                    obtain.writeInt(i6);
                    obtain.writeInt(i7);
                    try {
                        if (this.mRemote.transact(54, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                            obtain2.readException();
                            if (obtain2.readInt() == 0) {
                                z = false;
                            }
                            obtain2.recycle();
                            obtain.recycle();
                            return z;
                        }
                        boolean addSurfaceWithRoadViewAndOffset = Stub.getDefaultImpl().addSurfaceWithRoadViewAndOffset(surface, i, i2, i3, i4, i5, i6, i7);
                        obtain2.recycle();
                        obtain.recycle();
                        return addSurfaceWithRoadViewAndOffset;
                    } catch (Throwable th2) {
                        th = th2;
                        obtain2.recycle();
                        obtain.recycle();
                        throw th;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    obtain2.recycle();
                    obtain.recycle();
                    throw th;
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void alongTheWaySearch(int i, ISearchAlongWayRequestBean iSearchAlongWayRequestBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (iSearchAlongWayRequestBean != null) {
                        obtain.writeInt(1);
                        iSearchAlongWayRequestBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(32, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iSearchAlongWayRequestBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().alongTheWaySearch(i, iSearchAlongWayRequestBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void backToMap() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(16, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().backToMap();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void cancelNavi() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(6, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().cancelNavi();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void commonRequest(IApiRequestBaseModelBean iApiRequestBaseModelBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (iApiRequestBaseModelBean != null) {
                        obtain.writeInt(1);
                        iApiRequestBaseModelBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(5, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iApiRequestBaseModelBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().commonRequest(iApiRequestBaseModelBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void dispatchTouchEvent(MotionEvent motionEvent) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (motionEvent != null) {
                        obtain.writeInt(1);
                        motionEvent.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(49, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().dispatchTouchEvent(motionEvent);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void downloadOfflineMap(List<String> list) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStringList(list);
                    if (this.mRemote.transact(28, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.readStringList(list);
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().downloadOfflineMap(list);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void editFavoritePois(IEditFavoriteRequestBean iEditFavoriteRequestBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (iEditFavoriteRequestBean != null) {
                        obtain.writeInt(1);
                        iEditFavoriteRequestBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(38, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iEditFavoriteRequestBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().editFavoritePois(iEditFavoriteRequestBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void exitMap() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(17, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().exitMap();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void getArrivedFrontPoiInfo(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    if (this.mRemote.transact(43, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getArrivedFrontPoiInfo(str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void getFavoritePois(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(39, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getFavoritePois(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void getFrequentPois(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(41, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getFrequentPois(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void getFrontTraffic(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(8, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getFrontTraffic(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void getGuideInfo() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(9, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getGuideInfo();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void getHighwayExitInfo(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(10, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getHighwayExitInfo(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void getHistoryPois(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(40, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getHistoryPois(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public String getLocationRoadInfo() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(63, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getLocationRoadInfo();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void getMapSupportedFeatures() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(35, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getMapSupportedFeatures();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public String getPackageName() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(45, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getPackageName();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void getRemainNopInfo() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(53, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getRemainNopInfo();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void getRoutePlanInfo() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(11, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getRoutePlanInfo();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void getRunningMapFeatures() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(36, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getRunningMapFeatures();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void getSpeedLimitInfo() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(42, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getSpeedLimitInfo();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void getTrafficSummaryInfo(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    if (this.mRemote.transact(25, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getTrafficSummaryInfo(str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public boolean goCompany() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(58, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().goCompany();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void goFavorite(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(26, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().goFavorite(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public boolean goHome() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(57, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().goHome();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void goOfflineMapDownload() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(29, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().goOfflineMapDownload();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public TransferModel invokeNaviAPI(TransferModel transferModel) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (transferModel != null) {
                        obtain.writeInt(1);
                        transferModel.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (!this.mRemote.transact(64, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().invokeNaviAPI(transferModel);
                    }
                    obtain2.readException();
                    TransferModel createFromParcel = obtain2.readInt() != 0 ? TransferModel.CREATOR.createFromParcel(obtain2) : null;
                    obtain2.recycle();
                    obtain.recycle();
                    return createFromParcel;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public int invokeNaviAPIAsync(TransferModel transferModel, INaviObserver iNaviObserver) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (transferModel != null) {
                        obtain.writeInt(1);
                        transferModel.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    obtain.writeStrongBinder(iNaviObserver != null ? iNaviObserver.asBinder() : null);
                    if (!this.mRemote.transact(65, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().invokeNaviAPIAsync(transferModel, iNaviObserver);
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void launchMap() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(15, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().launchMap();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public boolean mapIsLaunched() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(18, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().mapIsLaunched();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void mapZoomInOut(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(20, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().mapZoomInOut(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void modifyNaviVia(IModifyViaPoiRequestBean iModifyViaPoiRequestBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (iModifyViaPoiRequestBean != null) {
                        obtain.writeInt(1);
                        iModifyViaPoiRequestBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(14, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iModifyViaPoiRequestBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().modifyNaviVia(iModifyViaPoiRequestBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public boolean muteNaviAudio() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(55, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().muteNaviAudio();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void naviFullView() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(22, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().naviFullView();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public boolean naviTo(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    boolean z = false;
                    if (!this.mRemote.transact(61, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().naviTo(str);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public boolean naviToByNaviInfo(INaviInfo iNaviInfo) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iNaviInfo != null ? iNaviInfo.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(62, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().naviToByNaviInfo(iNaviInfo);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void openDestinationSearch(IKeywordSearchRequestBean iKeywordSearchRequestBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (iKeywordSearchRequestBean != null) {
                        obtain.writeInt(1);
                        iKeywordSearchRequestBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(19, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iKeywordSearchRequestBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().openDestinationSearch(iKeywordSearchRequestBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void register(INaviCallback iNaviCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iNaviCallback != null ? iNaviCallback.asBinder() : null);
                    if (this.mRemote.transact(3, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().register(iNaviCallback);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public boolean registerNaviObserver(INaviObserver iNaviObserver) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iNaviObserver != null ? iNaviObserver.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().registerNaviObserver(iNaviObserver);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public boolean removeNaviEventNotify(INaviEventNotify iNaviEventNotify) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iNaviEventNotify != null ? iNaviEventNotify.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(67, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().removeNaviEventNotify(iNaviEventNotify);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public boolean removedSurface(Surface surface, int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = true;
                    if (surface != null) {
                        obtain.writeInt(1);
                        surface.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    obtain.writeInt(i);
                    if (!this.mRemote.transact(48, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().removedSurface(surface, i);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() == 0) {
                        z = false;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void requestGeoDecoder(ILatLngBean iLatLngBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (iLatLngBean != null) {
                        obtain.writeInt(1);
                        iLatLngBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(33, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iLatLngBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().requestGeoDecoder(iLatLngBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void requestRoutePlanOrNavi(long j, IRoutePlanRequestBean iRoutePlanRequestBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeLong(j);
                    if (iRoutePlanRequestBean != null) {
                        obtain.writeInt(1);
                        iRoutePlanRequestBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(13, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iRoutePlanRequestBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().requestRoutePlanOrNavi(j, iRoutePlanRequestBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void requestRoutePlanOrNaviViaRoad(long j, IRoutePlanRequestBean iRoutePlanRequestBean, IViaRoadRequestBean iViaRoadRequestBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeLong(j);
                    if (iRoutePlanRequestBean != null) {
                        obtain.writeInt(1);
                        iRoutePlanRequestBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (iViaRoadRequestBean != null) {
                        obtain.writeInt(1);
                        iViaRoadRequestBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(52, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iRoutePlanRequestBean.readFromParcel(obtain2);
                        }
                        if (obtain2.readInt() != 0) {
                            iViaRoadRequestBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().requestRoutePlanOrNaviViaRoad(j, iRoutePlanRequestBean, iViaRoadRequestBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void rerouting() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(44, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().rerouting();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void searchAround(long j, int i, ISearchAroundRequestBean iSearchAroundRequestBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeLong(j);
                    obtain.writeInt(i);
                    if (iSearchAroundRequestBean != null) {
                        obtain.writeInt(1);
                        iSearchAroundRequestBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(31, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iSearchAroundRequestBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().searchAround(j, i, iSearchAroundRequestBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void searchByKeyword(long j, int i, IKeywordSearchRequestBean iKeywordSearchRequestBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeLong(j);
                    obtain.writeInt(i);
                    if (iKeywordSearchRequestBean != null) {
                        obtain.writeInt(1);
                        iKeywordSearchRequestBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(30, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iKeywordSearchRequestBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().searchByKeyword(j, i, iKeywordSearchRequestBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public boolean searchNearby(String str, double d, double d2) throws RemoteException {
                Throwable th;
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeDouble(d);
                    obtain.writeDouble(d2);
                    try {
                        boolean z = false;
                        if (this.mRemote.transact(59, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                            obtain2.readException();
                            if (obtain2.readInt() != 0) {
                                z = true;
                            }
                            obtain2.recycle();
                            obtain.recycle();
                            return z;
                        }
                        boolean searchNearby = Stub.getDefaultImpl().searchNearby(str, d, d2);
                        obtain2.recycle();
                        obtain.recycle();
                        return searchNearby;
                    } catch (Throwable th2) {
                        th = th2;
                        obtain2.recycle();
                        obtain.recycle();
                        throw th;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    obtain2.recycle();
                    obtain.recycle();
                    throw th;
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void searchPoiNearbyBurnout(int i, IKeywordSearchRequestBean iKeywordSearchRequestBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (iKeywordSearchRequestBean != null) {
                        obtain.writeInt(1);
                        iKeywordSearchRequestBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(51, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iKeywordSearchRequestBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().searchPoiNearbyBurnout(i, iKeywordSearchRequestBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void selectRoute(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(7, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().selectRoute(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void setMapFeaturesRunningState(ISetMapFeaturesRunningStateBean iSetMapFeaturesRunningStateBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (iSetMapFeaturesRunningStateBean != null) {
                        obtain.writeInt(1);
                        iSetMapFeaturesRunningStateBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(37, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iSetMapFeaturesRunningStateBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setMapFeaturesRunningState(iSetMapFeaturesRunningStateBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void setMapViewMode(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(21, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setMapViewMode(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void setReportNaviType(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(50, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setReportNaviType(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void setRoutePlanStrategy(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(34, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setRoutePlanStrategy(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void showMyLocation(boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(z ? 1 : 0);
                    if (this.mRemote.transact(24, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().showMyLocation(z);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void specialPoiNavi(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    if (this.mRemote.transact(12, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().specialPoiNavi(i, i2);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public boolean stopNavi() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(60, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().stopNavi();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void switchARNavigation(boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(z ? 1 : 0);
                    if (this.mRemote.transact(27, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().switchARNavigation(z);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void switchTraffic(boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(z ? 1 : 0);
                    if (this.mRemote.transact(23, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().switchTraffic(z);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public boolean unmuteNaviAudio() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(56, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().unmuteNaviAudio();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public void unrRegister(INaviCallback iNaviCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iNaviCallback != null ? iNaviCallback.asBinder() : null);
                    if (this.mRemote.transact(4, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().unrRegister(iNaviCallback);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviServer
            public boolean unregisterNaviObserver(INaviObserver iNaviObserver) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iNaviObserver != null ? iNaviObserver.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().unregisterNaviObserver(iNaviObserver);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static INaviServer asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof INaviServer)) {
                return new Proxy(iBinder);
            }
            return (INaviServer) queryLocalInterface;
        }

        public static INaviServer getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(INaviServer iNaviServer) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iNaviServer == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iNaviServer;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                boolean z = false;
                IApiRequestBaseModelBean iApiRequestBaseModelBean = null;
                TransferModel transferModel = null;
                TransferModel transferModel2 = null;
                Surface surface = null;
                IViaRoadRequestBean iViaRoadRequestBean = null;
                IKeywordSearchRequestBean iKeywordSearchRequestBean = null;
                MotionEvent motionEvent = null;
                Surface surface2 = null;
                Surface surface3 = null;
                Surface surface4 = null;
                IEditFavoriteRequestBean iEditFavoriteRequestBean = null;
                ISetMapFeaturesRunningStateBean iSetMapFeaturesRunningStateBean = null;
                ILatLngBean iLatLngBean = null;
                ISearchAlongWayRequestBean iSearchAlongWayRequestBean = null;
                ISearchAroundRequestBean iSearchAroundRequestBean = null;
                IKeywordSearchRequestBean iKeywordSearchRequestBean2 = null;
                IKeywordSearchRequestBean iKeywordSearchRequestBean3 = null;
                IModifyViaPoiRequestBean iModifyViaPoiRequestBean = null;
                IRoutePlanRequestBean iRoutePlanRequestBean = null;
                switch (i) {
                    case 1:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean registerNaviObserver = registerNaviObserver(INaviObserver.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(registerNaviObserver ? 1 : 0);
                        return true;
                    case 2:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean unregisterNaviObserver = unregisterNaviObserver(INaviObserver.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(unregisterNaviObserver ? 1 : 0);
                        return true;
                    case 3:
                        parcel.enforceInterface(DESCRIPTOR);
                        register(INaviCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 4:
                        parcel.enforceInterface(DESCRIPTOR);
                        unrRegister(INaviCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 5:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            iApiRequestBaseModelBean = IApiRequestBaseModelBean.CREATOR.createFromParcel(parcel);
                        }
                        commonRequest(iApiRequestBaseModelBean);
                        parcel2.writeNoException();
                        if (iApiRequestBaseModelBean != null) {
                            parcel2.writeInt(1);
                            iApiRequestBaseModelBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 6:
                        parcel.enforceInterface(DESCRIPTOR);
                        cancelNavi();
                        parcel2.writeNoException();
                        return true;
                    case 7:
                        parcel.enforceInterface(DESCRIPTOR);
                        selectRoute(parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 8:
                        parcel.enforceInterface(DESCRIPTOR);
                        getFrontTraffic(parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 9:
                        parcel.enforceInterface(DESCRIPTOR);
                        getGuideInfo();
                        parcel2.writeNoException();
                        return true;
                    case 10:
                        parcel.enforceInterface(DESCRIPTOR);
                        getHighwayExitInfo(parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 11:
                        parcel.enforceInterface(DESCRIPTOR);
                        getRoutePlanInfo();
                        parcel2.writeNoException();
                        return true;
                    case 12:
                        parcel.enforceInterface(DESCRIPTOR);
                        specialPoiNavi(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 13:
                        parcel.enforceInterface(DESCRIPTOR);
                        long readLong = parcel.readLong();
                        if (parcel.readInt() != 0) {
                            iRoutePlanRequestBean = IRoutePlanRequestBean.CREATOR.createFromParcel(parcel);
                        }
                        requestRoutePlanOrNavi(readLong, iRoutePlanRequestBean);
                        parcel2.writeNoException();
                        if (iRoutePlanRequestBean != null) {
                            parcel2.writeInt(1);
                            iRoutePlanRequestBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 14:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            iModifyViaPoiRequestBean = IModifyViaPoiRequestBean.CREATOR.createFromParcel(parcel);
                        }
                        modifyNaviVia(iModifyViaPoiRequestBean);
                        parcel2.writeNoException();
                        if (iModifyViaPoiRequestBean != null) {
                            parcel2.writeInt(1);
                            iModifyViaPoiRequestBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 15:
                        parcel.enforceInterface(DESCRIPTOR);
                        launchMap();
                        parcel2.writeNoException();
                        return true;
                    case 16:
                        parcel.enforceInterface(DESCRIPTOR);
                        backToMap();
                        parcel2.writeNoException();
                        return true;
                    case 17:
                        parcel.enforceInterface(DESCRIPTOR);
                        exitMap();
                        parcel2.writeNoException();
                        return true;
                    case 18:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean mapIsLaunched = mapIsLaunched();
                        parcel2.writeNoException();
                        parcel2.writeInt(mapIsLaunched ? 1 : 0);
                        return true;
                    case 19:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            iKeywordSearchRequestBean3 = IKeywordSearchRequestBean.CREATOR.createFromParcel(parcel);
                        }
                        openDestinationSearch(iKeywordSearchRequestBean3);
                        parcel2.writeNoException();
                        if (iKeywordSearchRequestBean3 != null) {
                            parcel2.writeInt(1);
                            iKeywordSearchRequestBean3.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 20:
                        parcel.enforceInterface(DESCRIPTOR);
                        mapZoomInOut(parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 21:
                        parcel.enforceInterface(DESCRIPTOR);
                        setMapViewMode(parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 22:
                        parcel.enforceInterface(DESCRIPTOR);
                        naviFullView();
                        parcel2.writeNoException();
                        return true;
                    case 23:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        switchTraffic(z);
                        parcel2.writeNoException();
                        return true;
                    case 24:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        showMyLocation(z);
                        parcel2.writeNoException();
                        return true;
                    case 25:
                        parcel.enforceInterface(DESCRIPTOR);
                        getTrafficSummaryInfo(parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 26:
                        parcel.enforceInterface(DESCRIPTOR);
                        goFavorite(parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 27:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        switchARNavigation(z);
                        parcel2.writeNoException();
                        return true;
                    case 28:
                        parcel.enforceInterface(DESCRIPTOR);
                        ArrayList<String> createStringArrayList = parcel.createStringArrayList();
                        downloadOfflineMap(createStringArrayList);
                        parcel2.writeNoException();
                        parcel2.writeStringList(createStringArrayList);
                        return true;
                    case 29:
                        parcel.enforceInterface(DESCRIPTOR);
                        goOfflineMapDownload();
                        parcel2.writeNoException();
                        return true;
                    case 30:
                        parcel.enforceInterface(DESCRIPTOR);
                        long readLong2 = parcel.readLong();
                        int readInt = parcel.readInt();
                        if (parcel.readInt() != 0) {
                            iKeywordSearchRequestBean2 = IKeywordSearchRequestBean.CREATOR.createFromParcel(parcel);
                        }
                        searchByKeyword(readLong2, readInt, iKeywordSearchRequestBean2);
                        parcel2.writeNoException();
                        if (iKeywordSearchRequestBean2 != null) {
                            parcel2.writeInt(1);
                            iKeywordSearchRequestBean2.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 31:
                        parcel.enforceInterface(DESCRIPTOR);
                        long readLong3 = parcel.readLong();
                        int readInt2 = parcel.readInt();
                        if (parcel.readInt() != 0) {
                            iSearchAroundRequestBean = ISearchAroundRequestBean.CREATOR.createFromParcel(parcel);
                        }
                        searchAround(readLong3, readInt2, iSearchAroundRequestBean);
                        parcel2.writeNoException();
                        if (iSearchAroundRequestBean != null) {
                            parcel2.writeInt(1);
                            iSearchAroundRequestBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 32:
                        parcel.enforceInterface(DESCRIPTOR);
                        int readInt3 = parcel.readInt();
                        if (parcel.readInt() != 0) {
                            iSearchAlongWayRequestBean = ISearchAlongWayRequestBean.CREATOR.createFromParcel(parcel);
                        }
                        alongTheWaySearch(readInt3, iSearchAlongWayRequestBean);
                        parcel2.writeNoException();
                        if (iSearchAlongWayRequestBean != null) {
                            parcel2.writeInt(1);
                            iSearchAlongWayRequestBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 33:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            iLatLngBean = ILatLngBean.CREATOR.createFromParcel(parcel);
                        }
                        requestGeoDecoder(iLatLngBean);
                        parcel2.writeNoException();
                        if (iLatLngBean != null) {
                            parcel2.writeInt(1);
                            iLatLngBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 34:
                        parcel.enforceInterface(DESCRIPTOR);
                        setRoutePlanStrategy(parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 35:
                        parcel.enforceInterface(DESCRIPTOR);
                        getMapSupportedFeatures();
                        parcel2.writeNoException();
                        return true;
                    case 36:
                        parcel.enforceInterface(DESCRIPTOR);
                        getRunningMapFeatures();
                        parcel2.writeNoException();
                        return true;
                    case 37:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            iSetMapFeaturesRunningStateBean = ISetMapFeaturesRunningStateBean.CREATOR.createFromParcel(parcel);
                        }
                        setMapFeaturesRunningState(iSetMapFeaturesRunningStateBean);
                        parcel2.writeNoException();
                        if (iSetMapFeaturesRunningStateBean != null) {
                            parcel2.writeInt(1);
                            iSetMapFeaturesRunningStateBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 38:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            iEditFavoriteRequestBean = IEditFavoriteRequestBean.CREATOR.createFromParcel(parcel);
                        }
                        editFavoritePois(iEditFavoriteRequestBean);
                        parcel2.writeNoException();
                        if (iEditFavoriteRequestBean != null) {
                            parcel2.writeInt(1);
                            iEditFavoriteRequestBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 39:
                        parcel.enforceInterface(DESCRIPTOR);
                        getFavoritePois(parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 40:
                        parcel.enforceInterface(DESCRIPTOR);
                        getHistoryPois(parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 41:
                        parcel.enforceInterface(DESCRIPTOR);
                        getFrequentPois(parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 42:
                        parcel.enforceInterface(DESCRIPTOR);
                        getSpeedLimitInfo();
                        parcel2.writeNoException();
                        return true;
                    case 43:
                        parcel.enforceInterface(DESCRIPTOR);
                        getArrivedFrontPoiInfo(parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 44:
                        parcel.enforceInterface(DESCRIPTOR);
                        rerouting();
                        parcel2.writeNoException();
                        return true;
                    case 45:
                        parcel.enforceInterface(DESCRIPTOR);
                        String packageName = getPackageName();
                        parcel2.writeNoException();
                        parcel2.writeString(packageName);
                        return true;
                    case 46:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            surface4 = (Surface) Surface.CREATOR.createFromParcel(parcel);
                        }
                        boolean addSurface = addSurface(surface4, parcel.readInt(), parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(addSurface ? 1 : 0);
                        return true;
                    case 47:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            surface3 = (Surface) Surface.CREATOR.createFromParcel(parcel);
                        }
                        boolean addSurfaceWithRoadView = addSurfaceWithRoadView(surface3, parcel.readInt(), parcel.readInt(), parcel.readInt(), parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(addSurfaceWithRoadView ? 1 : 0);
                        return true;
                    case 48:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            surface2 = (Surface) Surface.CREATOR.createFromParcel(parcel);
                        }
                        boolean removedSurface = removedSurface(surface2, parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(removedSurface ? 1 : 0);
                        return true;
                    case 49:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            motionEvent = (MotionEvent) MotionEvent.CREATOR.createFromParcel(parcel);
                        }
                        dispatchTouchEvent(motionEvent);
                        parcel2.writeNoException();
                        return true;
                    case 50:
                        parcel.enforceInterface(DESCRIPTOR);
                        setReportNaviType(parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 51:
                        parcel.enforceInterface(DESCRIPTOR);
                        int readInt4 = parcel.readInt();
                        if (parcel.readInt() != 0) {
                            iKeywordSearchRequestBean = IKeywordSearchRequestBean.CREATOR.createFromParcel(parcel);
                        }
                        searchPoiNearbyBurnout(readInt4, iKeywordSearchRequestBean);
                        parcel2.writeNoException();
                        if (iKeywordSearchRequestBean != null) {
                            parcel2.writeInt(1);
                            iKeywordSearchRequestBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 52:
                        parcel.enforceInterface(DESCRIPTOR);
                        long readLong4 = parcel.readLong();
                        IRoutePlanRequestBean createFromParcel = parcel.readInt() != 0 ? IRoutePlanRequestBean.CREATOR.createFromParcel(parcel) : null;
                        if (parcel.readInt() != 0) {
                            iViaRoadRequestBean = IViaRoadRequestBean.CREATOR.createFromParcel(parcel);
                        }
                        requestRoutePlanOrNaviViaRoad(readLong4, createFromParcel, iViaRoadRequestBean);
                        parcel2.writeNoException();
                        if (createFromParcel != null) {
                            parcel2.writeInt(1);
                            createFromParcel.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        if (iViaRoadRequestBean != null) {
                            parcel2.writeInt(1);
                            iViaRoadRequestBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 53:
                        parcel.enforceInterface(DESCRIPTOR);
                        getRemainNopInfo();
                        parcel2.writeNoException();
                        return true;
                    case 54:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            surface = (Surface) Surface.CREATOR.createFromParcel(parcel);
                        }
                        boolean addSurfaceWithRoadViewAndOffset = addSurfaceWithRoadViewAndOffset(surface, parcel.readInt(), parcel.readInt(), parcel.readInt(), parcel.readInt(), parcel.readInt(), parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(addSurfaceWithRoadViewAndOffset ? 1 : 0);
                        return true;
                    case 55:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean muteNaviAudio = muteNaviAudio();
                        parcel2.writeNoException();
                        parcel2.writeInt(muteNaviAudio ? 1 : 0);
                        return true;
                    case 56:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean unmuteNaviAudio = unmuteNaviAudio();
                        parcel2.writeNoException();
                        parcel2.writeInt(unmuteNaviAudio ? 1 : 0);
                        return true;
                    case 57:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean goHome = goHome();
                        parcel2.writeNoException();
                        parcel2.writeInt(goHome ? 1 : 0);
                        return true;
                    case 58:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean goCompany = goCompany();
                        parcel2.writeNoException();
                        parcel2.writeInt(goCompany ? 1 : 0);
                        return true;
                    case 59:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean searchNearby = searchNearby(parcel.readString(), parcel.readDouble(), parcel.readDouble());
                        parcel2.writeNoException();
                        parcel2.writeInt(searchNearby ? 1 : 0);
                        return true;
                    case 60:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean stopNavi = stopNavi();
                        parcel2.writeNoException();
                        parcel2.writeInt(stopNavi ? 1 : 0);
                        return true;
                    case 61:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean naviTo = naviTo(parcel.readString());
                        parcel2.writeNoException();
                        parcel2.writeInt(naviTo ? 1 : 0);
                        return true;
                    case 62:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean naviToByNaviInfo = naviToByNaviInfo(INaviInfo.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(naviToByNaviInfo ? 1 : 0);
                        return true;
                    case 63:
                        parcel.enforceInterface(DESCRIPTOR);
                        String locationRoadInfo = getLocationRoadInfo();
                        parcel2.writeNoException();
                        parcel2.writeString(locationRoadInfo);
                        return true;
                    case 64:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            transferModel2 = TransferModel.CREATOR.createFromParcel(parcel);
                        }
                        TransferModel invokeNaviAPI = invokeNaviAPI(transferModel2);
                        parcel2.writeNoException();
                        if (invokeNaviAPI != null) {
                            parcel2.writeInt(1);
                            invokeNaviAPI.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 65:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            transferModel = TransferModel.CREATOR.createFromParcel(parcel);
                        }
                        int invokeNaviAPIAsync = invokeNaviAPIAsync(transferModel, INaviObserver.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(invokeNaviAPIAsync);
                        return true;
                    case 66:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean addNaviEventNotify = addNaviEventNotify(INaviEventNotify.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(addNaviEventNotify ? 1 : 0);
                        return true;
                    case 67:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean removeNaviEventNotify = removeNaviEventNotify(INaviEventNotify.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(removeNaviEventNotify ? 1 : 0);
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    boolean addNaviEventNotify(INaviEventNotify iNaviEventNotify) throws RemoteException;

    boolean addSurface(Surface surface, int i, int i2, int i3) throws RemoteException;

    boolean addSurfaceWithRoadView(Surface surface, int i, int i2, int i3, int i4, int i5) throws RemoteException;

    boolean addSurfaceWithRoadViewAndOffset(Surface surface, int i, int i2, int i3, int i4, int i5, int i6, int i7) throws RemoteException;

    void alongTheWaySearch(int i, ISearchAlongWayRequestBean iSearchAlongWayRequestBean) throws RemoteException;

    void backToMap() throws RemoteException;

    void cancelNavi() throws RemoteException;

    void commonRequest(IApiRequestBaseModelBean iApiRequestBaseModelBean) throws RemoteException;

    void dispatchTouchEvent(MotionEvent motionEvent) throws RemoteException;

    void downloadOfflineMap(List<String> list) throws RemoteException;

    void editFavoritePois(IEditFavoriteRequestBean iEditFavoriteRequestBean) throws RemoteException;

    void exitMap() throws RemoteException;

    void getArrivedFrontPoiInfo(String str) throws RemoteException;

    void getFavoritePois(int i) throws RemoteException;

    void getFrequentPois(int i) throws RemoteException;

    void getFrontTraffic(int i) throws RemoteException;

    void getGuideInfo() throws RemoteException;

    void getHighwayExitInfo(int i) throws RemoteException;

    void getHistoryPois(int i) throws RemoteException;

    String getLocationRoadInfo() throws RemoteException;

    void getMapSupportedFeatures() throws RemoteException;

    String getPackageName() throws RemoteException;

    void getRemainNopInfo() throws RemoteException;

    void getRoutePlanInfo() throws RemoteException;

    void getRunningMapFeatures() throws RemoteException;

    void getSpeedLimitInfo() throws RemoteException;

    void getTrafficSummaryInfo(String str) throws RemoteException;

    boolean goCompany() throws RemoteException;

    void goFavorite(int i) throws RemoteException;

    boolean goHome() throws RemoteException;

    void goOfflineMapDownload() throws RemoteException;

    TransferModel invokeNaviAPI(TransferModel transferModel) throws RemoteException;

    int invokeNaviAPIAsync(TransferModel transferModel, INaviObserver iNaviObserver) throws RemoteException;

    void launchMap() throws RemoteException;

    boolean mapIsLaunched() throws RemoteException;

    void mapZoomInOut(int i) throws RemoteException;

    void modifyNaviVia(IModifyViaPoiRequestBean iModifyViaPoiRequestBean) throws RemoteException;

    boolean muteNaviAudio() throws RemoteException;

    void naviFullView() throws RemoteException;

    boolean naviTo(String str) throws RemoteException;

    boolean naviToByNaviInfo(INaviInfo iNaviInfo) throws RemoteException;

    void openDestinationSearch(IKeywordSearchRequestBean iKeywordSearchRequestBean) throws RemoteException;

    void register(INaviCallback iNaviCallback) throws RemoteException;

    boolean registerNaviObserver(INaviObserver iNaviObserver) throws RemoteException;

    boolean removeNaviEventNotify(INaviEventNotify iNaviEventNotify) throws RemoteException;

    boolean removedSurface(Surface surface, int i) throws RemoteException;

    void requestGeoDecoder(ILatLngBean iLatLngBean) throws RemoteException;

    void requestRoutePlanOrNavi(long j, IRoutePlanRequestBean iRoutePlanRequestBean) throws RemoteException;

    void requestRoutePlanOrNaviViaRoad(long j, IRoutePlanRequestBean iRoutePlanRequestBean, IViaRoadRequestBean iViaRoadRequestBean) throws RemoteException;

    void rerouting() throws RemoteException;

    void searchAround(long j, int i, ISearchAroundRequestBean iSearchAroundRequestBean) throws RemoteException;

    void searchByKeyword(long j, int i, IKeywordSearchRequestBean iKeywordSearchRequestBean) throws RemoteException;

    boolean searchNearby(String str, double d, double d2) throws RemoteException;

    void searchPoiNearbyBurnout(int i, IKeywordSearchRequestBean iKeywordSearchRequestBean) throws RemoteException;

    void selectRoute(int i) throws RemoteException;

    void setMapFeaturesRunningState(ISetMapFeaturesRunningStateBean iSetMapFeaturesRunningStateBean) throws RemoteException;

    void setMapViewMode(int i) throws RemoteException;

    void setReportNaviType(int i) throws RemoteException;

    void setRoutePlanStrategy(int i) throws RemoteException;

    void showMyLocation(boolean z) throws RemoteException;

    void specialPoiNavi(int i, int i2) throws RemoteException;

    boolean stopNavi() throws RemoteException;

    void switchARNavigation(boolean z) throws RemoteException;

    void switchTraffic(boolean z) throws RemoteException;

    boolean unmuteNaviAudio() throws RemoteException;

    void unrRegister(INaviCallback iNaviCallback) throws RemoteException;

    boolean unregisterNaviObserver(INaviObserver iNaviObserver) throws RemoteException;
}
