package com.geely.lib.oneosapi.navi.ipc;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;

public class IApiResponseBaseModelBean implements Parcelable {
    public static final Parcelable.Creator<IApiResponseBaseModelBean> CREATOR = new Parcelable.Creator<IApiResponseBaseModelBean>() {
        /* class com.geely.lib.oneosapi.navi.ipc.IApiResponseBaseModelBean.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public IApiResponseBaseModelBean createFromParcel(Parcel parcel) {
            return new IApiResponseBaseModelBean(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public IApiResponseBaseModelBean[] newArray(int i) {
            return new IApiResponseBaseModelBean[i];
        }
    };
    private Bundle extras;
    private int resultCode;

    public IApiResponseBaseModelBean() {
    }

    public int describeContents() {
        return 0;
    }

    public Bundle getExtras() {
        return this.extras;
    }

    public int getResultCode() {
        return this.resultCode;
    }

    public void readFromParcel(Parcel parcel) {
        this.resultCode = parcel.readInt();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }

    public void setExtras(Bundle bundle) {
        this.extras = bundle;
    }

    public void setResultCode(int i) {
        this.resultCode = i;
    }

    public String toString() {
        return "IAPIResponseBaseModelBean{resultCode=" + this.resultCode + ", extras=" + this.extras + '}';
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(this.resultCode);
        parcel.writeBundle(this.extras);
    }

    public IApiResponseBaseModelBean(Parcel parcel) {
        this.resultCode = parcel.readInt();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }
}
