package com.geely.lib.oneosapi.navi.ipc;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;

public class IMapFeaturesSupportedBean implements Parcelable {
    public static final Parcelable.Creator<IMapFeaturesSupportedBean> CREATOR = new Parcelable.Creator<IMapFeaturesSupportedBean>() {
        /* class com.geely.lib.oneosapi.navi.ipc.IMapFeaturesSupportedBean.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public IMapFeaturesSupportedBean createFromParcel(Parcel parcel) {
            return new IMapFeaturesSupportedBean(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public IMapFeaturesSupportedBean[] newArray(int i) {
            return new IMapFeaturesSupportedBean[i];
        }
    };
    private Bundle extras;
    private int mapFeatures;
    private int resultCode;

    public IMapFeaturesSupportedBean() {
    }

    public int describeContents() {
        return 0;
    }

    public Bundle getExtras() {
        return this.extras;
    }

    public int getMapFeatures() {
        return this.mapFeatures;
    }

    public int getResultCode() {
        return this.resultCode;
    }

    public void readFromParcel(Parcel parcel) {
        this.mapFeatures = parcel.readInt();
        this.resultCode = parcel.readInt();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }

    public void setExtras(Bundle bundle) {
        this.extras = bundle;
    }

    public void setMapFeatures(int i) {
        this.mapFeatures = i;
    }

    public void setResultCode(int i) {
        this.resultCode = i;
    }

    public String toString() {
        return "IMapFeaturesSupportedBean{mapFeatures=" + this.mapFeatures + ", resultCode=" + this.resultCode + ", extras=" + this.extras + '}';
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(this.mapFeatures);
        parcel.writeInt(this.resultCode);
        parcel.writeBundle(this.extras);
    }

    public IMapFeaturesSupportedBean(Parcel parcel) {
        this.mapFeatures = parcel.readInt();
        this.resultCode = parcel.readInt();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }
}
