package com.geely.lib.oneosapi.navi.ipc;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;

public class IModifyViaPoiRequestBean implements Parcelable {
    public static final Parcelable.Creator<IModifyViaPoiRequestBean> CREATOR = new Parcelable.Creator<IModifyViaPoiRequestBean>() {
        /* class com.geely.lib.oneosapi.navi.ipc.IModifyViaPoiRequestBean.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public IModifyViaPoiRequestBean createFromParcel(Parcel parcel) {
            return new IModifyViaPoiRequestBean(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public IModifyViaPoiRequestBean[] newArray(int i) {
            return new IModifyViaPoiRequestBean[i];
        }
    };
    private int action;
    private Bundle extras;
    private long requestTimeout;
    private IPoiInfoBean viaPoi;

    public IModifyViaPoiRequestBean() {
    }

    public int describeContents() {
        return 0;
    }

    public int getAction() {
        return this.action;
    }

    public Bundle getExtras() {
        return this.extras;
    }

    public long getRequestTimeout() {
        return this.requestTimeout;
    }

    public IPoiInfoBean getViaPoi() {
        return this.viaPoi;
    }

    public void readFromParcel(Parcel parcel) {
        this.action = parcel.readInt();
        this.viaPoi = (IPoiInfoBean) parcel.readParcelable(IPoiInfoBean.class.getClassLoader());
        this.requestTimeout = parcel.readLong();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }

    public void setAction(int i) {
        this.action = i;
    }

    public void setExtras(Bundle bundle) {
        this.extras = bundle;
    }

    public void setRequestTimeout(long j) {
        this.requestTimeout = j;
    }

    public void setViaPoi(IPoiInfoBean iPoiInfoBean) {
        this.viaPoi = iPoiInfoBean;
    }

    public String toString() {
        return "IModifyViaPoiRequestBean{action=" + this.action + ", viaPoi=" + this.viaPoi + ", requestTimeout=" + this.requestTimeout + ", extras=" + this.extras + '}';
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(this.action);
        parcel.writeParcelable(this.viaPoi, i);
        parcel.writeLong(this.requestTimeout);
        parcel.writeBundle(this.extras);
    }

    public IModifyViaPoiRequestBean(Parcel parcel) {
        this.action = parcel.readInt();
        this.viaPoi = (IPoiInfoBean) parcel.readParcelable(IPoiInfoBean.class.getClassLoader());
        this.requestTimeout = parcel.readLong();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }
}
