package com.geely.lib.oneosapi.navi.ipc;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import java.util.List;

public class IParkingPoisBean implements Parcelable {
    public static final Parcelable.Creator<IParkingPoisBean> CREATOR = new Parcelable.Creator<IParkingPoisBean>() {
        /* class com.geely.lib.oneosapi.navi.ipc.IParkingPoisBean.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public IParkingPoisBean createFromParcel(Parcel parcel) {
            return new IParkingPoisBean(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public IParkingPoisBean[] newArray(int i) {
            return new IParkingPoisBean[i];
        }
    };
    private Bundle extras;
    private List<IParkingPoiInfoBean> parkingPoiInfos;
    private int resultCode;

    public IParkingPoisBean() {
    }

    public int describeContents() {
        return 0;
    }

    public Bundle getExtras() {
        return this.extras;
    }

    public List<IParkingPoiInfoBean> getParkingPoiInfos() {
        return this.parkingPoiInfos;
    }

    public int getResultCode() {
        return this.resultCode;
    }

    public void readFromParcel(Parcel parcel) {
        this.parkingPoiInfos = parcel.createTypedArrayList(IParkingPoiInfoBean.CREATOR);
        this.resultCode = parcel.readInt();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }

    public void setExtras(Bundle bundle) {
        this.extras = bundle;
    }

    public void setParkingPoiInfos(List<IParkingPoiInfoBean> list) {
        this.parkingPoiInfos = list;
    }

    public void setResultCode(int i) {
        this.resultCode = i;
    }

    public String toString() {
        return "IParkingPoisBean{parkingPoiInfos=" + this.parkingPoiInfos + ", resultCode=" + this.resultCode + ", extras=" + this.extras + '}';
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeTypedList(this.parkingPoiInfos);
        parcel.writeInt(this.resultCode);
        parcel.writeBundle(this.extras);
    }

    public IParkingPoisBean(Parcel parcel) {
        this.parkingPoiInfos = parcel.createTypedArrayList(IParkingPoiInfoBean.CREATOR);
        this.resultCode = parcel.readInt();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }
}
