package com.geely.lib.oneosapi.navi.ipc;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import java.util.List;

public class IPoiSearchResultBean implements Parcelable {
    public static final Parcelable.Creator<IPoiSearchResultBean> CREATOR = new Parcelable.Creator<IPoiSearchResultBean>() {
        /* class com.geely.lib.oneosapi.navi.ipc.IPoiSearchResultBean.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public IPoiSearchResultBean createFromParcel(Parcel parcel) {
            return new IPoiSearchResultBean(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public IPoiSearchResultBean[] newArray(int i) {
            return new IPoiSearchResultBean[i];
        }
    };
    private Bundle extras;
    private List<ISearchPoiBean> poiList;
    private int resultCode;
    private List<ISuggestCityBean> suggestCitys;

    public IPoiSearchResultBean() {
    }

    public int describeContents() {
        return 0;
    }

    public Bundle getExtras() {
        return this.extras;
    }

    public List<ISearchPoiBean> getPoiList() {
        return this.poiList;
    }

    public int getResultCode() {
        return this.resultCode;
    }

    public List<ISuggestCityBean> getSuggestCitys() {
        return this.suggestCitys;
    }

    public void readFromParcel(Parcel parcel) {
        this.suggestCitys = parcel.createTypedArrayList(ISuggestCityBean.CREATOR);
        this.poiList = parcel.createTypedArrayList(ISearchPoiBean.CREATOR);
        this.resultCode = parcel.readInt();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }

    public void setExtras(Bundle bundle) {
        this.extras = bundle;
    }

    public void setPoiList(List<ISearchPoiBean> list) {
        this.poiList = list;
    }

    public void setResultCode(int i) {
        this.resultCode = i;
    }

    public void setSuggestCitys(List<ISuggestCityBean> list) {
        this.suggestCitys = list;
    }

    public String toString() {
        return "IPoiSearchResultBean{suggestCitys=" + this.suggestCitys + ", poiList=" + this.poiList + ", resultCode=" + this.resultCode + ", extras=" + this.extras + '}';
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeTypedList(this.suggestCitys);
        parcel.writeTypedList(this.poiList);
        parcel.writeInt(this.resultCode);
        parcel.writeBundle(this.extras);
    }

    public IPoiSearchResultBean(Parcel parcel) {
        this.suggestCitys = parcel.createTypedArrayList(ISuggestCityBean.CREATOR);
        this.poiList = parcel.createTypedArrayList(ISearchPoiBean.CREATOR);
        this.resultCode = parcel.readInt();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }
}
