package com.geely.lib.oneosapi.navi.ipc;

import android.os.Parcel;
import android.os.Parcelable;

public class ISuggestCityBean implements Parcelable {
    public static final Parcelable.Creator<ISuggestCityBean> CREATOR = new Parcelable.Creator<ISuggestCityBean>() {
        /* class com.geely.lib.oneosapi.navi.ipc.ISuggestCityBean.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public ISuggestCityBean createFromParcel(Parcel parcel) {
            return new ISuggestCityBean(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public ISuggestCityBean[] newArray(int i) {
            return new ISuggestCityBean[i];
        }
    };
    private String cityCode;
    private String cityName;

    public ISuggestCityBean() {
    }

    public int describeContents() {
        return 0;
    }

    public String getCityCode() {
        return this.cityCode;
    }

    public String getCityName() {
        return this.cityName;
    }

    public void readFromParcel(Parcel parcel) {
        this.cityName = parcel.readString();
        this.cityCode = parcel.readString();
    }

    public void setCityCode(String str) {
        this.cityCode = str;
    }

    public void setCityName(String str) {
        this.cityName = str;
    }

    public String toString() {
        return "ISuggestCityBean{cityName='" + this.cityName + '\'' + ", cityCode='" + this.cityCode + '\'' + '}';
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.cityName);
        parcel.writeString(this.cityCode);
    }

    public ISuggestCityBean(Parcel parcel) {
        this.cityName = parcel.readString();
        this.cityCode = parcel.readString();
    }
}
