package com.geely.lib.oneosapi.navi.ipc;

import android.os.Parcel;
import android.os.Parcelable;

public class IViaRoadRequestBean implements Parcelable {
    public static final Parcelable.Creator<IViaRoadRequestBean> CREATOR = new Parcelable.Creator<IViaRoadRequestBean>() {
        /* class com.geely.lib.oneosapi.navi.ipc.IViaRoadRequestBean.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public IViaRoadRequestBean createFromParcel(Parcel parcel) {
            return new IViaRoadRequestBean(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public IViaRoadRequestBean[] newArray(int i) {
            return new IViaRoadRequestBean[i];
        }
    };
    private String roadName;
    private int type;

    public IViaRoadRequestBean() {
    }

    public int describeContents() {
        return 0;
    }

    public String getRoadName() {
        return this.roadName;
    }

    public int getType() {
        return this.type;
    }

    public void readFromParcel(Parcel parcel) {
        this.type = parcel.readInt();
        this.roadName = parcel.readString();
    }

    public void setRoadName(String str) {
        this.roadName = str;
    }

    public void setType(int i) {
        this.type = i;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(this.type);
        parcel.writeString(this.roadName);
    }

    public IViaRoadRequestBean(Parcel parcel) {
        this.type = parcel.readInt();
        this.roadName = parcel.readString();
    }
}
