package com.geely.lib.oneosapi.navi.model.base;

import android.os.Parcel;
import android.os.Parcelable;

public class PoiType implements Parcelable {
    public static final Parcelable.Creator<PoiType> CREATOR = new Parcelable.Creator<PoiType>() {
        /* class com.geely.lib.oneosapi.navi.model.base.PoiType.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public PoiType createFromParcel(Parcel parcel) {
            return new PoiType(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public PoiType[] newArray(int i) {
            return new PoiType[i];
        }
    };
    private String typeCode;
    private String typeName;

    public PoiType() {
    }

    public int describeContents() {
        return 0;
    }

    public String getTypeCode() {
        return this.typeCode;
    }

    public String getTypeName() {
        return this.typeName;
    }

    public PoiType setTypeCode(String str) {
        this.typeCode = str;
        return this;
    }

    public PoiType setTypeName(String str) {
        this.typeName = str;
        return this;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder("PoiType{");
        sb.append("typeCode='").append(this.typeCode).append('\'');
        sb.append(", typeName='").append(this.typeName).append('\'');
        sb.append('}');
        return sb.toString();
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.typeCode);
        parcel.writeString(this.typeName);
    }

    public PoiType(Parcel parcel) {
        this.typeCode = parcel.readString();
        this.typeName = parcel.readString();
    }
}
