package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;

public class MapReportNaviType extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<MapReportNaviType> CREATOR = new Parcelable.Creator<MapReportNaviType>() {
        /* class com.geely.lib.oneosapi.navi.model.client.MapReportNaviType.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public MapReportNaviType createFromParcel(Parcel parcel) {
            return new MapReportNaviType(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public MapReportNaviType[] newArray(int i) {
            return new MapReportNaviType[i];
        }
    };
    public static final int TYPE_CONCISE = 0;
    public static final int TYPE_DETAIL = 1;
    public static final int TYPE_MUTE = 2;
    private int reportNaviType;

    public MapReportNaviType(int i) {
        this.reportNaviType = i;
        setProtocolID(NaviProtocolID.MAP_OP_SET_REPORT_NAVI_TYPE);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public int getReportNaviType() {
        return this.reportNaviType;
    }

    public void setReportNaviType(int i) {
        this.reportNaviType = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        super.toString();
        return "MapReportNaviType{reportNaviType=" + this.reportNaviType + '}';
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.reportNaviType);
    }

    public MapReportNaviType(Parcel parcel) {
        super(parcel);
        this.reportNaviType = parcel.readInt();
    }
}
