package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;

public class NaviGetHighwayExit extends NaviBaseModel implements Parcelable {
    public static final int ACTION_DEFAULT_EXIT = 0;
    public static final int ACTION_RECENT_EXIT = 1;
    public static final Parcelable.Creator<NaviGetHighwayExit> CREATOR = new Parcelable.Creator<NaviGetHighwayExit>() {
        /* class com.geely.lib.oneosapi.navi.model.client.NaviGetHighwayExit.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public NaviGetHighwayExit createFromParcel(Parcel parcel) {
            return new NaviGetHighwayExit(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public NaviGetHighwayExit[] newArray(int i) {
            return new NaviGetHighwayExit[i];
        }
    };
    private int action;

    public NaviGetHighwayExit() {
        setProtocolID(NaviProtocolID.NAVI_OP_HIGHWAY_EXIT_INFO);
        this.action = 0;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public int getAction() {
        return this.action;
    }

    public void setAction(int i) {
        this.action = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("NaviGetHighwayExit{");
        sb.append("action=").append(this.action);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.action);
    }

    public NaviGetHighwayExit(Parcel parcel) {
        super(parcel);
        this.action = parcel.readInt();
    }
}
