package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;

public class NaviRouteSelect extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<NaviRouteSelect> CREATOR = new Parcelable.Creator<NaviRouteSelect>() {
        /* class com.geely.lib.oneosapi.navi.model.client.NaviRouteSelect.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public NaviRouteSelect createFromParcel(Parcel parcel) {
            return new NaviRouteSelect(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public NaviRouteSelect[] newArray(int i) {
            return new NaviRouteSelect[i];
        }
    };
    private int selectIndex;

    public NaviRouteSelect(int i) {
        this.selectIndex = i;
        setProtocolID(NaviProtocolID.NAVI_OP_ROUTE_SELECT);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public int getSelectIndex() {
        return this.selectIndex;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("NaviRouteSelect{");
        sb.append("selectIndex=").append(this.selectIndex);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.selectIndex);
    }

    public NaviRouteSelect(Parcel parcel) {
        super(parcel);
        this.selectIndex = parcel.readInt();
    }
}
