package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;

public class NaviSwitchCruise extends NaviBaseModel implements Parcelable {
    public static final int ACTION_SWITCH_OFF = 1;
    public static final int ACTION_SWITCH_ON = 0;
    public static final Parcelable.Creator<NaviSwitchCruise> CREATOR = new Parcelable.Creator<NaviSwitchCruise>() {
        /* class com.geely.lib.oneosapi.navi.model.client.NaviSwitchCruise.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public NaviSwitchCruise createFromParcel(Parcel parcel) {
            return new NaviSwitchCruise(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public NaviSwitchCruise[] newArray(int i) {
            return new NaviSwitchCruise[i];
        }
    };
    private int action;

    public NaviSwitchCruise() {
        this(0);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public int getAction() {
        return this.action;
    }

    public void setAction(int i) {
        this.action = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("NaviSwitchCruise{");
        sb.append("action=").append(this.action);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.action);
    }

    public NaviSwitchCruise(int i) {
        setProtocolID(NaviProtocolID.NAVI_OP_SWITCH_CRUISE);
        this.action = i;
    }

    public NaviSwitchCruise(Parcel parcel) {
        super(parcel);
        this.action = parcel.readInt();
    }
}
