package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;

public class RequestFrequentPois extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<RequestFrequentPois> CREATOR = new Parcelable.Creator<RequestFrequentPois>() {
        /* class com.geely.lib.oneosapi.navi.model.client.RequestFrequentPois.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RequestFrequentPois createFromParcel(Parcel parcel) {
            return new RequestFrequentPois(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RequestFrequentPois[] newArray(int i) {
            return new RequestFrequentPois[i];
        }
    };
    private int maxCount = 30;

    public RequestFrequentPois() {
        setProtocolID(NaviProtocolID.USER_FREQUENT_PLACES);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public int getMaxCount() {
        return this.maxCount;
    }

    public RequestFrequentPois setMaxCount(int i) {
        this.maxCount = i;
        return this;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("RequestFrequentPois{");
        sb.append("maxCount=").append(this.maxCount);
        sb.append("; {base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.maxCount);
    }

    public RequestFrequentPois(Parcel parcel) {
        super(parcel);
        this.maxCount = parcel.readInt();
    }
}
