package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;

public class UserOpenFavorite extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<UserOpenFavorite> CREATOR = new Parcelable.Creator<UserOpenFavorite>() {
        /* class com.geely.lib.oneosapi.navi.model.client.UserOpenFavorite.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public UserOpenFavorite createFromParcel(Parcel parcel) {
            return new UserOpenFavorite(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public UserOpenFavorite[] newArray(int i) {
            return new UserOpenFavorite[i];
        }
    };
    public static final int TYPE_ALL = 3;
    public static final int TYPE_COMPANY = 2;
    public static final int TYPE_HOME = 1;
    public static final int TYPE_NORMAL = 0;
    private int favType;

    public UserOpenFavorite() {
        this(0);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public int getFavType() {
        return this.favType;
    }

    public void setFavType(int i) {
        this.favType = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("UserOpenFavorite{");
        sb.append("favType=").append(this.favType);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.favType);
    }

    public UserOpenFavorite(int i) {
        setProtocolID(NaviProtocolID.USER_OPEN_FAVORITE);
        this.favType = i;
    }

    public UserOpenFavorite(Parcel parcel) {
        super(parcel);
        this.favType = parcel.readInt();
    }
}
