package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.PoiInfo;

public class FavoritePoiInfo implements Parcelable {
    public static final Parcelable.Creator<FavoritePoiInfo> CREATOR = new Parcelable.Creator<FavoritePoiInfo>() {
        /* class com.geely.lib.oneosapi.navi.model.service.FavoritePoiInfo.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public FavoritePoiInfo createFromParcel(Parcel parcel) {
            return new FavoritePoiInfo(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public FavoritePoiInfo[] newArray(int i) {
            return new FavoritePoiInfo[i];
        }
    };
    private int favoriteType;
    private PoiInfo poiInfo;

    public FavoritePoiInfo() {
    }

    public int describeContents() {
        return 0;
    }

    public int getFavoriteType() {
        return this.favoriteType;
    }

    public PoiInfo getPoiInfo() {
        return this.poiInfo;
    }

    public void setFavoriteType(int i) {
        this.favoriteType = i;
    }

    public void setPoiInfo(PoiInfo poiInfo2) {
        this.poiInfo = poiInfo2;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder("FavoritePoiInfo{");
        sb.append("favoriteType=").append(this.favoriteType);
        sb.append(", poiInfo=").append(this.poiInfo);
        sb.append('}');
        return sb.toString();
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(this.favoriteType);
        parcel.writeParcelable(this.poiInfo, i);
    }

    public FavoritePoiInfo(Parcel parcel) {
        this.favoriteType = parcel.readInt();
        this.poiInfo = (PoiInfo) parcel.readParcelable(PoiInfo.class.getClassLoader());
    }
}
