package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;

public class RspCurrPageHotWord extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<RspCurrPageHotWord> CREATOR = new Parcelable.Creator<RspCurrPageHotWord>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspCurrPageHotWord.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspCurrPageHotWord createFromParcel(Parcel parcel) {
            return new RspCurrPageHotWord(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspCurrPageHotWord[] newArray(int i) {
            return new RspCurrPageHotWord[i];
        }
    };
    private String hotWord;

    public RspCurrPageHotWord() {
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public String getHotWord() {
        return this.hotWord;
    }

    public void setHotWord(String str) {
        this.hotWord = str;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("RspCurrPageHotWord{");
        sb.append("hotWord=").append(this.hotWord);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeString(this.hotWord);
    }

    public RspCurrPageHotWord(Parcel parcel) {
        super(parcel);
        this.hotWord = parcel.readString();
    }
}
