package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;

public class RspDeadReckonFocus extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<RspDeadReckonFocus> CREATOR = new Parcelable.Creator<RspDeadReckonFocus>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspDeadReckonFocus.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspDeadReckonFocus createFromParcel(Parcel parcel) {
            return new RspDeadReckonFocus(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspDeadReckonFocus[] newArray(int i) {
            return new RspDeadReckonFocus[i];
        }
    };
    private String focusMapPackage;
    private int focusMapVendor;

    public RspDeadReckonFocus(int i, String str) {
        this.focusMapVendor = i;
        this.focusMapPackage = str;
    }

    public String getFocusMapPackage() {
        return this.focusMapPackage;
    }

    public int getFocusMapVendor() {
        return this.focusMapVendor;
    }

    public void setFocusMapPackage(String str) {
        this.focusMapPackage = str;
    }

    public void setFocusMapVendor(int i) {
        this.focusMapVendor = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        super.toString();
        StringBuilder sb = new StringBuilder("RspDeadReckonFocus{");
        sb.append("focusMapVendor=").append(this.focusMapVendor);
        sb.append("focusMapPackage=").append(this.focusMapPackage);
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.focusMapVendor);
        parcel.writeString(this.focusMapPackage);
    }

    public RspDeadReckonFocus(Parcel parcel) {
        super(parcel);
        this.focusMapVendor = parcel.readInt();
        this.focusMapPackage = parcel.readString();
    }
}
