package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import java.util.ArrayList;
import java.util.List;

public class RspFavoritePois extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<RspFavoritePois> CREATOR = new Parcelable.Creator<RspFavoritePois>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspFavoritePois.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspFavoritePois createFromParcel(Parcel parcel) {
            return new RspFavoritePois(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspFavoritePois[] newArray(int i) {
            return new RspFavoritePois[i];
        }
    };
    private List<FavoritePoiInfo> favoritePoiInfoList;

    public RspFavoritePois(NaviBaseModel naviBaseModel) {
        copyBaseInfo(naviBaseModel);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public List<FavoritePoiInfo> getFavoritePoiInfoList() {
        return this.favoritePoiInfoList;
    }

    public void setFavoritePoiInfoList(List<FavoritePoiInfo> list) {
        this.favoritePoiInfoList = list;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("RspFavoritePois{");
        sb.append("favoritePoiInfoList=").append(this.favoritePoiInfoList);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeList(this.favoritePoiInfoList);
    }

    public RspFavoritePois(Parcel parcel) {
        super(parcel);
        ArrayList arrayList = new ArrayList();
        this.favoritePoiInfoList = arrayList;
        parcel.readList(arrayList, FavoritePoiInfo.class.getClassLoader());
    }
}
