package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.PoiInfo;
import java.util.ArrayList;
import java.util.List;

public class RspHistoryPois extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<RspHistoryPois> CREATOR = new Parcelable.Creator<RspHistoryPois>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspHistoryPois.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspHistoryPois createFromParcel(Parcel parcel) {
            return new RspHistoryPois(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspHistoryPois[] newArray(int i) {
            return new RspHistoryPois[i];
        }
    };
    private List<PoiInfo> poiList = new ArrayList();

    public RspHistoryPois(NaviBaseModel naviBaseModel) {
        copyBaseInfo(naviBaseModel);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public List<PoiInfo> getPoiList() {
        return this.poiList;
    }

    public void setPoiList(List<PoiInfo> list) {
        this.poiList = list;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("RspHistoryPois{");
        sb.append("poiList=").append(this.poiList);
        sb.append("; {base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeTypedList(this.poiList);
    }

    public RspHistoryPois(Parcel parcel) {
        super(parcel);
        this.poiList = parcel.createTypedArrayList(PoiInfo.CREATOR);
    }
}
