package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;

public class RspIsInNaviStatus extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<RspIsInNaviStatus> CREATOR = new Parcelable.Creator<RspIsInNaviStatus>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspIsInNaviStatus.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspIsInNaviStatus createFromParcel(Parcel parcel) {
            return new RspIsInNaviStatus(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspIsInNaviStatus[] newArray(int i) {
            return new RspIsInNaviStatus[i];
        }
    };
    private int isInNaviStatus;

    public RspIsInNaviStatus(int i) {
        this.isInNaviStatus = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public int getIsInNaviStatus() {
        return this.isInNaviStatus;
    }

    public void setIsInNaviStatus(int i) {
        this.isInNaviStatus = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.isInNaviStatus);
    }

    public RspIsInNaviStatus(Parcel parcel) {
        super(parcel);
        this.isInNaviStatus = parcel.readInt();
    }
}
