package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;

public class RspIsMapAppLaunched extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<RspIsMapAppLaunched> CREATOR = new Parcelable.Creator<RspIsMapAppLaunched>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspIsMapAppLaunched.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspIsMapAppLaunched createFromParcel(Parcel parcel) {
            return new RspIsMapAppLaunched(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspIsMapAppLaunched[] newArray(int i) {
            return new RspIsMapAppLaunched[i];
        }
    };
    private int isMapLaunched;

    public RspIsMapAppLaunched(int i) {
        this.isMapLaunched = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public int getIsMapLaunched() {
        return this.isMapLaunched;
    }

    public void setIsMapLaunched(int i) {
        this.isMapLaunched = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.isMapLaunched);
    }

    public RspIsMapAppLaunched(Parcel parcel) {
        super(parcel);
        this.isMapLaunched = parcel.readInt();
    }
}
