package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.LatLng;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;

public class RspLatLng extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<RspLatLng> CREATOR = new Parcelable.Creator<RspLatLng>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspLatLng.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspLatLng createFromParcel(Parcel parcel) {
            return new RspLatLng(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspLatLng[] newArray(int i) {
            return new RspLatLng[i];
        }
    };
    private LatLng mLatlng;

    public RspLatLng(Parcel parcel) {
        this.mLatlng = (LatLng) parcel.readParcelable(LatLng.class.getClassLoader());
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public LatLng getmLatlng() {
        return this.mLatlng;
    }

    public void setmLatlng(LatLng latLng) {
        this.mLatlng = latLng;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeParcelable(this.mLatlng, i);
    }
}
