package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;

public class RspPageUpdate extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<RspPageUpdate> CREATOR = new Parcelable.Creator<RspPageUpdate>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspPageUpdate.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspPageUpdate createFromParcel(Parcel parcel) {
            return new RspPageUpdate(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspPageUpdate[] newArray(int i) {
            return new RspPageUpdate[i];
        }
    };
    private int pageUpdate;

    public RspPageUpdate() {
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public int getPageUpdate() {
        return this.pageUpdate;
    }

    public void setPageUpdate(int i) {
        this.pageUpdate = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("RspPageUpdate{");
        sb.append("pageUpdate=").append(this.pageUpdate);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.pageUpdate);
    }

    public RspPageUpdate(NaviBaseModel naviBaseModel) {
        copyBaseInfo(naviBaseModel);
    }

    public RspPageUpdate(Parcel parcel) {
        super(parcel);
        this.pageUpdate = parcel.readInt();
    }
}
