package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;

public class RspPreferMap extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<RspPreferMap> CREATOR = new Parcelable.Creator<RspPreferMap>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspPreferMap.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspPreferMap createFromParcel(Parcel parcel) {
            return new RspPreferMap(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspPreferMap[] newArray(int i) {
            return new RspPreferMap[i];
        }
    };
    private int mapVendor;

    public RspPreferMap(NaviBaseModel naviBaseModel) {
        copyBaseInfo(naviBaseModel);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int getMapVendor() {
        return this.mapVendor;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void setMapVendor(int i) {
        this.mapVendor = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("RspPreferMap{");
        sb.append("mapVendor=").append(this.mapVendor);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.mapVendor);
    }

    public RspPreferMap(Parcel parcel) {
        super(parcel);
        this.mapVendor = parcel.readInt();
    }
}
