package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import java.util.List;

public class RspRoutePlanResult extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<RspRoutePlanResult> CREATOR = new Parcelable.Creator<RspRoutePlanResult>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspRoutePlanResult.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspRoutePlanResult createFromParcel(Parcel parcel) {
            return new RspRoutePlanResult(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspRoutePlanResult[] newArray(int i) {
            return new RspRoutePlanResult[i];
        }
    };
    private List<RouteInfo> routeInfoList;

    public RspRoutePlanResult(NaviBaseModel naviBaseModel) {
        copyBaseInfo(naviBaseModel);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public List<RouteInfo> getRouteInfoList() {
        return this.routeInfoList;
    }

    public void setRouteInfoList(List<RouteInfo> list) {
        this.routeInfoList = list;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("RspRoutePlanResult{");
        sb.append("routeInfoList=").append(this.routeInfoList);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeTypedList(this.routeInfoList);
    }

    public RspRoutePlanResult(Parcel parcel) {
        super(parcel);
        this.routeInfoList = parcel.createTypedArrayList(RouteInfo.CREATOR);
    }
}
