package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;

public class RspRouteSelected extends RspRoutePlanResult {
    public static final Parcelable.Creator<RspRouteSelected> CREATOR = new Parcelable.Creator<RspRouteSelected>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspRouteSelected.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspRouteSelected createFromParcel(Parcel parcel) {
            return new RspRouteSelected(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspRouteSelected[] newArray(int i) {
            return new RspRouteSelected[i];
        }
    };
    private int routeSelectedIndex;

    public RspRouteSelected(NaviBaseModel naviBaseModel) {
        super(naviBaseModel);
    }

    public int getRouteSelectedIndex() {
        return this.routeSelectedIndex;
    }

    public void setRouteSelectedIndex(int i) {
        this.routeSelectedIndex = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.service.RspRoutePlanResult, com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("RspRouteSelected{");
        sb.append("routeSelectedIndex=").append(this.routeSelectedIndex);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.service.RspRoutePlanResult, com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.routeSelectedIndex);
    }

    public RspRouteSelected(Parcel parcel) {
        super(parcel);
        this.routeSelectedIndex = parcel.readInt();
    }
}
