package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;

public class RspShowOnDimFocus extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<RspShowOnDimFocus> CREATOR = new Parcelable.Creator<RspShowOnDimFocus>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspShowOnDimFocus.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspShowOnDimFocus createFromParcel(Parcel parcel) {
            return new RspShowOnDimFocus(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspShowOnDimFocus[] newArray(int i) {
            return new RspShowOnDimFocus[i];
        }
    };
    private String focusMapPackage;
    private int focusMapVendor;

    public RspShowOnDimFocus(int i, String str) {
        this.focusMapVendor = i;
        this.focusMapPackage = str;
        setProtocolID(NaviProtocolID.RSP_SHOW_ON_DIM_FOCUS);
    }

    public String getFocusMapPackage() {
        return this.focusMapPackage;
    }

    public int getFocusMapVendor() {
        return this.focusMapVendor;
    }

    public void setFocusMapPackage(String str) {
        this.focusMapPackage = str;
    }

    public void setFocusMapVendor(int i) {
        this.focusMapVendor = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        super.toString();
        StringBuilder sb = new StringBuilder("RspShowOnDimFocus{");
        sb.append("focusMapVendor=").append(this.focusMapVendor);
        sb.append("focusMapPackage=").append(this.focusMapPackage);
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.focusMapVendor);
        parcel.writeString(this.focusMapPackage);
    }

    public RspShowOnDimFocus(Parcel parcel) {
        super(parcel);
        this.focusMapVendor = parcel.readInt();
        this.focusMapPackage = parcel.readString();
    }
}
