package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;

public class RspTrafficSummaryInfo extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<RspTrafficSummaryInfo> CREATOR = new Parcelable.Creator<RspTrafficSummaryInfo>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspTrafficSummaryInfo.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspTrafficSummaryInfo createFromParcel(Parcel parcel) {
            return new RspTrafficSummaryInfo(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspTrafficSummaryInfo[] newArray(int i) {
            return new RspTrafficSummaryInfo[i];
        }
    };
    private String trafficSummaryInfo;

    public RspTrafficSummaryInfo(NaviBaseModel naviBaseModel) {
        copyBaseInfo(naviBaseModel);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public String getTrafficSummaryInfo() {
        return this.trafficSummaryInfo;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void readFromParcel(Parcel parcel) {
        super.readFromParcel(parcel);
        this.trafficSummaryInfo = parcel.readString();
    }

    public void setTrafficSummaryInfo(String str) {
        this.trafficSummaryInfo = str;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("RspTrafficSummaryInfo{");
        sb.append("trafficSummaryInfo=").append(this.trafficSummaryInfo);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeString(this.trafficSummaryInfo);
    }

    public RspTrafficSummaryInfo(Parcel parcel) {
        super(parcel);
        this.trafficSummaryInfo = parcel.readString();
    }
}
