package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;

public class RspUserLogout extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<RspUserLogout> CREATOR = new Parcelable.Creator<RspUserLogout>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspUserLogout.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspUserLogout createFromParcel(Parcel parcel) {
            return new RspUserLogout(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspUserLogout[] newArray(int i) {
            return new RspUserLogout[i];
        }
    };
    private int autoLogoutResult;

    public RspUserLogout(int i) {
        this.autoLogoutResult = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.autoLogoutResult);
    }

    public RspUserLogout(Parcel parcel) {
        super(parcel);
        this.autoLogoutResult = parcel.readInt();
    }
}
