package com.geely.lib.oneosapi.payment;

import android.os.Parcel;
import android.os.Parcelable;

public class OrderLineList implements Parcelable {
    public static final Parcelable.Creator<OrderLineList> CREATOR = new Parcelable.Creator<OrderLineList>() {
        /* class com.geely.lib.oneosapi.payment.OrderLineList.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public OrderLineList createFromParcel(Parcel parcel) {
            return new OrderLineList(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public OrderLineList[] newArray(int i) {
            return new OrderLineList[i];
        }
    };
    private int autoActive;
    private String controlKey;
    private String itemId;
    private String lineId;
    private int quantity;
    private String skuId;

    public OrderLineList() {
    }

    public int describeContents() {
        return 0;
    }

    public int getAutoActive() {
        return this.autoActive;
    }

    public String getControlKey() {
        return this.controlKey;
    }

    public String getItemId() {
        return this.itemId;
    }

    public String getLineId() {
        return this.lineId;
    }

    public int getQuantity() {
        return this.quantity;
    }

    public String getSkuId() {
        return this.skuId;
    }

    public void setAutoActive(int i) {
        this.autoActive = i;
    }

    public void setControlKey(String str) {
        this.controlKey = str;
    }

    public void setItemId(String str) {
        this.itemId = str;
    }

    public void setLineId(String str) {
        this.lineId = str;
    }

    public void setQuantity(int i) {
        this.quantity = i;
    }

    public void setSkuId(String str) {
        this.skuId = str;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.skuId);
        parcel.writeString(this.itemId);
        parcel.writeInt(this.quantity);
        parcel.writeString(this.lineId);
        parcel.writeInt(this.autoActive);
        parcel.writeString(this.controlKey);
    }

    public OrderLineList(String str, String str2, int i, String str3, int i2, String str4) {
        this.skuId = str;
        this.itemId = str2;
        this.quantity = i;
        this.lineId = str3;
        this.autoActive = i2;
        this.controlKey = str4;
    }

    public OrderLineList(Parcel parcel) {
        this.skuId = parcel.readString();
        this.itemId = parcel.readString();
        this.quantity = parcel.readInt();
        this.lineId = parcel.readString();
        this.autoActive = parcel.readInt();
        this.controlKey = parcel.readString();
    }
}
