package com.geely.lib.oneosapi.payment;

import android.os.Parcel;
import android.os.Parcelable;
import java.util.List;

public class OrderRenderParam implements Parcelable {
    public static final Parcelable.Creator<OrderRenderParam> CREATOR = new Parcelable.Creator<OrderRenderParam>() {
        /* class com.geely.lib.oneosapi.payment.OrderRenderParam.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public OrderRenderParam createFromParcel(Parcel parcel) {
            return new OrderRenderParam(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public OrderRenderParam[] newArray(int i) {
            return new OrderRenderParam[i];
        }
    };
    private BuyMemberPointsDeductionParam buyMemberPointsDeductionParam;
    private String divisionIds;
    private FullReductionCouponParam fullReductionCouponParam;
    private List<OrderLineList> orderLineList;
    private String orderSource;

    public OrderRenderParam() {
    }

    public int describeContents() {
        return 0;
    }

    public BuyMemberPointsDeductionParam getBuyMemberPointsDeductionParam() {
        return this.buyMemberPointsDeductionParam;
    }

    public String getDivisionIds() {
        return this.divisionIds;
    }

    public FullReductionCouponParam getFullReductionCouponParam() {
        return this.fullReductionCouponParam;
    }

    public List<OrderLineList> getOrderLineList() {
        return this.orderLineList;
    }

    public String getOrderSource() {
        return this.orderSource;
    }

    public void setBuyMemberPointsDeductionParam(BuyMemberPointsDeductionParam buyMemberPointsDeductionParam2) {
        this.buyMemberPointsDeductionParam = buyMemberPointsDeductionParam2;
    }

    public void setDivisionIds(String str) {
        this.divisionIds = str;
    }

    public void setFullReductionCouponParam(FullReductionCouponParam fullReductionCouponParam2) {
        this.fullReductionCouponParam = fullReductionCouponParam2;
    }

    public void setOrderLineList(List<OrderLineList> list) {
        this.orderLineList = list;
    }

    public void setOrderSource(String str) {
        this.orderSource = str;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.orderSource);
        parcel.writeTypedList(this.orderLineList);
        parcel.writeString(this.divisionIds);
        parcel.writeParcelable(this.buyMemberPointsDeductionParam, i);
        parcel.writeParcelable(this.fullReductionCouponParam, i);
    }

    public OrderRenderParam(String str, List<OrderLineList> list, String str2, BuyMemberPointsDeductionParam buyMemberPointsDeductionParam2, FullReductionCouponParam fullReductionCouponParam2) {
        this.orderSource = str;
        this.orderLineList = list;
        this.divisionIds = str2;
        this.buyMemberPointsDeductionParam = buyMemberPointsDeductionParam2;
        this.fullReductionCouponParam = fullReductionCouponParam2;
    }

    public OrderRenderParam(Parcel parcel) {
        this.orderSource = parcel.readString();
        this.orderLineList = parcel.createTypedArrayList(OrderLineList.CREATOR);
        this.divisionIds = parcel.readString();
        this.buyMemberPointsDeductionParam = (BuyMemberPointsDeductionParam) parcel.readParcelable(BuyMemberPointsDeductionParam.class.getClassLoader());
        this.fullReductionCouponParam = (FullReductionCouponParam) parcel.readParcelable(FullReductionCouponParam.class.getClassLoader());
    }
}
