package com.geely.lib.oneosapi.recommendation.bean;

import android.os.Parcel;
import android.os.Parcelable;
import java.util.List;

public class CpspContentBean implements Parcelable {
    public static final Parcelable.Creator<CpspContentBean> CREATOR = new Parcelable.Creator<CpspContentBean>() {
        /* class com.geely.lib.oneosapi.recommendation.bean.CpspContentBean.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public CpspContentBean createFromParcel(Parcel parcel) {
            return new CpspContentBean(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public CpspContentBean[] newArray(int i) {
            return new CpspContentBean[i];
        }
    };
    private List<CpspContentDataBean> data;
    private String type;

    public CpspContentBean() {
    }

    public int describeContents() {
        return 0;
    }

    public List<CpspContentDataBean> getData() {
        return this.data;
    }

    public String getType() {
        return this.type;
    }

    public void setData(List<CpspContentDataBean> list) {
        this.data = list;
    }

    public void setType(String str) {
        this.type = str;
    }

    public String toString() {
        return "CpspContentBean{type='" + this.type + '\'' + ", data=" + this.data + '}';
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.type);
        parcel.writeTypedList(this.data);
    }

    public CpspContentBean(Parcel parcel) {
        this.type = parcel.readString();
        this.data = parcel.createTypedArrayList(CpspContentDataBean.CREATOR);
    }
}
