package com.geely.lib.oneosapi.recommendation.bean.aqy;

import android.os.Parcel;
import android.os.Parcelable;
import java.util.List;

public class AqyContentBean implements Parcelable {
    public static final Parcelable.Creator<AqyContentBean> CREATOR = new Parcelable.Creator<AqyContentBean>() {
        /* class com.geely.lib.oneosapi.recommendation.bean.aqy.AqyContentBean.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public AqyContentBean createFromParcel(Parcel parcel) {
            return new AqyContentBean(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public AqyContentBean[] newArray(int i) {
            return new AqyContentBean[i];
        }
    };
    private List<AqyContentDataBean> data;
    private String type;

    public AqyContentBean() {
    }

    public int describeContents() {
        return 0;
    }

    public List<AqyContentDataBean> getData() {
        return this.data;
    }

    public String getType() {
        return this.type;
    }

    public void setData(List<AqyContentDataBean> list) {
        this.data = list;
    }

    public void setType(String str) {
        this.type = str;
    }

    public String toString() {
        return "CpspContentBean{type='" + this.type + '\'' + ", data=" + this.data + '}';
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.type);
        parcel.writeTypedList(this.data);
    }

    public AqyContentBean(Parcel parcel) {
        this.type = parcel.readString();
        this.data = parcel.createTypedArrayList(AqyContentDataBean.CREATOR);
    }
}
