package com.geely.lib.oneosapi.user;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.user.IAuthorizeCallback;
import com.geely.lib.oneosapi.user.IAutoAccountInfo;
import com.geely.lib.oneosapi.user.IFeedbackListener;
import com.geely.lib.oneosapi.user.ILaunchLoginResultCallback;
import com.geely.lib.oneosapi.user.ILoginCallback;
import com.geely.lib.oneosapi.user.IScanQRCodeListener;
import com.geely.lib.oneosapi.user.IThirdAppAuthCallback;
import com.geely.lib.oneosapi.user.bean.AccountInfo;
import com.geely.lib.oneosapi.user.bean.SourceAccountInfo;
import com.geely.lib.oneosapi.user.bean.UserInfo;
import java.util.ArrayList;
import java.util.List;

public interface IUserService extends IInterface {

    public static class Default implements IUserService {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public boolean fastLogin(UserInfo userInfo) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public String getAccessToken() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public AccountInfo getAccountInfo() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public String getCommonData(int i) throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public String getCurrentUserProfile() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public String getEmergencyMobile() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public List<UserInfo> getHistoricalAccountInfo() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public void getLoginQrcode(String str, IScanQRCodeListener iScanQRCodeListener) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public UserInfo getLoginUser() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public String getPolicyContent(String str, String str2) throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public SourceAccountInfo getSourceAccountInfo() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public String getToken() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public boolean getUserAuthorizationStatus(String str, IAuthorizeCallback iAuthorizeCallback) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public String getUserProfileName() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public boolean hasLogin() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public boolean hideBackView() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public boolean isAutoAccountAuthorized(IAuthorizeCallback iAuthorizeCallback) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public boolean isBackShow() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public boolean isThirdAppAuthorized(String str, IThirdAppAuthCallback iThirdAppAuthCallback) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public boolean launchLogin() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public boolean launchLoginForResult(String str, int i, ILaunchLoginResultCallback iLaunchLoginResultCallback) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public boolean launchLoginWithParam(String str, String str2, boolean z) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public boolean launchToFeedbackContent(boolean z) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public boolean launchToLogin(boolean z) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public boolean launchToUserFeedback(boolean z) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public String login(String str) throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public boolean logout() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public boolean notifyTokenExpired() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public String refreshToken() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public UserInfo refreshUserInfo() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public void restartRecognition() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public boolean saveUserProfile(String str) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public void sendAutoAccountInfo(IAutoAccountInfo iAutoAccountInfo) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public void setCommonData(String str, int i) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public boolean setCurrentUserProfile(String str) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public void setEmergencyMobile(String str) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public boolean setLoginCallback(ILoginCallback iLoginCallback) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public boolean showBackView() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public void startRecognition() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public void submitFeedback(IFeedbackListener iFeedbackListener) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.user.IUserService
        public boolean unregisterLoginCallback(ILoginCallback iLoginCallback) throws RemoteException {
            return false;
        }
    }

    public static abstract class Stub extends Binder implements IUserService {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.user.IUserService";
        public static final int TRANSACTION_fastLogin = 19;
        public static final int TRANSACTION_getAccessToken = 2;
        public static final int TRANSACTION_getAccountInfo = 32;
        public static final int TRANSACTION_getCommonData = 39;
        public static final int TRANSACTION_getCurrentUserProfile = 28;
        public static final int TRANSACTION_getEmergencyMobile = 12;
        public static final int TRANSACTION_getHistoricalAccountInfo = 17;
        public static final int TRANSACTION_getLoginQrcode = 24;
        public static final int TRANSACTION_getLoginUser = 5;
        public static final int TRANSACTION_getPolicyContent = 23;
        public static final int TRANSACTION_getSourceAccountInfo = 22;
        public static final int TRANSACTION_getToken = 10;
        public static final int TRANSACTION_getUserAuthorizationStatus = 41;
        public static final int TRANSACTION_getUserProfileName = 29;
        public static final int TRANSACTION_hasLogin = 1;
        public static final int TRANSACTION_hideBackView = 27;
        public static final int TRANSACTION_isAutoAccountAuthorized = 21;
        public static final int TRANSACTION_isBackShow = 25;
        public static final int TRANSACTION_isThirdAppAuthorized = 33;
        public static final int TRANSACTION_launchLogin = 3;
        public static final int TRANSACTION_launchLoginForResult = 40;
        public static final int TRANSACTION_launchLoginWithParam = 4;
        public static final int TRANSACTION_launchToFeedbackContent = 34;
        public static final int TRANSACTION_launchToLogin = 14;
        public static final int TRANSACTION_launchToUserFeedback = 18;
        public static final int TRANSACTION_login = 8;
        public static final int TRANSACTION_logout = 9;
        public static final int TRANSACTION_notifyTokenExpired = 7;
        public static final int TRANSACTION_refreshToken = 11;
        public static final int TRANSACTION_refreshUserInfo = 16;
        public static final int TRANSACTION_restartRecognition = 36;
        public static final int TRANSACTION_saveUserProfile = 31;
        public static final int TRANSACTION_sendAutoAccountInfo = 20;
        public static final int TRANSACTION_setCommonData = 38;
        public static final int TRANSACTION_setCurrentUserProfile = 30;
        public static final int TRANSACTION_setEmergencyMobile = 13;
        public static final int TRANSACTION_setLoginCallback = 6;
        public static final int TRANSACTION_showBackView = 26;
        public static final int TRANSACTION_startRecognition = 35;
        public static final int TRANSACTION_submitFeedback = 37;
        public static final int TRANSACTION_unregisterLoginCallback = 15;

        public static class Proxy implements IUserService {
            public static IUserService sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public boolean fastLogin(UserInfo userInfo) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = true;
                    if (userInfo != null) {
                        obtain.writeInt(1);
                        userInfo.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (!this.mRemote.transact(19, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().fastLogin(userInfo);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() == 0) {
                        z = false;
                    }
                    if (obtain2.readInt() != 0) {
                        userInfo.readFromParcel(obtain2);
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public String getAccessToken() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getAccessToken();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public AccountInfo getAccountInfo() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(32, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getAccountInfo();
                    }
                    obtain2.readException();
                    AccountInfo createFromParcel = obtain2.readInt() != 0 ? AccountInfo.CREATOR.createFromParcel(obtain2) : null;
                    obtain2.recycle();
                    obtain.recycle();
                    return createFromParcel;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public String getCommonData(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (!this.mRemote.transact(39, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getCommonData(i);
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public String getCurrentUserProfile() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(28, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getCurrentUserProfile();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public String getEmergencyMobile() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(12, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getEmergencyMobile();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public List<UserInfo> getHistoricalAccountInfo() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(17, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getHistoricalAccountInfo();
                    }
                    obtain2.readException();
                    ArrayList createTypedArrayList = obtain2.createTypedArrayList(UserInfo.CREATOR);
                    obtain2.recycle();
                    obtain.recycle();
                    return createTypedArrayList;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public void getLoginQrcode(String str, IScanQRCodeListener iScanQRCodeListener) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeStrongBinder(iScanQRCodeListener != null ? iScanQRCodeListener.asBinder() : null);
                    if (this.mRemote.transact(24, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getLoginQrcode(str, iScanQRCodeListener);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public UserInfo getLoginUser() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(5, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getLoginUser();
                    }
                    obtain2.readException();
                    UserInfo createFromParcel = obtain2.readInt() != 0 ? UserInfo.CREATOR.createFromParcel(obtain2) : null;
                    obtain2.recycle();
                    obtain.recycle();
                    return createFromParcel;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public String getPolicyContent(String str, String str2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeString(str2);
                    if (!this.mRemote.transact(23, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getPolicyContent(str, str2);
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public SourceAccountInfo getSourceAccountInfo() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(22, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getSourceAccountInfo();
                    }
                    obtain2.readException();
                    SourceAccountInfo createFromParcel = obtain2.readInt() != 0 ? SourceAccountInfo.CREATOR.createFromParcel(obtain2) : null;
                    obtain2.recycle();
                    obtain.recycle();
                    return createFromParcel;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public String getToken() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(10, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getToken();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public boolean getUserAuthorizationStatus(String str, IAuthorizeCallback iAuthorizeCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeStrongBinder(iAuthorizeCallback != null ? iAuthorizeCallback.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(41, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getUserAuthorizationStatus(str, iAuthorizeCallback);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public String getUserProfileName() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(29, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getUserProfileName();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public boolean hasLogin() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().hasLogin();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public boolean hideBackView() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(27, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().hideBackView();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public boolean isAutoAccountAuthorized(IAuthorizeCallback iAuthorizeCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iAuthorizeCallback != null ? iAuthorizeCallback.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(21, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isAutoAccountAuthorized(iAuthorizeCallback);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public boolean isBackShow() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(25, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isBackShow();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public boolean isThirdAppAuthorized(String str, IThirdAppAuthCallback iThirdAppAuthCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeStrongBinder(iThirdAppAuthCallback != null ? iThirdAppAuthCallback.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(33, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isThirdAppAuthorized(str, iThirdAppAuthCallback);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public boolean launchLogin() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(3, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().launchLogin();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public boolean launchLoginForResult(String str, int i, ILaunchLoginResultCallback iLaunchLoginResultCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeInt(i);
                    obtain.writeStrongBinder(iLaunchLoginResultCallback != null ? iLaunchLoginResultCallback.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(40, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().launchLoginForResult(str, i, iLaunchLoginResultCallback);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public boolean launchLoginWithParam(String str, String str2, boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeString(str2);
                    obtain.writeInt(z ? 1 : 0);
                    boolean z2 = false;
                    if (!this.mRemote.transact(4, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().launchLoginWithParam(str, str2, z);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z2 = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z2;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public boolean launchToFeedbackContent(boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(z ? 1 : 0);
                    boolean z2 = false;
                    if (!this.mRemote.transact(34, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().launchToFeedbackContent(z);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z2 = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z2;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public boolean launchToLogin(boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(z ? 1 : 0);
                    boolean z2 = false;
                    if (!this.mRemote.transact(14, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().launchToLogin(z);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z2 = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z2;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public boolean launchToUserFeedback(boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(z ? 1 : 0);
                    boolean z2 = false;
                    if (!this.mRemote.transact(18, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().launchToUserFeedback(z);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z2 = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z2;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public String login(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    if (!this.mRemote.transact(8, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().login(str);
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public boolean logout() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(9, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().logout();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public boolean notifyTokenExpired() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(7, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().notifyTokenExpired();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public String refreshToken() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(11, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().refreshToken();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public UserInfo refreshUserInfo() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(16, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().refreshUserInfo();
                    }
                    obtain2.readException();
                    UserInfo createFromParcel = obtain2.readInt() != 0 ? UserInfo.CREATOR.createFromParcel(obtain2) : null;
                    obtain2.recycle();
                    obtain.recycle();
                    return createFromParcel;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public void restartRecognition() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(36, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().restartRecognition();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public boolean saveUserProfile(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    boolean z = false;
                    if (!this.mRemote.transact(31, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().saveUserProfile(str);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public void sendAutoAccountInfo(IAutoAccountInfo iAutoAccountInfo) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iAutoAccountInfo != null ? iAutoAccountInfo.asBinder() : null);
                    if (this.mRemote.transact(20, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().sendAutoAccountInfo(iAutoAccountInfo);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public void setCommonData(String str, int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(38, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setCommonData(str, i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public boolean setCurrentUserProfile(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    boolean z = false;
                    if (!this.mRemote.transact(30, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().setCurrentUserProfile(str);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public void setEmergencyMobile(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    if (this.mRemote.transact(13, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setEmergencyMobile(str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public boolean setLoginCallback(ILoginCallback iLoginCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iLoginCallback != null ? iLoginCallback.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(6, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().setLoginCallback(iLoginCallback);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public boolean showBackView() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(26, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().showBackView();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public void startRecognition() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(35, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().startRecognition();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public void submitFeedback(IFeedbackListener iFeedbackListener) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iFeedbackListener != null ? iFeedbackListener.asBinder() : null);
                    if (this.mRemote.transact(37, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().submitFeedback(iFeedbackListener);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserService
            public boolean unregisterLoginCallback(ILoginCallback iLoginCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iLoginCallback != null ? iLoginCallback.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(15, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().unregisterLoginCallback(iLoginCallback);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IUserService asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IUserService)) {
                return new Proxy(iBinder);
            }
            return (IUserService) queryLocalInterface;
        }

        public static IUserService getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IUserService iUserService) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iUserService == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iUserService;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                boolean z = false;
                switch (i) {
                    case 1:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean hasLogin = hasLogin();
                        parcel2.writeNoException();
                        parcel2.writeInt(hasLogin ? 1 : 0);
                        return true;
                    case 2:
                        parcel.enforceInterface(DESCRIPTOR);
                        String accessToken = getAccessToken();
                        parcel2.writeNoException();
                        parcel2.writeString(accessToken);
                        return true;
                    case 3:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean launchLogin = launchLogin();
                        parcel2.writeNoException();
                        parcel2.writeInt(launchLogin ? 1 : 0);
                        return true;
                    case 4:
                        parcel.enforceInterface(DESCRIPTOR);
                        String readString = parcel.readString();
                        String readString2 = parcel.readString();
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        boolean launchLoginWithParam = launchLoginWithParam(readString, readString2, z);
                        parcel2.writeNoException();
                        parcel2.writeInt(launchLoginWithParam ? 1 : 0);
                        return true;
                    case 5:
                        parcel.enforceInterface(DESCRIPTOR);
                        UserInfo loginUser = getLoginUser();
                        parcel2.writeNoException();
                        if (loginUser != null) {
                            parcel2.writeInt(1);
                            loginUser.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 6:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean loginCallback = setLoginCallback(ILoginCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(loginCallback ? 1 : 0);
                        return true;
                    case 7:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean notifyTokenExpired = notifyTokenExpired();
                        parcel2.writeNoException();
                        parcel2.writeInt(notifyTokenExpired ? 1 : 0);
                        return true;
                    case 8:
                        parcel.enforceInterface(DESCRIPTOR);
                        String login = login(parcel.readString());
                        parcel2.writeNoException();
                        parcel2.writeString(login);
                        return true;
                    case 9:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean logout = logout();
                        parcel2.writeNoException();
                        parcel2.writeInt(logout ? 1 : 0);
                        return true;
                    case 10:
                        parcel.enforceInterface(DESCRIPTOR);
                        String token = getToken();
                        parcel2.writeNoException();
                        parcel2.writeString(token);
                        return true;
                    case 11:
                        parcel.enforceInterface(DESCRIPTOR);
                        String refreshToken = refreshToken();
                        parcel2.writeNoException();
                        parcel2.writeString(refreshToken);
                        return true;
                    case 12:
                        parcel.enforceInterface(DESCRIPTOR);
                        String emergencyMobile = getEmergencyMobile();
                        parcel2.writeNoException();
                        parcel2.writeString(emergencyMobile);
                        return true;
                    case 13:
                        parcel.enforceInterface(DESCRIPTOR);
                        setEmergencyMobile(parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 14:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        boolean launchToLogin = launchToLogin(z);
                        parcel2.writeNoException();
                        parcel2.writeInt(launchToLogin ? 1 : 0);
                        return true;
                    case 15:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean unregisterLoginCallback = unregisterLoginCallback(ILoginCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(unregisterLoginCallback ? 1 : 0);
                        return true;
                    case 16:
                        parcel.enforceInterface(DESCRIPTOR);
                        UserInfo refreshUserInfo = refreshUserInfo();
                        parcel2.writeNoException();
                        if (refreshUserInfo != null) {
                            parcel2.writeInt(1);
                            refreshUserInfo.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 17:
                        parcel.enforceInterface(DESCRIPTOR);
                        List<UserInfo> historicalAccountInfo = getHistoricalAccountInfo();
                        parcel2.writeNoException();
                        parcel2.writeTypedList(historicalAccountInfo);
                        return true;
                    case 18:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        boolean launchToUserFeedback = launchToUserFeedback(z);
                        parcel2.writeNoException();
                        parcel2.writeInt(launchToUserFeedback ? 1 : 0);
                        return true;
                    case 19:
                        parcel.enforceInterface(DESCRIPTOR);
                        UserInfo createFromParcel = parcel.readInt() != 0 ? UserInfo.CREATOR.createFromParcel(parcel) : null;
                        boolean fastLogin = fastLogin(createFromParcel);
                        parcel2.writeNoException();
                        parcel2.writeInt(fastLogin ? 1 : 0);
                        if (createFromParcel != null) {
                            parcel2.writeInt(1);
                            createFromParcel.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 20:
                        parcel.enforceInterface(DESCRIPTOR);
                        sendAutoAccountInfo(IAutoAccountInfo.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 21:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean isAutoAccountAuthorized = isAutoAccountAuthorized(IAuthorizeCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(isAutoAccountAuthorized ? 1 : 0);
                        return true;
                    case 22:
                        parcel.enforceInterface(DESCRIPTOR);
                        SourceAccountInfo sourceAccountInfo = getSourceAccountInfo();
                        parcel2.writeNoException();
                        if (sourceAccountInfo != null) {
                            parcel2.writeInt(1);
                            sourceAccountInfo.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 23:
                        parcel.enforceInterface(DESCRIPTOR);
                        String policyContent = getPolicyContent(parcel.readString(), parcel.readString());
                        parcel2.writeNoException();
                        parcel2.writeString(policyContent);
                        return true;
                    case 24:
                        parcel.enforceInterface(DESCRIPTOR);
                        getLoginQrcode(parcel.readString(), IScanQRCodeListener.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 25:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean isBackShow = isBackShow();
                        parcel2.writeNoException();
                        parcel2.writeInt(isBackShow ? 1 : 0);
                        return true;
                    case 26:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean showBackView = showBackView();
                        parcel2.writeNoException();
                        parcel2.writeInt(showBackView ? 1 : 0);
                        return true;
                    case 27:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean hideBackView = hideBackView();
                        parcel2.writeNoException();
                        parcel2.writeInt(hideBackView ? 1 : 0);
                        return true;
                    case 28:
                        parcel.enforceInterface(DESCRIPTOR);
                        String currentUserProfile = getCurrentUserProfile();
                        parcel2.writeNoException();
                        parcel2.writeString(currentUserProfile);
                        return true;
                    case 29:
                        parcel.enforceInterface(DESCRIPTOR);
                        String userProfileName = getUserProfileName();
                        parcel2.writeNoException();
                        parcel2.writeString(userProfileName);
                        return true;
                    case 30:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean currentUserProfile2 = setCurrentUserProfile(parcel.readString());
                        parcel2.writeNoException();
                        parcel2.writeInt(currentUserProfile2 ? 1 : 0);
                        return true;
                    case 31:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean saveUserProfile = saveUserProfile(parcel.readString());
                        parcel2.writeNoException();
                        parcel2.writeInt(saveUserProfile ? 1 : 0);
                        return true;
                    case 32:
                        parcel.enforceInterface(DESCRIPTOR);
                        AccountInfo accountInfo = getAccountInfo();
                        parcel2.writeNoException();
                        if (accountInfo != null) {
                            parcel2.writeInt(1);
                            accountInfo.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 33:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean isThirdAppAuthorized = isThirdAppAuthorized(parcel.readString(), IThirdAppAuthCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(isThirdAppAuthorized ? 1 : 0);
                        return true;
                    case 34:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        boolean launchToFeedbackContent = launchToFeedbackContent(z);
                        parcel2.writeNoException();
                        parcel2.writeInt(launchToFeedbackContent ? 1 : 0);
                        return true;
                    case 35:
                        parcel.enforceInterface(DESCRIPTOR);
                        startRecognition();
                        parcel2.writeNoException();
                        return true;
                    case 36:
                        parcel.enforceInterface(DESCRIPTOR);
                        restartRecognition();
                        parcel2.writeNoException();
                        return true;
                    case 37:
                        parcel.enforceInterface(DESCRIPTOR);
                        submitFeedback(IFeedbackListener.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 38:
                        parcel.enforceInterface(DESCRIPTOR);
                        setCommonData(parcel.readString(), parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 39:
                        parcel.enforceInterface(DESCRIPTOR);
                        String commonData = getCommonData(parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeString(commonData);
                        return true;
                    case 40:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean launchLoginForResult = launchLoginForResult(parcel.readString(), parcel.readInt(), ILaunchLoginResultCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(launchLoginForResult ? 1 : 0);
                        return true;
                    case 41:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean userAuthorizationStatus = getUserAuthorizationStatus(parcel.readString(), IAuthorizeCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(userAuthorizationStatus ? 1 : 0);
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    boolean fastLogin(UserInfo userInfo) throws RemoteException;

    String getAccessToken() throws RemoteException;

    AccountInfo getAccountInfo() throws RemoteException;

    String getCommonData(int i) throws RemoteException;

    String getCurrentUserProfile() throws RemoteException;

    String getEmergencyMobile() throws RemoteException;

    List<UserInfo> getHistoricalAccountInfo() throws RemoteException;

    void getLoginQrcode(String str, IScanQRCodeListener iScanQRCodeListener) throws RemoteException;

    UserInfo getLoginUser() throws RemoteException;

    String getPolicyContent(String str, String str2) throws RemoteException;

    SourceAccountInfo getSourceAccountInfo() throws RemoteException;

    String getToken() throws RemoteException;

    boolean getUserAuthorizationStatus(String str, IAuthorizeCallback iAuthorizeCallback) throws RemoteException;

    String getUserProfileName() throws RemoteException;

    boolean hasLogin() throws RemoteException;

    boolean hideBackView() throws RemoteException;

    boolean isAutoAccountAuthorized(IAuthorizeCallback iAuthorizeCallback) throws RemoteException;

    boolean isBackShow() throws RemoteException;

    boolean isThirdAppAuthorized(String str, IThirdAppAuthCallback iThirdAppAuthCallback) throws RemoteException;

    boolean launchLogin() throws RemoteException;

    boolean launchLoginForResult(String str, int i, ILaunchLoginResultCallback iLaunchLoginResultCallback) throws RemoteException;

    boolean launchLoginWithParam(String str, String str2, boolean z) throws RemoteException;

    boolean launchToFeedbackContent(boolean z) throws RemoteException;

    boolean launchToLogin(boolean z) throws RemoteException;

    boolean launchToUserFeedback(boolean z) throws RemoteException;

    String login(String str) throws RemoteException;

    boolean logout() throws RemoteException;

    boolean notifyTokenExpired() throws RemoteException;

    String refreshToken() throws RemoteException;

    UserInfo refreshUserInfo() throws RemoteException;

    void restartRecognition() throws RemoteException;

    boolean saveUserProfile(String str) throws RemoteException;

    void sendAutoAccountInfo(IAutoAccountInfo iAutoAccountInfo) throws RemoteException;

    void setCommonData(String str, int i) throws RemoteException;

    boolean setCurrentUserProfile(String str) throws RemoteException;

    void setEmergencyMobile(String str) throws RemoteException;

    boolean setLoginCallback(ILoginCallback iLoginCallback) throws RemoteException;

    boolean showBackView() throws RemoteException;

    void startRecognition() throws RemoteException;

    void submitFeedback(IFeedbackListener iFeedbackListener) throws RemoteException;

    boolean unregisterLoginCallback(ILoginCallback iLoginCallback) throws RemoteException;
}
