package com.geely.lib.oneosapi.user.bean;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.user.api.IAccountInfo;

public class AccountInfo implements Parcelable, IAccountInfo {
    public static final Parcelable.Creator<AccountInfo> CREATOR = new Parcelable.Creator<AccountInfo>() {
        /* class com.geely.lib.oneosapi.user.bean.AccountInfo.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public AccountInfo createFromParcel(Parcel parcel) {
            return new AccountInfo(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public AccountInfo[] newArray(int i) {
            return new AccountInfo[i];
        }
    };
    public String deviceId;
    public String deviceVin;
    public String nickName;
    public String openId;
    public String token;

    public AccountInfo() {
    }

    public int describeContents() {
        return 0;
    }

    @Override // com.geely.lib.oneosapi.user.api.IAccountInfo
    public String getDeviceId() {
        return this.deviceId;
    }

    @Override // com.geely.lib.oneosapi.user.api.IAccountInfo
    public String getDeviceVin() {
        return this.deviceVin;
    }

    @Override // com.geely.lib.oneosapi.user.api.IAccountInfo
    public String getNickName() {
        return this.nickName;
    }

    @Override // com.geely.lib.oneosapi.user.api.IAccountInfo
    public String getOpenId() {
        return this.openId;
    }

    @Override // com.geely.lib.oneosapi.user.api.IAccountInfo
    public String getToken() {
        return this.token;
    }

    public void readFromParcel(Parcel parcel) {
        this.deviceVin = parcel.readString();
        this.deviceId = parcel.readString();
        this.openId = parcel.readString();
        this.nickName = parcel.readString();
        this.token = parcel.readString();
    }

    public void setDeviceId(String str) {
        this.deviceId = str;
    }

    public void setDeviceVin(String str) {
        this.deviceVin = str;
    }

    public void setNickName(String str) {
        this.nickName = str;
    }

    public void setOpenId(String str) {
        this.openId = str;
    }

    public void setToken(String str) {
        this.token = str;
    }

    public String toString() {
        return "AccountInfo{deviceVin='" + this.deviceVin + '\'' + ", deviceId='" + this.deviceId + '\'' + ", openId='" + this.openId + '\'' + ", nickName='" + this.nickName + '\'' + ", token='" + this.token + '\'' + '}';
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.deviceVin);
        parcel.writeString(this.deviceId);
        parcel.writeString(this.openId);
        parcel.writeString(this.nickName);
        parcel.writeString(this.token);
    }

    public AccountInfo(String str, String str2, String str3, String str4, String str5) {
        this.deviceVin = str;
        this.deviceId = str2;
        this.openId = str3;
        this.nickName = str4;
        this.token = str5;
    }

    public AccountInfo(Parcel parcel) {
        this.deviceVin = parcel.readString();
        this.deviceId = parcel.readString();
        this.openId = parcel.readString();
        this.nickName = parcel.readString();
        this.token = parcel.readString();
    }
}
