package com.geely.toolchain.hmi.blur2;

import android.graphics.Canvas;
import android.graphics.drawable.Drawable;

class NoOpController implements BlurController {
    @Override // com.geely.toolchain.hmi.blur2.BlurController
    public void destroy() {
    }

    @Override // com.geely.toolchain.hmi.blur2.BlurController
    public boolean draw(Canvas canvas) {
        return true;
    }

    @Override // com.geely.toolchain.hmi.blur2.BlurViewFacade
    public BlurViewFacade setBlurAutoUpdate(boolean z) {
        return this;
    }

    @Override // com.geely.toolchain.hmi.blur2.BlurViewFacade
    public BlurViewFacade setBlurEnabled(boolean z) {
        return this;
    }

    @Override // com.geely.toolchain.hmi.blur2.BlurViewFacade
    public BlurViewFacade setBlurRadius(float f) {
        return this;
    }

    @Override // com.geely.toolchain.hmi.blur2.BlurViewFacade
    public BlurViewFacade setFrameClearDrawable(Drawable drawable) {
        return this;
    }

    @Override // com.geely.toolchain.hmi.blur2.BlurViewFacade
    public BlurViewFacade setOverlayColor(int i) {
        return this;
    }

    @Override // com.geely.toolchain.hmi.blur2.BlurController
    public void updateBlurViewSize() {
    }

    NoOpController() {
    }
}
