package com.geely.toolchain.hmi.view;

import android.content.Context;
import android.util.AttributeSet;
import androidx.appcompat.widget.AppCompatCheckBox;
import androidx.core.content.ContextCompat;
import com.geely.toolchain.hmi.R;

public class HmiCircleCheckBox extends AppCompatCheckBox {
    public HmiCircleCheckBox(Context context) {
        super(context);
    }

    public HmiCircleCheckBox(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        setButtonDrawable(ContextCompat.getDrawable(context, R.drawable.oneoshmi_check_box_two_bg));
    }

    public HmiCircleCheckBox(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
    }

    public void setEnabled(boolean z) {
        super.setEnabled(z);
        if (z) {
            setAlpha(1.0f);
        } else {
            setAlpha(0.3f);
        }
    }
}
