package com.geely.carlink.broadcast;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;
import com.geely.carlink.constant.Const;

public class HMIBluetoothBroadcastReceiver extends BroadcastReceiver {
    private final String ACTION_CONNECTION_STATE_CHANGED = "android.bluetooth.headsetclient.profile.action.CONNECTION_STATE_CHANGED";
    private final String TAG = (Const.GLOBAL_TAG + getClass().getSimpleName());

    public void onReceive(Context context, Intent intent) {
        Log.i(this.TAG, "bluetooth state changed onReceive");
        if (intent == null) {
            Log.d(this.TAG, "intent is null.");
            return;
        }
        String action = intent.getAction();
        if (action != null && action.equals("android.bluetooth.headsetclient.profile.action.CONNECTION_STATE_CHANGED")) {
            Log.i(this.TAG, "action=" + action);
        }
    }
}
