package com.geely.carlink.ext;

import com.geely.carlink.handler.daynight.DayNightHandler;
import com.geely.carlink.handler.dockbar.DockBarHandler;
import com.geely.carlink.handler.link.LinkHandler;
import com.geely.carlink.handler.navi.NaviHandler;
import com.geely.carlink.handler.vr.VrHandler;

public class ExpandHandlerProxy implements IHandlerProxy {
    @Override // com.geely.carlink.ext.IHandlerProxy
    public byte[] getBrandIconByte() {
        return new byte[0];
    }

    @Override // com.geely.carlink.ext.IHandlerProxy
    public void setBtRejectConnectStatus(boolean z) {
    }

    @Override // com.geely.carlink.ext.IHandlerProxy
    public void cancelLocalNavi() {
        ((NaviHandler) HandlerManager.getInstance().getSpecialHandler(NaviHandler.class)).cancelNavi();
    }

    @Override // com.geely.carlink.ext.IHandlerProxy
    public boolean getDayNightMode() {
        return ((DayNightHandler) HandlerManager.getInstance().getSpecialHandler(DayNightHandler.class)).getDayNightMode();
    }

    @Override // com.geely.carlink.ext.IHandlerProxy
    public void updatePlayState(int i) {
        if (HandlerManager.getInstance() != null && HandlerManager.getInstance().getSpecialHandler(LinkHandler.class) != null) {
            ((LinkHandler) HandlerManager.getInstance().getSpecialHandler(LinkHandler.class)).updatePlayStatus(i);
        }
    }

    @Override // com.geely.carlink.ext.IHandlerProxy
    public void sessionConnected(int i, int i2) {
        if (HandlerManager.getInstance() != null && HandlerManager.getInstance().getSpecialHandler(LinkHandler.class) != null) {
            ((LinkHandler) HandlerManager.getInstance().getSpecialHandler(LinkHandler.class)).sessionConnected(i, i2);
        }
    }

    @Override // com.geely.carlink.ext.IHandlerProxy
    public void sessionDisconnected(int i, int i2) {
        if (HandlerManager.getInstance() != null && HandlerManager.getInstance().getSpecialHandler(LinkHandler.class) != null) {
            ((LinkHandler) HandlerManager.getInstance().getSpecialHandler(LinkHandler.class)).sessionDisconnected(i, i2);
        }
    }

    @Override // com.geely.carlink.ext.IHandlerProxy
    public boolean isSessionConnected() {
        if (HandlerManager.getInstance() == null || HandlerManager.getInstance().getSpecialHandler(LinkHandler.class) == null) {
            return false;
        }
        return ((LinkHandler) HandlerManager.getInstance().getSpecialHandler(LinkHandler.class)).isSessionConnected();
    }

    @Override // com.geely.carlink.ext.IHandlerProxy
    public int getConnectedSessionBrand() {
        if (HandlerManager.getInstance() == null || HandlerManager.getInstance().getSpecialHandler(LinkHandler.class) == null) {
            return 0;
        }
        return ((LinkHandler) HandlerManager.getInstance().getSpecialHandler(LinkHandler.class)).getConnectedSessionBrand();
    }

    @Override // com.geely.carlink.ext.IHandlerProxy
    public int getConnectedSessionType() {
        if (HandlerManager.getInstance() == null || HandlerManager.getInstance().getSpecialHandler(LinkHandler.class) == null) {
            return 0;
        }
        return ((LinkHandler) HandlerManager.getInstance().getSpecialHandler(LinkHandler.class)).getConnectedSessionType();
    }

    @Override // com.geely.carlink.ext.IHandlerProxy
    public void tryConnect(int i) {
        if (HandlerManager.getInstance() != null && HandlerManager.getInstance().getSpecialHandler(LinkHandler.class) != null) {
            ((LinkHandler) HandlerManager.getInstance().getSpecialHandler(LinkHandler.class)).tryConnect(i);
        }
    }

    @Override // com.geely.carlink.ext.IHandlerProxy
    public void hideDockView() {
        ((DockBarHandler) HandlerManager.getInstance().getSpecialHandler(DockBarHandler.class)).hideDock();
    }

    @Override // com.geely.carlink.ext.IHandlerProxy
    public void stopNativeVr() {
        ((VrHandler) HandlerManager.getInstance().getSpecialHandler(VrHandler.class)).stopNativeVr();
    }
}
