package com.geely.carlink.handler.daynight;

import android.app.UiModeManager;
import android.content.Context;
import com.geely.carlink.constant.Const;
import com.geely.carlink.ext.IHandler;

public class DayNightHandler implements IHandler {
    private final String TAG = (Const.GLOBAL_TAG + getClass().getSimpleName());
    private Context context;

    @Override // com.geely.carlink.ext.IHandler
    public void init(Context context2) {
        this.context = context2;
    }

    @Override // com.geely.carlink.ext.IHandler
    public String getHandlerName() {
        return getClass().getSimpleName();
    }

    public boolean getDayNightMode() {
        return ((UiModeManager) this.context.getSystemService("uimode")).getNightMode() == 2;
    }
}
