package com.geely.carlink.handler.key;

import android.content.Context;

public class KeyHandler implements IKeyHandler {
    private final IKeyHandler keyHandler = new KeyHandlerImpl();

    @Override // com.geely.carlink.ext.IHandler
    public String getHandlerName() {
        return getClass().getSimpleName();
    }

    @Override // com.geely.carlink.ext.IHandler
    public void init(Context context) {
        this.keyHandler.init(context);
    }

    @Override // com.geely.carlink.ext.IHandler
    public void deInit() {
        this.keyHandler.deInit();
    }
}
