package com.geely.carlink.service;

import android.bluetooth.BluetoothDevice;

public interface BluetoothDelegate {
    void connectBluetooth(String str);

    void deInit();

    void disconnectBluetooth(String str);

    void disconnectCurrentBluetoothA2dp(BluetoothDevice bluetoothDevice);

    void disconnectCurrentBluetoothHfp(BluetoothDevice bluetoothDevice);

    void disconnectCurrentBluetoothPbap(BluetoothDevice bluetoothDevice);

    void init();

    void registerBR(CarLinkService carLinkService);
}
