package com.geely.carlink.utils;

import android.content.Context;
import android.content.SharedPreferences;

public class SharedPreferencesUtils {
    private static final String FILE_NAME = "mac_address";
    private static final String KEY = "address";

    public static void setAddressParam(Context context, String str) {
        SharedPreferences.Editor edit = context.getSharedPreferences(FILE_NAME, 0).edit();
        edit.putString(KEY, str);
        edit.commit();
    }

    public static String getAddressParam(Context context) {
        return context.getSharedPreferences(FILE_NAME, 0).getString(KEY, "");
    }

    public static void clear(Context context) {
        context.getSharedPreferences(FILE_NAME, 0).edit().clear().commit();
    }
}
