package com.geely.lib.oneosapi.bean;

import android.os.Parcel;
import android.os.Parcelable;

public class BookInfo implements Parcelable {
    public static final Parcelable.Creator<BookInfo> CREATOR = new Parcelable.Creator<BookInfo>() {
        /* class com.geely.lib.oneosapi.bean.BookInfo.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public BookInfo createFromParcel(Parcel parcel) {
            return new BookInfo(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public BookInfo[] newArray(int i) {
            return new BookInfo[i];
        }
    };
    private int chapter_idx;
    private String chapter_name;
    private int chapter_offset;
    private int chapter_uid;
    private int chapter_word_cnt;
    private String endTTS;
    private int paid;
    private String startTTS;
    private long synckey;

    public BookInfo() {
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeLong(this.synckey);
        parcel.writeInt(this.chapter_uid);
        parcel.writeInt(this.chapter_idx);
        parcel.writeString(this.chapter_name);
        parcel.writeInt(this.chapter_word_cnt);
        parcel.writeInt(this.paid);
        parcel.writeInt(this.chapter_offset);
        parcel.writeString(this.startTTS);
        parcel.writeString(this.endTTS);
    }

    public BookInfo(Parcel parcel) {
        this.synckey = parcel.readLong();
        this.chapter_uid = parcel.readInt();
        this.chapter_idx = parcel.readInt();
        this.chapter_name = parcel.readString();
        this.chapter_word_cnt = parcel.readInt();
        this.paid = parcel.readInt();
        this.chapter_offset = parcel.readInt();
        this.startTTS = parcel.readString();
        this.endTTS = parcel.readString();
    }
}
