package com.geely.lib.oneosapi.mediacenter.bean;

import android.os.Parcel;
import android.os.Parcelable;

public class OnlineUserInfo implements Parcelable {
    public static final Parcelable.Creator<OnlineUserInfo> CREATOR = new Parcelable.Creator<OnlineUserInfo>() {
        /* class com.geely.lib.oneosapi.mediacenter.bean.OnlineUserInfo.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public OnlineUserInfo createFromParcel(Parcel parcel) {
            return new OnlineUserInfo(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public OnlineUserInfo[] newArray(int i) {
            return new OnlineUserInfo[i];
        }
    };
    public String avatarUrl;
    public boolean isExpired;
    public boolean isLogin;
    public String nickName;

    public OnlineUserInfo() {
    }

    public int describeContents() {
        return 0;
    }

    public String toString() {
        return "OnlineUserInfo{isLogin=" + this.isLogin + ", isExpired=" + this.isExpired + ", nickName='" + this.nickName + '\'' + ", avatarUrl='" + this.avatarUrl + '\'' + '}';
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeByte(this.isLogin ? (byte) 1 : 0);
        parcel.writeByte(this.isExpired ? (byte) 1 : 0);
        parcel.writeString(this.nickName);
        parcel.writeString(this.avatarUrl);
    }

    public OnlineUserInfo(Parcel parcel) {
        boolean z = true;
        this.isLogin = parcel.readByte() != 0;
        this.isExpired = parcel.readByte() == 0 ? false : z;
        this.nickName = parcel.readString();
        this.avatarUrl = parcel.readString();
    }
}
