package com.geely.lib.oneosapi.mediacenter.bean;

import android.os.Parcel;
import android.os.Parcelable;

public class SearchResult implements Parcelable {
    public static final Parcelable.Creator<SearchResult> CREATOR = new Parcelable.Creator<SearchResult>() {
        /* class com.geely.lib.oneosapi.mediacenter.bean.SearchResult.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public SearchResult createFromParcel(Parcel parcel) {
            return new SearchResult(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public SearchResult[] newArray(int i) {
            return new SearchResult[i];
        }
    };
    public String SongName;
    public String albumPic;
    public String singer;
    public String songId;
    public String unplayableReason;

    public SearchResult() {
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.albumPic);
        parcel.writeString(this.singer);
        parcel.writeString(this.songId);
        parcel.writeString(this.SongName);
        parcel.writeString(this.unplayableReason);
    }

    public SearchResult(Parcel parcel) {
        this.albumPic = parcel.readString();
        this.singer = parcel.readString();
        this.songId = parcel.readString();
        this.SongName = parcel.readString();
        this.unplayableReason = parcel.readString();
    }
}
