package com.geely.lib.oneosapi.mediacenter.callback;

import android.os.Handler;
import android.os.Looper;
import android.os.RemoteException;
import com.geely.lib.oneosapi.mediacenter.base.BaseCallback;
import com.geely.lib.oneosapi.mediacenter.callback.IContentCallback;
import com.geely.lib.oneosapi.mediacenter.constant.MediaCenterConstant;

public abstract class ContentCallback extends BaseCallback<IContentCallback> {
    public ContentCallback() {
        setCallbackImpl(new IContentCallback.Stub() {
            /* class com.geely.lib.oneosapi.mediacenter.callback.ContentCallback.AnonymousClass1 */

            @Override // com.geely.lib.oneosapi.mediacenter.callback.IContentCallback
            public void onContentResult(final int i, final int i2, final String str) throws RemoteException {
                new Handler(Looper.getMainLooper()).post(new Runnable() {
                    /* class com.geely.lib.oneosapi.mediacenter.callback.ContentCallback.AnonymousClass1.AnonymousClass1 */

                    public void run() {
                        ContentCallback.this.onContentResult(MediaCenterConstant.getAudioSourceEnum(i), MediaCenterConstant.getAppSourceEnum(i2), str);
                    }
                });
            }
        });
    }

    public abstract void onContentResult(MediaCenterConstant.AudioSource audioSource, MediaCenterConstant.AppSource appSource, String str);
}
