package com.geely.lib.oneosapi.mediacenter.callback;

import android.os.Handler;
import android.os.Looper;
import android.os.RemoteException;
import com.geely.lib.oneosapi.mediacenter.base.BaseCallback;
import com.geely.lib.oneosapi.mediacenter.callback.IMusicQueryCallback;

public abstract class MusicQueryCallback extends BaseCallback<IMusicQueryCallback> {
    public MusicQueryCallback() {
        setCallbackImpl(new IMusicQueryCallback.Stub() {
            /* class com.geely.lib.oneosapi.mediacenter.callback.MusicQueryCallback.AnonymousClass1 */

            @Override // com.geely.lib.oneosapi.mediacenter.callback.IMusicQueryCallback
            public void onError(final int i) throws RemoteException {
                new Handler(Looper.getMainLooper()).post(new Runnable() {
                    /* class com.geely.lib.oneosapi.mediacenter.callback.MusicQueryCallback.AnonymousClass1.AnonymousClass2 */

                    public void run() {
                        MusicQueryCallback.this.onError(i);
                    }
                });
            }

            @Override // com.geely.lib.oneosapi.mediacenter.callback.IMusicQueryCallback
            public void onSuccess(final int i, final String str) throws RemoteException {
                new Handler(Looper.getMainLooper()).post(new Runnable() {
                    /* class com.geely.lib.oneosapi.mediacenter.callback.MusicQueryCallback.AnonymousClass1.AnonymousClass1 */

                    public void run() {
                        MusicQueryCallback.this.onSuccess(i, str);
                    }
                });
            }
        });
    }

    public abstract void onError(int i);

    public abstract void onSuccess(int i, String str);
}
