package com.geely.lib.oneosapi.navi.ipc;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;

public class IApiErrorModelBean implements Parcelable {
    public static final Parcelable.Creator<IApiErrorModelBean> CREATOR = new Parcelable.Creator<IApiErrorModelBean>() {
        /* class com.geely.lib.oneosapi.navi.ipc.IApiErrorModelBean.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public IApiErrorModelBean createFromParcel(Parcel parcel) {
            return new IApiErrorModelBean(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public IApiErrorModelBean[] newArray(int i) {
            return new IApiErrorModelBean[i];
        }
    };
    private String errorMessage;
    private Bundle extras;
    private int resultCode;

    public IApiErrorModelBean() {
    }

    public int describeContents() {
        return 0;
    }

    public String getErrorMessage() {
        return this.errorMessage;
    }

    public Bundle getExtras() {
        return this.extras;
    }

    public int getResultCode() {
        return this.resultCode;
    }

    public void readFromParcel(Parcel parcel) {
        this.errorMessage = parcel.readString();
        this.resultCode = parcel.readInt();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }

    public void setErrorMessage(String str) {
        this.errorMessage = str;
    }

    public void setExtras(Bundle bundle) {
        this.extras = bundle;
    }

    public void setResultCode(int i) {
        this.resultCode = i;
    }

    public String toString() {
        return "IAPIErrorModelBean{errorMessage='" + this.errorMessage + '\'' + ", resultCode=" + this.resultCode + ", extras=" + this.extras + '}';
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.errorMessage);
        parcel.writeInt(this.resultCode);
        parcel.writeBundle(this.extras);
    }

    public IApiErrorModelBean(Parcel parcel) {
        this.errorMessage = parcel.readString();
        this.resultCode = parcel.readInt();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }
}
