package com.geely.lib.oneosapi.navi.ipc;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;

public class IApiRequestBaseModelBean implements Parcelable {
    public static final Parcelable.Creator<IApiRequestBaseModelBean> CREATOR = new Parcelable.Creator<IApiRequestBaseModelBean>() {
        /* class com.geely.lib.oneosapi.navi.ipc.IApiRequestBaseModelBean.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public IApiRequestBaseModelBean createFromParcel(Parcel parcel) {
            return new IApiRequestBaseModelBean(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public IApiRequestBaseModelBean[] newArray(int i) {
            return new IApiRequestBaseModelBean[i];
        }
    };
    private Bundle extras;
    private long requestTimeout;

    public IApiRequestBaseModelBean() {
    }

    public int describeContents() {
        return 0;
    }

    public Bundle getExtras() {
        return this.extras;
    }

    public long getRequestTimeout() {
        return this.requestTimeout;
    }

    public void readFromParcel(Parcel parcel) {
        this.requestTimeout = parcel.readLong();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }

    public void setExtras(Bundle bundle) {
        this.extras = bundle;
    }

    public void setRequestTimeout(long j) {
        this.requestTimeout = j;
    }

    public String toString() {
        return "IAPIRequestBaseModelBean{requestTimeout=" + this.requestTimeout + ", extras=" + this.extras + '}';
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeLong(this.requestTimeout);
        parcel.writeBundle(this.extras);
    }

    public IApiRequestBaseModelBean(Parcel parcel) {
        this.requestTimeout = parcel.readLong();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }
}
