package com.geely.lib.oneosapi.navi.ipc;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;

public class IKeywordSearchRequestBean implements Parcelable {
    public static final Parcelable.Creator<IKeywordSearchRequestBean> CREATOR = new Parcelable.Creator<IKeywordSearchRequestBean>() {
        /* class com.geely.lib.oneosapi.navi.ipc.IKeywordSearchRequestBean.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public IKeywordSearchRequestBean createFromParcel(Parcel parcel) {
            return new IKeywordSearchRequestBean(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public IKeywordSearchRequestBean[] newArray(int i) {
            return new IKeywordSearchRequestBean[i];
        }
    };
    private String city;
    private Bundle extras;
    private String keyword;
    private IPoiTypeBean poiType;
    private long requestTimeout;

    public IKeywordSearchRequestBean() {
    }

    public int describeContents() {
        return 0;
    }

    public String getCity() {
        return this.city;
    }

    public Bundle getExtras() {
        return this.extras;
    }

    public String getKeyword() {
        return this.keyword;
    }

    public IPoiTypeBean getPoiType() {
        return this.poiType;
    }

    public long getRequestTimeout() {
        return this.requestTimeout;
    }

    public void readFromParcel(Parcel parcel) {
        this.keyword = parcel.readString();
        this.city = parcel.readString();
        this.poiType = (IPoiTypeBean) parcel.readParcelable(IPoiTypeBean.class.getClassLoader());
        this.requestTimeout = parcel.readLong();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }

    public void setCity(String str) {
        this.city = str;
    }

    public void setExtras(Bundle bundle) {
        this.extras = bundle;
    }

    public void setKeyword(String str) {
        this.keyword = str;
    }

    public void setPoiType(IPoiTypeBean iPoiTypeBean) {
        this.poiType = iPoiTypeBean;
    }

    public void setRequestTimeout(long j) {
        this.requestTimeout = j;
    }

    public String toString() {
        return "IKeywordSearchRequestBean{keyword='" + this.keyword + '\'' + ", city='" + this.city + '\'' + ", poiType=" + this.poiType + ", requestTimeout=" + this.requestTimeout + ", extras=" + this.extras + '}';
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.keyword);
        parcel.writeString(this.city);
        parcel.writeParcelable(this.poiType, i);
        parcel.writeLong(this.requestTimeout);
        parcel.writeBundle(this.extras);
    }

    public IKeywordSearchRequestBean(Parcel parcel) {
        this.keyword = parcel.readString();
        this.city = parcel.readString();
        this.poiType = (IPoiTypeBean) parcel.readParcelable(IPoiTypeBean.class.getClassLoader());
        this.requestTimeout = parcel.readLong();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }
}
