package com.geely.lib.oneosapi.navi.ipc;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;

public class IPoiRemainInfoBean implements Parcelable {
    public static final Parcelable.Creator<IPoiRemainInfoBean> CREATOR = new Parcelable.Creator<IPoiRemainInfoBean>() {
        /* class com.geely.lib.oneosapi.navi.ipc.IPoiRemainInfoBean.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public IPoiRemainInfoBean createFromParcel(Parcel parcel) {
            return new IPoiRemainInfoBean(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public IPoiRemainInfoBean[] newArray(int i) {
            return new IPoiRemainInfoBean[i];
        }
    };
    private Bundle bundle;
    private int remainDistance;
    private int remainTime;
    private int resultCode;

    public IPoiRemainInfoBean() {
    }

    public int describeContents() {
        return 0;
    }

    public Bundle getExtras() {
        return this.bundle;
    }

    public int getRemainDistance() {
        return this.remainDistance;
    }

    public int getRemainTime() {
        return this.remainTime;
    }

    public int getResultCode() {
        return this.resultCode;
    }

    public void readFromParcel(Parcel parcel) {
        this.remainDistance = parcel.readInt();
        this.remainTime = parcel.readInt();
        this.resultCode = parcel.readInt();
        this.bundle = parcel.readBundle(Bundle.class.getClassLoader());
    }

    public void setBundle(Bundle bundle2) {
        this.bundle = bundle2;
    }

    public void setRemainDistance(int i) {
        this.remainDistance = i;
    }

    public void setRemainTime(int i) {
        this.remainTime = i;
    }

    public void setResultCode(int i) {
        this.resultCode = i;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(this.remainDistance);
        parcel.writeInt(this.remainTime);
        parcel.writeInt(this.resultCode);
        parcel.writeBundle(this.bundle);
    }

    public IPoiRemainInfoBean(Parcel parcel) {
        this.remainDistance = parcel.readInt();
        this.remainTime = parcel.readInt();
        this.resultCode = parcel.readInt();
        this.bundle = parcel.readBundle(Bundle.class.getClassLoader());
    }
}
