package com.geely.lib.oneosapi.navi.ipc;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;

public class IPoiTypeBean implements Parcelable {
    public static final Parcelable.Creator<IPoiTypeBean> CREATOR = new Parcelable.Creator<IPoiTypeBean>() {
        /* class com.geely.lib.oneosapi.navi.ipc.IPoiTypeBean.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public IPoiTypeBean createFromParcel(Parcel parcel) {
            return new IPoiTypeBean(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public IPoiTypeBean[] newArray(int i) {
            return new IPoiTypeBean[i];
        }
    };
    private Bundle extras;
    private String typeCode;
    private String typeName;

    public IPoiTypeBean() {
    }

    public int describeContents() {
        return 0;
    }

    public Bundle getExtras() {
        return this.extras;
    }

    public String getTypeCode() {
        return this.typeCode;
    }

    public String getTypeName() {
        return this.typeName;
    }

    public void readFromParcel(Parcel parcel) {
        this.typeCode = parcel.readString();
        this.typeName = parcel.readString();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }

    public void setExtras(Bundle bundle) {
        this.extras = bundle;
    }

    public void setTypeCode(String str) {
        this.typeCode = str;
    }

    public void setTypeName(String str) {
        this.typeName = str;
    }

    public String toString() {
        return "IPoiTypeBean{typeCode='" + this.typeCode + '\'' + ", typeName='" + this.typeName + '\'' + ", extras=" + this.extras + '}';
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.typeCode);
        parcel.writeString(this.typeName);
        parcel.writeBundle(this.extras);
    }

    public IPoiTypeBean(Parcel parcel) {
        this.typeCode = parcel.readString();
        this.typeName = parcel.readString();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }
}
