package com.geely.lib.oneosapi.navi.ipc;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;

public class ITrafficSummaryInfoModelBean implements Parcelable {
    public static final Parcelable.Creator<ITrafficSummaryInfoModelBean> CREATOR = new Parcelable.Creator<ITrafficSummaryInfoModelBean>() {
        /* class com.geely.lib.oneosapi.navi.ipc.ITrafficSummaryInfoModelBean.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public ITrafficSummaryInfoModelBean createFromParcel(Parcel parcel) {
            return new ITrafficSummaryInfoModelBean(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public ITrafficSummaryInfoModelBean[] newArray(int i) {
            return new ITrafficSummaryInfoModelBean[i];
        }
    };
    private Bundle extras;
    private int resultCode;
    private String trafficSummary;

    public ITrafficSummaryInfoModelBean() {
    }

    public int describeContents() {
        return 0;
    }

    public Bundle getExtras() {
        return this.extras;
    }

    public int getResultCode() {
        return this.resultCode;
    }

    public String getTrafficSummary() {
        return this.trafficSummary;
    }

    public void readFromParcel(Parcel parcel) {
        this.trafficSummary = parcel.readString();
        this.resultCode = parcel.readInt();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }

    public void setExtras(Bundle bundle) {
        this.extras = bundle;
    }

    public void setResultCode(int i) {
        this.resultCode = i;
    }

    public void setTrafficSummary(String str) {
        this.trafficSummary = str;
    }

    public String toString() {
        return "ITrafficSummaryInfoModelBean{trafficSummary='" + this.trafficSummary + '\'' + ", resultCode=" + this.resultCode + ", extras=" + this.extras + '}';
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.trafficSummary);
        parcel.writeInt(this.resultCode);
        parcel.writeBundle(this.extras);
    }

    public ITrafficSummaryInfoModelBean(Parcel parcel) {
        this.trafficSummary = parcel.readString();
        this.resultCode = parcel.readInt();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }
}
