package com.geely.lib.oneosapi.navi.model.base;

import android.os.Parcel;
import android.os.Parcelable;

public class SearchPoi extends PoiInfo {
    public static final Parcelable.Creator<SearchPoi> CREATOR = new Parcelable.Creator<SearchPoi>() {
        /* class com.geely.lib.oneosapi.navi.model.base.SearchPoi.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public SearchPoi createFromParcel(Parcel parcel) {
            return new SearchPoi(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public SearchPoi[] newArray(int i) {
            return new SearchPoi[i];
        }
    };
    private int mSearchPoiTags;

    public SearchPoi() {
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.PoiInfo
    public int describeContents() {
        return 0;
    }

    public int getSearchPoiTags() {
        return this.mSearchPoiTags;
    }

    public void setSearchPoiTags(int i) {
        this.mSearchPoiTags = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.PoiInfo
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.mSearchPoiTags);
    }

    public SearchPoi(Parcel parcel) {
        super(parcel);
        this.mSearchPoiTags = parcel.readInt();
    }
}
