package com.geely.lib.oneosapi.navi.model.base;

import android.os.Parcel;
import android.os.Parcelable;

public class SuggestionCity implements Parcelable {
    public static final Parcelable.Creator<SuggestionCity> CREATOR = new Parcelable.Creator<SuggestionCity>() {
        /* class com.geely.lib.oneosapi.navi.model.base.SuggestionCity.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public SuggestionCity createFromParcel(Parcel parcel) {
            return new SuggestionCity(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public SuggestionCity[] newArray(int i) {
            return new SuggestionCity[i];
        }
    };
    private String cityCode;
    private String cityName;
    private int suggestionNum;

    public SuggestionCity() {
    }

    public int describeContents() {
        return 0;
    }

    public String getCityCode() {
        return this.cityCode;
    }

    public String getCityName() {
        return this.cityName;
    }

    public int getSuggestionNum() {
        return this.suggestionNum;
    }

    public void setCityCode(String str) {
        this.cityCode = str;
    }

    public void setCityName(String str) {
        this.cityName = str;
    }

    public void setSuggestionNum(int i) {
        this.suggestionNum = i;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder("SuggestionCity{");
        sb.append("suggestionNum=").append(this.suggestionNum);
        sb.append(", cityName='").append(this.cityName).append('\'');
        sb.append(", cityCode='").append(this.cityCode).append('\'');
        sb.append('}');
        return sb.toString();
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(this.suggestionNum);
        parcel.writeString(this.cityName);
        parcel.writeString(this.cityCode);
    }

    public SuggestionCity(String str, String str2) {
        this.cityName = str;
        this.cityCode = str2;
    }

    public SuggestionCity(Parcel parcel) {
        this.suggestionNum = parcel.readInt();
        this.cityName = parcel.readString();
        this.cityCode = parcel.readString();
    }
}
