package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;
import java.util.List;

public class MapDownloadOfflineData extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<MapDownloadOfflineData> CREATOR = new Parcelable.Creator<MapDownloadOfflineData>() {
        /* class com.geely.lib.oneosapi.navi.model.client.MapDownloadOfflineData.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public MapDownloadOfflineData createFromParcel(Parcel parcel) {
            return new MapDownloadOfflineData(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public MapDownloadOfflineData[] newArray(int i) {
            return new MapDownloadOfflineData[i];
        }
    };
    private List<String> provinceList;

    public MapDownloadOfflineData(List<String> list) {
        this.provinceList = list;
        setProtocolID(NaviProtocolID.MAP_OP_DOWNLOAD_OFFLINE_DATA);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public List<String> getProvinceList() {
        return this.provinceList;
    }

    public void setProvinceList(List<String> list) {
        this.provinceList = list;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("MapDownloadOfflineData{");
        sb.append("provinceList=").append(this.provinceList);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeStringList(this.provinceList);
    }

    public MapDownloadOfflineData(Parcel parcel) {
        super(parcel);
        this.provinceList = parcel.createStringArrayList();
    }
}
