package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.LatLng;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;

public class MapOperaAntiGeo extends NaviBaseModel {
    public static final Parcelable.Creator<MapOperaAntiGeo> CREATOR = new Parcelable.Creator<MapOperaAntiGeo>() {
        /* class com.geely.lib.oneosapi.navi.model.client.MapOperaAntiGeo.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public MapOperaAntiGeo createFromParcel(Parcel parcel) {
            return new MapOperaAntiGeo(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public MapOperaAntiGeo[] newArray(int i) {
            return new MapOperaAntiGeo[i];
        }
    };
    private LatLng latLng;

    public MapOperaAntiGeo(LatLng latLng2) {
        this.latLng = latLng2;
        setProtocolID(NaviProtocolID.MAP_OP_GET_ANTI_GEO);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public LatLng getLatLng() {
        return this.latLng;
    }

    public void setLatLng(LatLng latLng2) {
        this.latLng = latLng2;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("MapOperaAntiGeo{");
        sb.append("latLng=").append(this.latLng);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeParcelable(this.latLng, i);
    }

    public MapOperaAntiGeo(Parcel parcel) {
        super(parcel);
        this.latLng = (LatLng) parcel.readParcelable(LatLng.class.getClassLoader());
    }
}
