package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;

public class MapOperaGetTrafficSummaryInfo extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<MapOperaGetTrafficSummaryInfo> CREATOR = new Parcelable.Creator<MapOperaGetTrafficSummaryInfo>() {
        /* class com.geely.lib.oneosapi.navi.model.client.MapOperaGetTrafficSummaryInfo.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public MapOperaGetTrafficSummaryInfo createFromParcel(Parcel parcel) {
            return new MapOperaGetTrafficSummaryInfo(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public MapOperaGetTrafficSummaryInfo[] newArray(int i) {
            return new MapOperaGetTrafficSummaryInfo[i];
        }
    };
    private String trafficKeyword;

    public MapOperaGetTrafficSummaryInfo(String str) {
        setProtocolID(NaviProtocolID.MAP_OP_GET_TRAFFIC_INFO);
        this.trafficKeyword = str;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public String getTrafficKeyword() {
        return this.trafficKeyword;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("MapOperaGetTrafficSummaryInfo{");
        sb.append("trafficKeyword=").append(this.trafficKeyword);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeString(this.trafficKeyword);
    }

    public MapOperaGetTrafficSummaryInfo(Parcel parcel) {
        super(parcel);
        this.trafficKeyword = parcel.readString();
    }
}
