package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;

public class MapOperaSwitchAR extends NaviBaseModel implements Parcelable {
    public static final int ACTION_SWITCH_OFF = 1;
    public static final int ACTION_SWITCH_ON = 0;
    public static final Parcelable.Creator<MapOperaSwitchAR> CREATOR = new Parcelable.Creator<MapOperaSwitchAR>() {
        /* class com.geely.lib.oneosapi.navi.model.client.MapOperaSwitchAR.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public MapOperaSwitchAR createFromParcel(Parcel parcel) {
            return new MapOperaSwitchAR(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public MapOperaSwitchAR[] newArray(int i) {
            return new MapOperaSwitchAR[i];
        }
    };
    private int action;

    public MapOperaSwitchAR() {
        this(0);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public int getAction() {
        return this.action;
    }

    public void setAction(int i) {
        this.action = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("MapOperaSwitchAR{");
        sb.append("action=").append(this.action);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.action);
    }

    public MapOperaSwitchAR(int i) {
        setProtocolID(NaviProtocolID.MAP_OP_SWITCH_AR);
        this.action = i;
    }

    public MapOperaSwitchAR(Parcel parcel) {
        super(parcel);
        this.action = parcel.readInt();
    }
}
