package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;

public class MapOperaZoomInOut extends NaviBaseModel implements Parcelable {
    public static final int ACTION_ZOOM_IN = 0;
    public static final int ACTION_ZOOM_IN_MAXIMUM = 2;
    public static final int ACTION_ZOOM_OUT = 1;
    public static final int ACTION_ZOOM_OUT_MINIEST = 3;
    public static final Parcelable.Creator<MapOperaZoomInOut> CREATOR = new Parcelable.Creator<MapOperaZoomInOut>() {
        /* class com.geely.lib.oneosapi.navi.model.client.MapOperaZoomInOut.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public MapOperaZoomInOut createFromParcel(Parcel parcel) {
            return new MapOperaZoomInOut(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public MapOperaZoomInOut[] newArray(int i) {
            return new MapOperaZoomInOut[i];
        }
    };
    private int action;

    public MapOperaZoomInOut() {
        this(0);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public int getAction() {
        return this.action;
    }

    public void setAction(int i) {
        this.action = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("MapOperaZoomInOut{");
        sb.append("action=").append(this.action);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.action);
    }

    public MapOperaZoomInOut(int i) {
        this.action = 0;
        this.action = i;
        setProtocolID(3000);
    }

    public MapOperaZoomInOut(Parcel parcel) {
        super(parcel);
        this.action = 0;
        this.action = parcel.readInt();
    }
}
