package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;

public class NaviCancelPreferMap extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<NaviCancelPreferMap> CREATOR = new Parcelable.Creator<NaviCancelPreferMap>() {
        /* class com.geely.lib.oneosapi.navi.model.client.NaviCancelPreferMap.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public NaviCancelPreferMap createFromParcel(Parcel parcel) {
            return new NaviCancelPreferMap(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public NaviCancelPreferMap[] newArray(int i) {
            return new NaviCancelPreferMap[i];
        }
    };
    private int mapVendor;

    public NaviCancelPreferMap(int i) {
        this.mapVendor = i;
        setProtocolID(NaviProtocolID.NAVI_OP_CANCEL_PREFER_MAP);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int getMapVendor() {
        return this.mapVendor;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("NaviCancelPreferMap{");
        sb.append("mapVendor=").append(this.mapVendor);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.mapVendor);
    }

    public NaviCancelPreferMap(Parcel parcel) {
        super(parcel);
        this.mapVendor = parcel.readInt();
    }
}
