package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;

public class NaviGetFrontTrafficRadio extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<NaviGetFrontTrafficRadio> CREATOR = new Parcelable.Creator<NaviGetFrontTrafficRadio>() {
        /* class com.geely.lib.oneosapi.navi.model.client.NaviGetFrontTrafficRadio.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public NaviGetFrontTrafficRadio createFromParcel(Parcel parcel) {
            return new NaviGetFrontTrafficRadio(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public NaviGetFrontTrafficRadio[] newArray(int i) {
            return new NaviGetFrontTrafficRadio[i];
        }
    };
    private int frontDistance;

    public NaviGetFrontTrafficRadio(int i) {
        this.frontDistance = i;
        setProtocolID(NaviProtocolID.NAVI_OP_FRONT_TRAFFIC_RADIO);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public int getFrontDistance() {
        return this.frontDistance;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("NaviGetFrontTrafficRadio{");
        sb.append("frontDistance=").append(this.frontDistance);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.frontDistance);
    }

    public NaviGetFrontTrafficRadio(Parcel parcel) {
        super(parcel);
        this.frontDistance = parcel.readInt();
    }
}
