package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;

public class RspMapStatus extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<RspMapStatus> CREATOR = new Parcelable.Creator<RspMapStatus>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspMapStatus.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspMapStatus createFromParcel(Parcel parcel) {
            return new RspMapStatus(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspMapStatus[] newArray(int i) {
            return new RspMapStatus[i];
        }
    };
    private int mapStatus;

    public RspMapStatus(NaviBaseModel naviBaseModel) {
        copyBaseInfo(naviBaseModel);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public int getMapStatus() {
        return this.mapStatus;
    }

    public void setMapStatus(int i) {
        this.mapStatus = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        super.toString();
        return "RspMapStatus{mapStatus=" + this.mapStatus + '}';
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.mapStatus);
    }

    public RspMapStatus(Parcel parcel) {
        super(parcel);
        this.mapStatus = parcel.readInt();
    }
}
