package com.geely.lib.oneosapi.payment;

import android.os.Parcel;
import android.os.Parcelable;

public class FullReductionCouponParam implements Parcelable {
    public static final Parcelable.Creator<FullReductionCouponParam> CREATOR = new Parcelable.Creator<FullReductionCouponParam>() {
        /* class com.geely.lib.oneosapi.payment.FullReductionCouponParam.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public FullReductionCouponParam createFromParcel(Parcel parcel) {
            return new FullReductionCouponParam(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public FullReductionCouponParam[] newArray(int i) {
            return new FullReductionCouponParam[i];
        }
    };
    private String couponAccountCode;
    private String couponAccountId;
    private boolean use;

    public FullReductionCouponParam() {
    }

    public int describeContents() {
        return 0;
    }

    public String getCouponAccountCode() {
        return this.couponAccountCode;
    }

    public String getCouponAccountId() {
        return this.couponAccountId;
    }

    public boolean isUse() {
        return this.use;
    }

    public void setCouponAccountCode(String str) {
        this.couponAccountCode = str;
    }

    public void setCouponAccountId(String str) {
        this.couponAccountId = str;
    }

    public void setUse(boolean z) {
        this.use = z;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.couponAccountCode);
        parcel.writeString(this.couponAccountId);
        parcel.writeByte(this.use ? (byte) 1 : 0);
    }

    public FullReductionCouponParam(String str, String str2, boolean z) {
        this.couponAccountCode = str;
        this.couponAccountId = str2;
        this.use = z;
    }

    public FullReductionCouponParam(Parcel parcel) {
        this.couponAccountCode = parcel.readString();
        this.couponAccountId = parcel.readString();
        this.use = parcel.readByte() != 0;
    }
}
