package com.geely.lib.oneosapi.recommendation.bean.sohu;

import android.os.Parcel;
import android.os.Parcelable;
import java.util.List;

public class SohuContentBean implements Parcelable {
    public static final Parcelable.Creator<SohuContentBean> CREATOR = new Parcelable.Creator<SohuContentBean>() {
        /* class com.geely.lib.oneosapi.recommendation.bean.sohu.SohuContentBean.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public SohuContentBean createFromParcel(Parcel parcel) {
            return new SohuContentBean(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public SohuContentBean[] newArray(int i) {
            return new SohuContentBean[i];
        }
    };
    private List<SohuContentDataBean> data;
    private String type;

    public SohuContentBean() {
    }

    public int describeContents() {
        return 0;
    }

    public List<SohuContentDataBean> getData() {
        return this.data;
    }

    public String getType() {
        return this.type;
    }

    public void setData(List<SohuContentDataBean> list) {
        this.data = list;
    }

    public void setType(String str) {
        this.type = str;
    }

    public String toString() {
        return "CpspContentBean{type='" + this.type + '\'' + ", data=" + this.data + '}';
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.type);
        parcel.writeTypedList(this.data);
    }

    public SohuContentBean(Parcel parcel) {
        this.type = parcel.readString();
        this.data = parcel.createTypedArrayList(SohuContentDataBean.CREATOR);
    }
}
