package com.geely.lib.oneosapi.schedule.bean;

import android.os.Parcel;
import android.os.Parcelable;

public class CPAddScheduleBean implements Parcelable {
    public static final Parcelable.Creator<CPAddScheduleBean> CREATOR = new Parcelable.Creator<CPAddScheduleBean>() {
        /* class com.geely.lib.oneosapi.schedule.bean.CPAddScheduleBean.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public CPAddScheduleBean createFromParcel(Parcel parcel) {
            return new CPAddScheduleBean(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public CPAddScheduleBean[] newArray(int i) {
            return new CPAddScheduleBean[i];
        }
    };
    private String content;
    private TimeInfo endTime;
    private String location;
    private String repeatInfo;
    private String repeatType;
    private TimeInfo startTime;

    public static class TimeInfo implements Parcelable {
        public static final Parcelable.Creator<TimeInfo> CREATOR = new Parcelable.Creator<TimeInfo>() {
            /* class com.geely.lib.oneosapi.schedule.bean.CPAddScheduleBean.TimeInfo.AnonymousClass1 */

            @Override // android.os.Parcelable.Creator
            public TimeInfo createFromParcel(Parcel parcel) {
                return new TimeInfo(parcel);
            }

            @Override // android.os.Parcelable.Creator
            public TimeInfo[] newArray(int i) {
                return new TimeInfo[i];
            }
        };
        private String date;
        private String time;

        public TimeInfo() {
        }

        public int describeContents() {
            return 0;
        }

        public String getDate() {
            return this.date;
        }

        public String getTime() {
            return this.time;
        }

        public void readFromParcel(Parcel parcel) {
            this.date = parcel.readString();
            this.time = parcel.readString();
        }

        public void setDate(String str) {
            this.date = str;
        }

        public void setTime(String str) {
            this.time = str;
        }

        public String toString() {
            return "TimeInfo{date='" + this.date + '\'' + ", time='" + this.time + '\'' + '}';
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeString(this.date);
            parcel.writeString(this.time);
        }

        public TimeInfo(String str, String str2) {
            this.date = str;
            this.time = str2;
        }

        public TimeInfo(Parcel parcel) {
            this.date = parcel.readString();
            this.time = parcel.readString();
        }
    }

    public CPAddScheduleBean() {
    }

    public int describeContents() {
        return 0;
    }

    public String getContent() {
        return this.content;
    }

    public TimeInfo getEndTime() {
        return this.endTime;
    }

    public String getLocation() {
        return this.location;
    }

    public String getRepeatInfo() {
        return this.repeatInfo;
    }

    public String getRepeatType() {
        return this.repeatType;
    }

    public TimeInfo getStartTime() {
        return this.startTime;
    }

    public void readFromParcel(Parcel parcel) {
        this.content = parcel.readString();
        this.startTime = (TimeInfo) parcel.readParcelable(TimeInfo.class.getClassLoader());
        this.endTime = (TimeInfo) parcel.readParcelable(TimeInfo.class.getClassLoader());
        this.repeatType = parcel.readString();
        this.repeatInfo = parcel.readString();
    }

    public void setContent(String str) {
        this.content = str;
    }

    public void setEndTime(TimeInfo timeInfo) {
        this.endTime = timeInfo;
    }

    public void setLocation(String str) {
        this.location = str;
    }

    public void setRepeatInfo(String str) {
        this.repeatInfo = str;
    }

    public void setRepeatType(String str) {
        this.repeatType = str;
    }

    public void setStartTime(TimeInfo timeInfo) {
        this.startTime = timeInfo;
    }

    public String toString() {
        return "CPAddScheduleBean{content='" + this.content + '\'' + ", startTime=" + this.startTime + ", endTime=" + this.endTime + ", repeatType='" + this.repeatType + '\'' + ", repeatInfo='" + this.repeatInfo + '\'' + '}';
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.content);
        parcel.writeParcelable(this.startTime, i);
        parcel.writeParcelable(this.endTime, i);
        parcel.writeString(this.repeatType);
        parcel.writeString(this.repeatInfo);
    }

    public CPAddScheduleBean(String str, TimeInfo timeInfo, TimeInfo timeInfo2, String str2, String str3) {
        this.content = str;
        this.startTime = timeInfo;
        this.endTime = timeInfo2;
        this.repeatType = str2;
        this.repeatInfo = str3;
    }

    public CPAddScheduleBean(Parcel parcel) {
        this.content = parcel.readString();
        this.startTime = (TimeInfo) parcel.readParcelable(TimeInfo.class.getClassLoader());
        this.endTime = (TimeInfo) parcel.readParcelable(TimeInfo.class.getClassLoader());
        this.repeatType = parcel.readString();
        this.repeatInfo = parcel.readString();
    }
}
