package com.geely.lib.oneosapi.schedule.bean;

import a.b.a.f.h;
import android.os.Parcel;
import android.os.Parcelable;
import org.json.JSONObject;

public class CPScheduleInfo implements Parcelable {
    public static final Parcelable.Creator<CPScheduleInfo> CREATOR = new Parcelable.Creator<CPScheduleInfo>() {
        /* class com.geely.lib.oneosapi.schedule.bean.CPScheduleInfo.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public CPScheduleInfo createFromParcel(Parcel parcel) {
            return new CPScheduleInfo(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public CPScheduleInfo[] newArray(int i) {
            return new CPScheduleInfo[i];
        }
    };
    private String endTime;
    private long eventID;
    private String location;
    private String startTime;
    private String title;

    public static class Location implements Parcelable {
        public static final Parcelable.Creator<Location> CREATOR = new Parcelable.Creator<Location>() {
            /* class com.geely.lib.oneosapi.schedule.bean.CPScheduleInfo.Location.AnonymousClass1 */

            @Override // android.os.Parcelable.Creator
            public Location createFromParcel(Parcel parcel) {
                return new Location(parcel);
            }

            @Override // android.os.Parcelable.Creator
            public Location[] newArray(int i) {
                return new Location[i];
            }
        };
        private Double b;
        private String c;
        private Double d;
        private String e;

        public Location() {
        }

        public final void a(Double d2) {
            this.b = d2;
        }

        public final void b(Double d2) {
            this.d = d2;
        }

        public int describeContents() {
            return 0;
        }

        public String toString() {
            return "{address=" + this.e + ", type=" + this.c + ", longitude='" + this.d + ", latitude=" + this.b + '}';
        }

        public void writeToParcel(Parcel parcel, int i) {
            if (this.b == null) {
                parcel.writeByte((byte) 0);
            } else {
                parcel.writeByte((byte) 1);
                parcel.writeDouble(this.b.doubleValue());
            }
            parcel.writeString(this.c);
            if (this.d == null) {
                parcel.writeByte((byte) 0);
            } else {
                parcel.writeByte((byte) 1);
                parcel.writeDouble(this.d.doubleValue());
            }
            parcel.writeString(this.e);
        }

        public Location(JSONObject jSONObject) {
            this.b = Double.valueOf(jSONObject.optDouble("latitude"));
            this.c = jSONObject.optString(h.a.k);
            this.d = Double.valueOf(jSONObject.optDouble("longitude"));
            this.e = jSONObject.optString("address");
        }

        public final void a(String str) {
            this.c = str;
        }

        public final void b(String str) {
            this.e = str;
        }

        public Location(Parcel parcel) {
            new Parcelable.Creator<Location>() {
                /* class com.geely.lib.oneosapi.schedule.bean.CPScheduleInfo.Location.AnonymousClass1NamelessClass_1 */

                @Override // android.os.Parcelable.Creator
                public Location createFromParcel(Parcel parcel) {
                    return null;
                }

                @Override // android.os.Parcelable.Creator
                public Location[] newArray(int i) {
                    return new Location[0];
                }
            };
            if (parcel.readByte() == 0) {
                this.b = null;
            } else {
                this.b = Double.valueOf(parcel.readDouble());
            }
            this.c = parcel.readString();
            if (parcel.readByte() == 0) {
                this.d = null;
            } else {
                this.d = Double.valueOf(parcel.readDouble());
            }
            this.e = parcel.readString();
        }
    }

    public CPScheduleInfo(Parcel parcel) {
        this.location = parcel.readString();
        this.endTime = parcel.readString();
        this.title = parcel.readString();
        this.startTime = parcel.readString();
        this.eventID = parcel.readLong();
    }

    public static Parcelable.Creator<CPScheduleInfo> getCREATOR() {
        return CREATOR;
    }

    public int describeContents() {
        return 0;
    }

    public String getEndTime() {
        return this.endTime;
    }

    public long getEventID() {
        return this.eventID;
    }

    public String getLocation() {
        return this.location;
    }

    public String getStartTime() {
        return this.startTime;
    }

    public String getTitle() {
        return this.title;
    }

    public void setEndTime(String str) {
        this.endTime = str;
    }

    public void setEventID(long j) {
        this.eventID = j;
    }

    public void setLocation(String str) {
        this.location = str;
    }

    public void setStartTime(String str) {
        this.startTime = str;
    }

    public void setTitle(String str) {
        this.title = str;
    }

    public String toString() {
        return "CPScheduleInfo{location='" + this.location + '\'' + ", endTime='" + this.endTime + '\'' + ", title='" + this.title + '\'' + ", startTime='" + this.startTime + '\'' + ", eventID=" + this.eventID + '}';
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.location);
        parcel.writeString(this.endTime);
        parcel.writeString(this.title);
        parcel.writeString(this.startTime);
        parcel.writeLong(this.eventID);
    }

    public CPScheduleInfo() {
    }

    public CPScheduleInfo(JSONObject jSONObject) {
        this.location = jSONObject.optString("location");
        this.endTime = jSONObject.optString("endTime");
        this.title = jSONObject.optString("title");
        this.startTime = jSONObject.optString("startTime");
        this.eventID = jSONObject.optLong("eventID");
    }
}
