package com.geely.lib.oneosapi.weather.bean;

import android.os.Parcel;
import android.os.Parcelable;

public class ResponseWeatherBean implements Parcelable {
    public static final Parcelable.Creator<ResponseWeatherBean> CREATOR = new Parcelable.Creator<ResponseWeatherBean>() {
        /* class com.geely.lib.oneosapi.weather.bean.ResponseWeatherBean.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public ResponseWeatherBean createFromParcel(Parcel parcel) {
            return new ResponseWeatherBean(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public ResponseWeatherBean[] newArray(int i) {
            return new ResponseWeatherBean[i];
        }
    };
    private int code;
    private WeatherInfo data;
    private String message;

    public ResponseWeatherBean(Parcel parcel) {
        this.code = parcel.readInt();
        this.data = (WeatherInfo) parcel.readParcelable(WeatherInfo.class.getClassLoader());
        this.message = parcel.readString();
    }

    public int describeContents() {
        return 0;
    }

    public int getCode() {
        return this.code;
    }

    public WeatherInfo getData() {
        return this.data;
    }

    public String getMessage() {
        return this.message;
    }

    public void setCode(int i) {
        this.code = i;
    }

    public void setData(WeatherInfo weatherInfo) {
        this.data = weatherInfo;
    }

    public void setMessage(String str) {
        this.message = str;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(this.code);
        parcel.writeParcelable(this.data, i);
        parcel.writeString(this.message);
    }
}
