package com.geely.toolchain.hmi.view;

import android.content.Context;
import android.util.AttributeSet;
import androidx.appcompat.widget.AppCompatSeekBar;
import androidx.core.content.ContextCompat;
import com.geely.toolchain.hmi.R;

public class HmiDragSeekBar extends AppCompatSeekBar {
    private Context mContext;

    public HmiDragSeekBar(Context context) {
        super(context);
    }

    public HmiDragSeekBar(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.mContext = context;
        setProgressDrawable(ContextCompat.getDrawable(context, R.drawable.oneoshmi_seek_bar_drag));
        setThumb(ContextCompat.getDrawable(context, R.mipmap.oneoshmi_seekbar_roound_bg));
    }

    public HmiDragSeekBar(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
    }

    public void setEnabled(boolean z) {
        super.setEnabled(z);
        if (z) {
            setProgressDrawable(ContextCompat.getDrawable(this.mContext, R.drawable.oneoshmi_seek_bar_drag));
            setThumb(ContextCompat.getDrawable(this.mContext, R.mipmap.oneoshmi_seekbar_roound_bg));
            return;
        }
        setProgressDrawable(ContextCompat.getDrawable(this.mContext, R.drawable.oneoshmi_seek_bar_drag));
        setThumb(null);
    }
}
