package com.geely.toolchain.hmi.view;

import android.content.Context;
import android.util.AttributeSet;
import androidx.appcompat.widget.AppCompatRadioButton;
import androidx.core.content.ContextCompat;
import com.geely.toolchain.hmi.R;

public class HmiSmallRadioButton extends AppCompatRadioButton {
    public HmiSmallRadioButton(Context context) {
        super(context);
    }

    public HmiSmallRadioButton(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        setBackground(ContextCompat.getDrawable(context, R.drawable.oneoshmi_radiobutton_small_bg));
    }

    public HmiSmallRadioButton(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
    }

    public void setEnabled(boolean z) {
        super.setEnabled(z);
        if (z) {
            setAlpha(1.0f);
        } else {
            setAlpha(0.3f);
        }
    }
}
